2007-12-19 19:36:53  Rev 11624  bfg

	* src/threads/rwmutex.cpp:

	Spelling error in documentation.

2007-12-18 12:21:10  Rev 11622  larsa

	* build/misc/generate.sh:

	can't remove src/ now that it contains built files and is in svn

2007-12-17 16:22:55  Rev 11619  larsa

	* docs/coin.doxygen.in:

	renamed files

2007-12-17 15:37:39  Rev 11618  larsa

	* build/msvc6/coin3.dsp:

	project fix

2007-12-17 15:35:05  Rev 11617  larsa

	* src/fonts/win32.cpp:

	signed/unsigned comparison warning suppression

2007-12-17 14:42:09  Rev 11616  larsa

	* src/fonts/common.h, include/Inventor/caches/Makefile.in,
	include/Inventor/actions/Makefile.am,
	include/Inventor/engines/Makefile.in, src/misc/Makefile.in,
	build/msvc8/coin3.sln, build/msvc6/include/setup.h,
	build/msvc7/include/Inventor/C, build/msvc8/include/setup.h,
	src/vrml97/Extrusion.cpp, include/Inventor/actions/Makefile.in,
	src/base/dict.h, build/msvc6/include/config.h, src/fonts/font13.tif,
	src/elements/Makefile.am, src/fonts/font17.tif, configure,
	include/Inventor/C/Makefile.am, build/msvc8/coin3_docs.vcproj,
	src/elements/Makefile.in, build/msvc7/src, src/caches/Makefile.am,
	src/shapenodes/soshape_bumprender.cpp, src/base/SbName.cpp,
	src/engines/Makefile.am, build/msvc6/include/config-release.h,
	src/threads/storagep.h, include/Inventor/C/Makefile.in,
	src/caches/Makefile.in, src/base/heap.cpp, src/actions/Makefile.am,
	src/engines/Makefile.in, build/msvc8/include/config-debug.h,
	src/fonts/win32.cpp, src/fonts/fontlib_wrapper.h, configure.ac,
	src/actions/Makefile.in, build/msvc7/src/setup.h,
	build/msvc7/coin3.vcproj, include/Inventor/C/glue/Makefile.am,
	build/msvc6/src/config.h, src/fonts/glyph3d.h,
	include/Inventor/C/glue/Makefile.in, src/threads/Makefile.am,
	include/Inventor/C/base/Makefile.am, src/glue/Makefile.am,
	build/msvc6/src/config-release.h, src/fonts/fontlib_wrapper.cpp,
	include/Inventor/Makefile.am, include/Inventor/C/base/dynarray.h,
	src/threads/Makefile.in, src/glue/Makefile.in, build/msvc8/src
	/config-debug.h, include/Inventor/C/base/Makefile.in,
	src/glue/gl.cpp, include/Inventor/Makefile.in, Makefile.am,
	src/base/Makefile.am, src/threads/schedp.h, src/fonts/font33.tif,
	build/msvc8/include/config.h,
	src/elements/GL/SoGLViewingMatrixElement.cpp, Makefile.in,
	src/base/Makefile.in, src/base/heapp.h,
	include/Inventor/C/base/namemap.h,
	include/Inventor/caches/SoShaderProgramCache.h, build/msvc8/include
	/config-release.h, build/misc/generate.sh, build/msvc6/include
	/config-debug.h, src/Makefile.am, src/update-config.h,
	src/misc/SoGLDriverDatabase.cpp, build/msvc8/include/Inventor/C,
	src/Makefile.in, src/threads/sync.cpp, src/xml/expat/Makefile.am,
	build/msvc8/src/config.h, src/fonts/freetype.cpp,
	src/caches/SoShaderProgramCache.h, src/xml/expat/Makefile.in,
	build/msvc6, build/msvc7, build/msvc8, build/msvc8/src/config-
	release.h, src/base/namemap.cpp, build/msvc6/src/config-debug.h,
	build/msvc8/coin3_uninstall.vcproj,
	include/Inventor/fields/Makefile.am, src/fonts/glyph3d.cpp,
	include/Inventor/caches/SoVBOCache.h,
	include/Inventor/fields/Makefile.in, src/base/dynarray.h,
	src/caches/SoShaderProgramCache.cpp, build/msvc6/src,
	build/msvc6/include/Inventor, src/shadows/SoShadowGroup.cpp,
	build/msvc8/src, src/glue/glp.h, build/msvc6/coin3.dsp,
	include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/fields/Makefile.am, build/msvc6/include/Inventor/C,
	build/msvc6/src/setup.h, build/msvc8/src/setup.h,
	src/fonts/font25.tif, src/elements/GL/Makefile.am,
	src/fields/Makefile.in, src/caches/SoVBOCache.h,
	build/msvc7/include/Inventor, src/elements/GL/Makefile.in,
	include/Inventor/C/base/dict.h, src/caches/SoPrimitiveVertexCache.h,
	build/msvc8/coin3_install.vcproj, build/msvc7/coin3.sln,
	src/elements/GL/SoResetMatrixElement.cpp, src/caches/SoVBOCache.cpp,
	build/msvc8/coin3.vcproj, src/actions/SoReorganizeAction.cpp,
	build/msvc7/src/config.h, src/update-config.sh,
	build/msvc8/include/Inventor, src/caches/SoPrimitiveVertexCache.cpp,
	include/Inventor/misc/Makefile.am, build/msvc7/src/config-release.h,
	src/shapenodes/SoShape.cpp, include/Inventor/misc/Makefile.in,
	build/msvc7/src/config-debug.h, src/base/namemap.h,
	src/base/dict.cpp, src/fonts/glyph2d.cpp, src/base/dynarray.cpp,
	include/Inventor/C/threads/Makefile.am,
	include/Inventor/elements/Makefile.am,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/caches/Makefile.am,
	include/Inventor/engines/Makefile.am, src/fonts/glyph.h,
	src/misc/Makefile.am:

	move more private headers, update dependencies, update Visual Studio Files,
	fix make-rule 'dist', bootstrap

2007-12-17 11:54:02  Rev 11615  pederb

	* src/misc/SoVBO.cpp:

	Add support for COIN_DEBUG_VBO.

2007-12-17 11:49:12  Rev 11614  pederb

	* src/fields/SoField.cpp, src/tidbits.cpp, src/lists/SoAuditorList.cpp:

	Compile fixes for --enable-threadsafe version.

2007-12-15 01:21:24  Rev 11612  larsa

	* build/msvc6/coin3.dsp, build/msvc7/docs/coin3.doxygen,
	build/msvc8/docs/coin3.doxygen, build/msvc8/include/config-debug.h,
	build/msvc8/coin3_install.vcproj, build/msvc7/coin3.sln,
	build/msvc8/coin3_docs.vcproj, build/msvc8/coin3.sln,
	build/msvc8/coin3_uninstall.vcproj, build/msvc7/coin3.vcproj,
	build/msvc6/docs/coin3.doxygen, build/msvc8/coin3.vcproj:

	updated visual studio files

2007-12-15 00:18:52  Rev 11609  larsa

	* src/threads/condvar_pthread.icc:

	include-fix

2007-12-15 00:05:34  Rev 11608  larsa

	* src/misc/SoOffscreenGLXData.cpp:

	include-fix

2007-12-15 00:03:04  Rev 11607  larsa

	* src/glue/win32api.cpp:

	non-windows compile fix

2007-12-14 23:35:19  Rev 11606  larsa

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/engines/Makefile.in,
	include/Inventor/lock/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/navigation/Makefile.in,
	src/vrml97/Makefile.in, include/Inventor/actions/Makefile.in,
	aclocal.m4, include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in,
	src/shadows/Makefile.in, configure, src/hardcopy/Makefile.in,
	src/errors/Makefile.in, src/elements/Makefile.in,
	include/Inventor/annex/FXViz/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	include/Inventor/annex/FXViz/elements/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, include/Inventor/XML/Makefile.in,
	src/actions/Makefile.in, src/xml/Makefile.in, src/events/Makefile.in,
	data/shaders/lights/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, data/shaders/Makefile.in,
	html/Makefile.in, include/Inventor/C/glue/Makefile.in,
	src/elements/GL/Makefile.in, data/shaders/vsm/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/annex/ForeignFiles/Makefile.in,
	data/draggerDefaults/Makefile.in,
	include/Inventor/details/Makefile.in,
	include/Inventor/annex/FXViz/nodes/Makefile.in,
	src/manips/Makefile.in, src/fonts/Makefile.in,
	src/threads/Makefile.in, src/upgraders/Makefile.in,
	src/sensors/Makefile.in, include/Inventor/C/base/Makefile.in,
	include/Makefile.in, include/Inventor/bundles/Makefile.in,
	src/glue/Makefile.in, src/lists/Makefile.in,
	include/Inventor/draggers/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in, src/geo/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, include/Inventor/navigation/Makefile.in,
	include/Inventor/tools/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/errors/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/C/threads/Makefile.in, src/foreignfiles/Makefile.in,
	include/Inventor/nodekits/Makefile.in, man/man1/Makefile.in,
	src/xml/expat/Makefile.in, bin/Makefile.in, man/man3/Makefile.in,
	include/Inventor/C/XML/Makefile.in:

	bootstrap

2007-12-14 23:32:03  Rev 11605  larsa

	* src/shapenodes/SoAsciiText.cpp, src/nodes/SoPointLight.cpp,
	src/misc/SoBaseP.h, src/base/dict.c, src/fields/SoMFVec3b.cpp,
	src/fields/SoSFBox2s.cpp, src/fields/SoMFMatrix.cpp,
	src/shapenodes/SoQuadMesh.cpp, src/base/memalloc.cpp,
	src/vrml97/CylinderSensor.cpp, src/nodes/SoTextureCombine.cpp,
	include/Inventor/C/threads/threadp.h, src/vrml97/Cylinder.cpp,
	src/nodes/SoTextureCoordinateObject.cpp, src/engines/SoCounter.cpp,
	include/Inventor/C/threads/rwmutexp.h, src/threads/fifo.c,
	src/shapenodes/soshape_bumprender.cpp, src/nodes/SoExtSelection.cpp,
	src/glue/gl_agl.cpp, src/draggers/SoTabPlaneDragger.cpp,
	src/fonts/font25.icc, src/nodes/SoCoordinate3.cpp,
	src/fields/SoSFVec3s.cpp, src/nodes/SoSpotLight.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/threads/mutex.cpp, include/Inventor/C/threads/condvarp.h,
	include/Inventor/actions/SoSubAction.h, src/coindefs.h,
	src/nodes/SoCacheHint.cpp, src/shapenodes/SoPointSet.cpp,
	src/fields/SoSFVec4b.cpp, src/nodes/SoTextureCoordinate2.cpp,
	src/actions/SoToVRML2Action.cpp, src/base/SbVec3f.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/threads/condvar_pthread.ic,
	src/fields/SoSFString.cpp, src/fonts/builtin2dfonts.ic,
	src/nodekits/SoSubKitP.h, include/Inventor/C/glue/bzip2.h, include
	/update-config.sh, src/nodekits/SoWrapperKit.cpp,
	src/threads/recmutexp.h, src/vrml97/SpotLight.cpp,
	src/fonts/font33.ic, src/engines/SoComposeRotation.cpp,
	src/nodes/SoUnknownNode.cpp, src/fields/SoSFName.cpp,
	src/fields/SoGlobalField.h, src/glue/GLUWrapper.cpp,
	src/fields/SoSFUInt32.cpp, src/fonts/fontlib_wrapper.cpp,
	src/shaders/SoShaderObject.cpp,
	include/Inventor/C/threads/threadsutilp.h, src/nodes/SoFile.cpp,
	src/fonts/default2dfont.c, src/shapenodes/SoIndexedNurbsCurve.cpp,
	src/shapenodes/SoIndexedShape.cpp, src/nodekits/SoNodeKitPath.cpp,
	src/nodes/SoVertexProperty.cpp, src/hardcopy/VectorOutput.cpp,
	src/glue/gl.cpp, include/Inventor/C/base/heapp.h,
	src/shapenodes/SoLineSet.cpp, src/caches/SoGlyphCache.cpp,
	src/nodes/SoBlinker.cpp, src/engines/SoInterpolateRotation.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/nodes/SoLightModel.cpp,
	src/actions/SoGetMatrixAction.cpp, src/io/all-io-c.c,
	src/fields/SoSFMatrix.cpp, src/nodes/SoLinearProfile.cpp,
	src/threads/sync.c, src/nodes/SoGroup.cpp,
	src/vrml97/ScalarInterpolator.cpp,
	src/elements/SoTextureScaleQualityElement.cpp,
	src/draggers/SoSpotLightDragger.cpp, src/fields/SoMFVec3i32.cpp,
	src/threads/all-threads-cpp.cpp, src/threads/all-threads-c.c,
	include/Inventor/C/threads/workerp.h,
	src/shaders/SoGLSLShaderProgram.cpp, src/shadows/SoShadowCulling.cpp,
	src/threads/mutex_win32mutex.icc, src/glue/normalization_cubemap.cpp,
	src/vrml97/Inline.cpp, src/threads/barrier.cpp, src/coin-dummy.cpp,
	src/nodes/SoBumpMapCoordinate.cpp, src/bundles/Makefile.am,
	src/glue/cg.c, src/threads/condvar.cpp, src/glue/win32api.cpp,
	src/nodes/SoResetTransform.cpp, src/glue/cg.h,
	src/fonts/default2dfont.cpp, include/Inventor/misc/SoGenerate.h,
	src/fields/SoMFVec2d.cpp, src/fields/SoMFEnum.cpp,
	src/manips/SoTransformBoxManip.cpp, src/threads/worker.cpp,
	src/threads/barrierp.h, src/draggers/SoCenterballDragger.cpp,
	src/nodes/SoBumpMapTransform.cpp, src/engines/SoConvertAll.h,
	src/engines/SoOneShot.cpp, src/base/all-base-c.c, src/vrml97/Fog.cpp,
	src/draggers/SoDragger.cpp,
	src/elements/SoTextureScaleQualityElement.h,
	src/fields/SoSFVec2i32.cpp, src/fields/SoSFBox2d.cpp,
	src/threads/mutex_pthread.icc, src/fonts/font25.ic,
	src/mpeg/Makefile.am, src/elements/SoTextureScalePolicyElement.cpp,
	src/manips/SoHandleBoxManip.cpp, src/fonts/font17.icc,
	src/manips/SoClipPlaneManip.cpp, src/engines/SoComposeVec2f.cpp,
	src/vrml97/VertexPoint.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoLabel.cpp, src/engines/SoDecomposeVec2f.cpp,
	src/actions/SoAudioRenderAction.cpp, src/glue/simage_wrapper.cpp,
	src/nodes/SoPendulum.cpp, src/caches/SoNormalCache.cpp,
	src/engines/SoTriggerAny.cpp, src/vrml97/PointSet.cpp,
	src/fields/SoSFVec3d.cpp, src/fields/SoSFVec4ui32.cpp,
	src/caches/SoShaderProgramCache.cpp, src/nodes/SoTextureUnit.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	include/Inventor/C/glue/cg.h, src/base/rbptree.cpp, src/glue/all-
	glue-c.c, src/fields/SoMFVec3s.cpp,
	src/foreignfiles/SoForeignFileKit.cpp, src/config.h.in,
	src/base/string.cpp, src/vrml97/VisibilitySensor.cpp,
	src/vrml97/Viewpoint.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoLevelOfDetail.cpp, src/shaders/SoGLCgShaderObject.h,
	src/fields/SoSFBox3i32.cpp, src/misc/SoNormalGenerator.cpp,
	src/fields/SoMFVec4b.cpp, src/fields/Makefile.am,
	src/fields/SoSFBox3s.cpp, src/nodes/SoViewerNavigationMode.cpp,
	src/misc/SoGL.h, src/shapenodes/SoFaceSet.cpp,
	src/nodes/SoTextureCoordinate3.cpp,
	include/Inventor/misc/SoGLDriverDatabase.h, src/fields/SoSFFloat.cpp,
	src/elements/GL/Makefile.am, src/vrml97/DragSensor.cpp,
	src/glue/gl_wgl.cpp, src/nodes/SoEventCallback.cpp,
	src/caches/SoGLCacheList.cpp, src/errors/all-errors-cpp.cpp,
	src/misc/SoContextHandler.cpp, src/fonts/font17.ic,
	src/misc/SoLockManager.cpp, src/fonts/Makefile.am,
	src/fields/SoSFVec4s.cpp, include/Inventor/misc/SoPick.h,
	src/glue/win32api.c, src/fields/SoMFTime.cpp, src/threads/syncp.h,
	src/glue/win32api.h, src/threads/storage.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/io/SoWriterefCounter.cpp, src/fields/SoSFPlane.cpp,
	src/collision/SoIntersectionDetectionAction.cpp, src/fonts/glyph2d.c,
	src/base/SbVec4f.cpp, src/shapenodes/SoCube.cpp,
	src/vrml97/NavigationInfo.cpp, src/fields/SoGlobalField.cpp,
	src/upgraders/SoPackedColorV20.cpp, src/fonts/freetype.c,
	src/nodes/SoClipPlane.cpp, src/base/SbImage.cpp, src/base/hashp.h,
	src/vrml97/DirectionalLight.cpp, src/threads/recmutex.cpp,
	include/Inventor/C/threads/barrierp.h, src/vrml97/Sound.cpp,
	src/elements/SoCacheElement.cpp, src/caches/SoCache.cpp,
	src/base/dict.cpp, src/engines/SoSubEngineP.h,
	src/fields/SoSFShort.cpp, src/vrml97/Switch.cpp, src/misc/SoDBP.cpp,
	src/tidbits.cpp, src/glue/spidermonkey.c,
	src/engines/SoComposeRotationFromTo.cpp, src/fields/SoSFVec2f.cpp,
	src/nodes/SoLocateHighlight.cpp, src/misc/SoInteraction.cpp,
	src/threads/fifo.cpp, src/glue/freetype.c,
	src/hardcopy/VectorizeAction.cpp, src/fields/SoMFVec4ub.cpp,
	src/misc/Makefile.am, src/glue/freetype.h, src/vrml97/VertexLine.cpp,
	src/vrml97/Parent.cpp, src/nodes/SoWWWAnchor.cpp,
	src/fields/SoSFBool.cpp, src/vrml97/TextureTransform.cpp,
	src/vrml97/VertexShape.cpp, src/fields/SoMFVec3d.cpp,
	include/Inventor/C/threads/wpoolp.h, src/vrml97/WorldInfo.cpp,
	src/draggers/SoScale1Dragger.cpp, src/errors/Makefile.am,
	src/fields/SoMFDouble.cpp, include/Inventor/C/glue/glp.h, src/fonts
	/all-fonts-cpp.cpp, include/Inventor/nodekits/SoSubKitP.h,
	src/hardcopy/VectorizeCGMAction.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoSwitch.cpp, src/fields/shared.cpp,
	src/actions/SoGetBoundingBoxAction.cpp, src/caches/Makefile.am,
	src/threads/wpoolp.h, src/glue/dlp.h, src/Make-Common.tpl,
	src/fields/SoSFBox3d.cpp, include/Inventor/fields/SoGlobalField.h,
	src/threads/common.c, src/discard.h.in,
	src/engines/SoComposeVec3f.cpp, src/fields/SoSFNode.cpp,
	src/fonts/fontlib_wrapper.c, src/fields/SoMFPath.cpp,
	src/actions/Makefile.am, src/xml/Makefile.am,
	src/nodes/SoPathSwitch.cpp, src/vrml97/PlaneSensor.cpp,
	src/fonts/default3dfont.c, configure.ac,
	src/misc/SoOffscreenRenderer.cpp, src/engines/SoDecomposeVec3f.cpp,
	src/fields/SoMFFloat.cpp, src/nodes/SoPackedColor.cpp,
	src/nodekits/SoLightKit.cpp, src/fonts/glyph3d.c,
	src/vrml97/ImageTexture.cpp, src/engines/SoSubNodeEngineP.h,
	src/draggers/SoJackDragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp, src/fields/SoSFVec4d.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoRotation.cpp,
	include/unconfig.h, include/Inventor/C/tidbitsp.h,
	src/fields/SoMFVec4i32.cpp, src/threads/mutex_pthread.ic,
	docs/autoexp.dat, src/manips/SoTrackballManip.cpp,
	src/fields/SoMFVec4s.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoLight.cpp, src/glue/bzip2.c,
	src/elements/GL/SoGLClipPlaneElement.cpp,
	src/threads/thread_pthread.icc, src/glue/Makefile.am,
	src/threads/condvar.c, src/glue/bzip2.h,
	src/nodes/SoTexture3Transform.cpp,
	src/shaders/SoGLSLShaderParameter.h, src/fields/SoSFVec4ub.cpp,
	src/vrml97/Billboard.cpp, src/fields/SoMFPlane.cpp,
	src/fields/SoMFRotation.cpp, src/nodes/SoSubNodeP.h,
	src/actions/SoRayPickAction.cpp, src/base/Makefile.am,
	src/nodes/SoTextureScalePolicy.cpp, src/io/all-io-cpp.cpp,
	src/geo/SoGeoSeparator.cpp, src/glue/gl_wgl.c,
	src/nodes/SoPolygonOffset.cpp,
	include/Inventor/engines/SoConvertAll.h,
	src/nodekits/SoNodekitCatalog.cpp, src/threads/mutex_win32mutex.ic,
	src/fields/SoSFDouble.cpp, src/glue/gl_wgl.h, src/base/heapp.h,
	include/Inventor/elements/SoTextureScaleQualityElement.h,
	src/fields/SoSFVec3i32.cpp, src/elements/SoCoordinateElement.cpp,
	src/shapenodes/Makefile.am, src/threads/thread_pthread.ic,
	src/nodes/SoBaseColor.cpp, src/nodes/SoTransform.cpp,
	src/shaders/SoFragmentShader.cpp, src/draggers/Makefile.am,
	src/Makefile.am, src/misc/SoPath.cpp, src/fields/SoMFShort.cpp,
	src/vrml97/Group.cpp, src/actions/SoHandleEventAction.cpp,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/misc/SoGLDriverDatabase.cpp, src/fields/SoMFVec2f.cpp,
	src/vrml97/Shape.cpp, src/vrml97/MovieTexture.cpp,
	src/nodes/SoScale.cpp, src/nodes/SoTextureCoordinatePlane.cpp,
	src/threads/fifop.h, src/foreignfiles/Makefile.am,
	src/nodekits/SoInteractionKit.cpp, src/xml/expat/Makefile.am,
	src/vrml97/Transform.cpp, include/config.h.in,
	src/fields/SoMFName.cpp, src/fonts/freetype.cpp, src/threads/threads-
	dummy.cpp, include/discard.h.in, src/fields/SoSFBox2f.cpp,
	src/nodes/SoTextureCoordinateDefault.cpp, src/base/namemap.cpp,
	src/shapenodes/soshape_trianglesort.cpp, src/fields/SoSubFieldP.h,
	include/coindefs.h, src/fonts/default3dfont.cpp, src/base/hash.c,
	src/nodes/SoDirectionalLight.cpp, include/Inventor/misc/SoGL.h,
	src/fields/SoMFVec4us.cpp, src/navigation/SoNavigationSystem.cpp,
	src/errors/error.cpp, src/fields/SoSFImage3.cpp,
	src/fields/SoSFVec3f.cpp, src/elements/SoElement.cpp,
	src/draggers/SoTabBoxDragger.cpp, src/misc/AudioTools.cpp,
	src/engines/SoConcatenate.cpp, src/threads/sched.c,
	src/draggers/SoTransformBoxDragger.cpp, src/nodes/SoFont.cpp,
	src/misc/SoGlyph.cpp, src/engines/SoOutputData.cpp,
	src/glue/GLUWrapper.c, src/vrml97/Sphere.cpp,
	src/bundles/SoMaterialBundle.cpp, src/glue/GLUWrapper.h,
	src/nodekits/SoAppearanceKit.cpp,
	src/vrml97/CoordinateInterpolator.cpp, src/nodekits/SoShapeKit.cpp,
	src/nodes/SoListener.cpp, src/fields/SoMFVec4d.cpp,
	src/elements/SoProfileCoordinateElement.cpp,
	include/Inventor/C/glue/openal_wrapper.h, src/base/memalloc.c,
	src/base/time.cpp, src/vrml97/Color.cpp, src/nodes/SoRotor.cpp,
	src/shadows/SoShadowStyle.cpp, src/misc/SoDebug.cpp,
	src/engines/SoComposeMatrix.cpp, src/vrml97/Cone.cpp,
	src/upgraders/Makefile.am, src/misc/SoSceneManager.cpp,
	src/threads/recmutex.c, src/engines/SoComposeVec4f.cpp,
	src/vrml97/ElevationGrid.cpp, src/glue/zlib.c,
	include/Inventor/engines/SoSubEngineP.h,
	src/engines/SoDecomposeVec4f.cpp, src/glue/zlib.h,
	src/elements/GL/SoGLLightIdElement.cpp, src/misc/SoPickedPoint.cpp,
	src/glue/gl_glx.cpp, src/nodes/SoTranslation.cpp,
	src/vrml97/Anchor.cpp, src/setup.h.in, src/fields/SoSFVec4us.cpp,
	src/shapenodes/soshape_primdata.cpp,
	src/nodes/SoOrthographicCamera.cpp, src/fields/SoSField.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoMFUShort.cpp,
	src/threads/mutex_win32cs.icc, src/shaders/Makefile.am,
	src/fonts/common.cpp, src/caches/SoPrimitiveVertexCache.cpp,
	src/engines/SoCalculator.cpp, src/threads/threadp.h,
	src/nodekits/SoSceneKit.cpp, src/vrml97/Coordinate.cpp,
	include/Inventor/C/glue/simage_wrapper.h, src/base/namemap.c,
	src/nodes/SoTextureCoordinateReflectionMap.cpp,
	src/threads/thread_win32.ic, src/geo/SoGeoOrigin.cpp,
	src/fields/SoFieldContainer.cpp, src/engines/SoEngine.cpp,
	src/shapenodes/SoIndexedLineSet.cpp,
	include/Inventor/VRMLnodes/Makefile.am,
	src/elements/SoBumpMapCoordinateElement.cpp,
	src/shaders/SoShaderParameter.cpp,
	src/hardcopy/VectorizeGDIAction.cpp, src/engines/SoNodeEngine.cpp,
	src/engines/SoInterpolateFloat.cpp,
	src/vrml97/PositionInterpolator.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/vrml97/AudioClip.cpp, src/nodes/SoMatrixTransform.cpp,
	src/draggers/SoTranslate1Dragger.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/actions/SoSubActionP.h, src/actions/SoAction.cpp,
	src/vrml97/Background.cpp, src/glue/glue-dummy.cpp,
	src/nodes/SoPickStyle.cpp, src/misc/SoVBO.cpp,
	src/vrml97/SoVRMLSubInterpolatorP.h, src/nodes/SoRotationXYZ.cpp,
	src/base/list.cpp, src/manips/SoJackManip.cpp,
	src/engines/SoElapsedTime.cpp, src/navigation/Makefile.am,
	src/vrml97/Box.cpp, src/glue/dl.c, src/fields/SoField.cpp,
	src/shapenodes/SoTriangleStripSet.cpp, src/misc/SoGL.cpp,
	src/shaders/SoVertexShader.cpp, src/fields/SoMFVec3f.cpp,
	src/threads/thread.c, src/threads/worker.c, src/elements/Makefile.am,
	include/Inventor/engines/SoSubNodeEngineP.h,
	src/vrml97/IndexedLineSet.cpp, src/nodes/SoCallback.cpp,
	src/base/time.c, src/fonts/all-fonts-c.c, src/nodes/SoBumpMap.cpp,
	src/nodes/SoEnvironment.cpp, src/projectors/Makefile.am,
	src/fields/SoSFBox3f.cpp, src/io/SoInput_FileInfo.cpp,
	src/fields/SoSFUShort.cpp, src/base/heap.cpp, src/threads/workerp.h,
	src/threads/wpool.c, src/nodes/SoTexture2.cpp,
	src/events/Makefile.am, src/draggers/SoTransformerDragger.cpp,
	include/Inventor/nodes/SoSubNodeP.h,
	src/nodes/SoAnnoText3Property.cpp, src/threads/rwmutex.cpp,
	src/engines/SoBoolOperation.cpp, src/engines/SoInterpolateVec2f.cpp,
	src/glue/gl_glx.c, src/fields/SoSFVec4f.cpp,
	src/fields/SoSFColorRGBA.cpp, src/glue/gl_glx.h,
	src/fields/SoSFVec4i32.cpp, src/glue/gl_agl.c,
	src/threads/Makefile.am, src/misc/SoPick.cpp,
	src/fields/SoSFImage.cpp, include/Makefile.am, src/lists/Makefile.am,
	src/fields/SoMFBool.cpp, src/glue/gl_agl.h,
	src/shapenodes/SoNurbsCurve.cpp, src/threads/wpool.cpp,
	src/vrml97/JS_VRMLClasses.cpp, src/engines/SoTransformVec3f.cpp,
	src/hardcopy/VectorizeHPGLAction.cpp, src/misc/SoGLCubeMapImage.cpp,
	src/misc/SoCompactPathList.h, include/Inventor/C/base/dictp.h,
	src/io/SoOutput_Writer.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoNonIndexedShape.cpp, src/vrml97/Light.cpp,
	src/misc/SbHash.h, src/io/SoInput.cpp, src/fields/SoMFColor.cpp,
	src/elements/GL/SoGLPolygonOffsetElement.cpp,
	src/geo/SoGeoLocation.cpp, src/glue/freetype.cpp,
	src/fields/SoMFNode.cpp, src/manips/SoTransformerManip.cpp,
	src/nodekits/SoCameraKit.cpp, src/vrml97/Interpolator.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/actions/SoPickAction.cpp, include/Inventor/fields/SoSubFieldP.h,
	src/nodekits/SoSeparatorKit.cpp, src/glue/dl.cpp, src/glue/zlib.cpp,
	src/base/hash.cpp, src/misc/SoProto.cpp, src/shaders/SoShader.cpp,
	src/draggers/SoScale2Dragger.cpp, src/engines/SoGate.cpp,
	src/glue/openal_wrapper.c, src/vrml97/IndexedFaceSet.cpp,
	src/draggers/SoPointLightDragger.cpp,
	include/Inventor/C/threads/syncp.h, src/threads/mutex_win32cs.ic,
	src/fonts/font13.icc, include/Inventor/C/glue/win32api.h,
	src/glue/openal_wrapper.h, src/nodes/SoTransformation.cpp,
	src/shapenodes/SoSphere.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	include/Inventor/C/glue/zlib.h, src/draggers/SoTrackballDragger.cpp,
	src/actions/SoCallbackAction.cpp, include/boost.README,
	include/Inventor/C/glue/gl_wgl.h, src/vrml97/Material.cpp,
	src/vrml97/Appearance.cpp, src/nodes/SoMultipleCopy.cpp,
	src/hardcopy/Makefile.am, src/engines/SoOnOff.cpp,
	src/base/SbVec2d.cpp, src/engines/SoComputeBoundingBox.cpp,
	src/nodekits/Makefile.am, src/nodes/SoSceneTexture2.cpp,
	src/glue/openal_wrapper.cpp, src/glue/all-glue-cpp.cpp,
	src/io/gzmemio.c, src/glue/glp.h, src/hardcopy/VectorizePSAction.cpp,
	src/fields/SoMFBitMask.cpp, src/misc/SoProtoInstance.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp, src/vrml97/Normal.cpp,
	src/nodes/SoTexture3.cpp, src/glue/simage_wrapper.c,
	src/fields/SoMFVec4f.cpp, include/Inventor/C/threads/mutexp.h,
	src/vrml97/Script.cpp, src/shaders/SoGLCgShaderParameter.h,
	src/errors/error.c, include/Inventor/C/glue/freetype.h,
	src/glue/simage_wrapper.h, src/nodes/SoTransformSeparator.cpp,
	src/nodes/SoTextureCubeMap.cpp, src/elements/SoLazyElement.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/misc/SoRenderManager.cpp, src/upgraders/SoUpgrader.cpp,
	src/events/SoKeyboardEvent.cpp, src/threads/condvar_pthread.icc,
	src/errors/all-errors-c.c, src/manips/Makefile.am,
	src/misc/SoShaderGenerator.h, src/threads/barrier.c,
	src/threads/mutexp.h, src/base/heap.c, src/tidbitsp.h,
	src/vrml97/IndexedLine.cpp, src/shapenodes/SoVertexShape.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp,
	src/caches/SoBoundingBoxCache.cpp, src/io/SoInput_Reader.cpp,
	src/vrml97/Collision.cpp, src/fonts/win32.c,
	src/vrml97/OrientationInterpolator.cpp, src/nodes/SoNode.cpp,
	src/fields/SoMFVec4ui32.cpp, src/nodes/Makefile.am,
	src/nodes/SoNormal.cpp, src/tidbits.c, src/geo/Makefile.am,
	src/nodes/SoMaterialBinding.cpp, src/engines/SoConvertAll.cpp,
	src/actions/SoReorganizeAction.cpp, src/threads/threadsutilp.h,
	src/engines/SoInterpolateVec3f.cpp, src/misc/SoDBP.h,
	src/misc/SoShaderGenerator.cpp,
	include/Inventor/actions/SoSubActionP.h, src/vrml97/PointLight.cpp,
	src/nodes/SoUnknownNode.h,
	src/elements/SoTextureScalePolicyElement.h, src/misc/SoGenerate.cpp,
	src/shaders/SoShaderProgram.cpp, src/shapenodes/SoShape.cpp,
	src/misc/SoCompactPathList.cpp, src/engines/SoDecomposeMatrix.cpp,
	include/Inventor/C/threads/recmutexp.h,
	src/shapenodes/soshape_bigtexture.cpp, src/manips/SoTabBoxManip.cpp,
	src/geo/SoGeoCoordinate.cpp, src/fields/SoSFVec2b.cpp,
	src/fonts/glyph2d.cpp, src/caches/SoGlyphCache.h,
	src/misc/SoBase.cpp, src/fonts/builtin2dfonts.icc, src/fonts/glyph.c,
	src/errors/debugerror.c, src/misc/SoAudioDevice.cpp,
	src/misc/SoType.cpp, src/nodekits/SoNodeKit.cpp, src/base/string.c,
	src/shapenodes/soshape_bumprender.h, src/vrml97/Text.cpp,
	src/foreignfiles/SoSTLFileKit.cpp, src/misc/SoVertexArrayIndexer.cpp,
	include/stamp-h.in, src/nodes/SoTextureMatrixTransform.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolatorP.h,
	src/elements/SoFontNameElement.cpp, src/vrml97/Texture.cpp,
	src/vrml97/Extrusion.cpp, src/fields/SoSFInt32.cpp,
	src/draggers/SoHandleBoxDragger.cpp, src/fields/SoSFRotation.cpp,
	src/nodes/SoCamera.cpp, src/nodes/SoShuttle.cpp,
	src/manips/SoDirectionalLightManip.cpp, include/README,
	src/fields/SoMField.cpp, src/vrml97/Sensor.cpp, src/xml/document.cpp,
	src/elements/GL/SoGLTextureImageElement.cpp, src/engines/Makefile.am,
	src/nodes/SoTextureCoordinateCube.cpp, src/misc/SoDB.cpp,
	src/threads/storagep.h, include/Inventor/C/threads/fifop.h,
	src/base/list.c, src/elements/GL/SoGLCacheContextElement.cpp,
	src/engines/SoTimeCounter.cpp, src/nodes/SoFrustumCamera.cpp,
	src/shapenodes/SoMarkerSet.cpp,
	src/nodes/SoTextureCoordinateNormalMap.cpp, src/fonts/win32.cpp,
	src/nodes/SoNormalBinding.cpp, src/shapenodes/SoNurbsSurface.cpp,
	src/glue/gl.c, src/threads/thread_win32.icc,
	include/Inventor/misc/SoCompactPathList.h,
	src/vrml97/IndexedShape.cpp, src/nodes/SoFontStyle.cpp,
	src/base/SbVec3d.cpp, src/nodekits/SoBaseKit.cpp,
	src/fields/SoSFEnum.cpp, include/setup.h.in,
	include/Inventor/misc/SbHash.h, src/caches/SoConvexDataCache.cpp,
	src/io/SoOutput.cpp, src/fonts/fontspec.c, src/fonts/font13.ic,
	src/nodes/SoUnits.cpp, src/glue/normalization_cubemap.c,
	src/errors/SoDebugError.cpp, src/vrml97/LOD.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp, src/threads/sched.cpp,
	src/threads/common.cpp, src/nodes/SoNurbsProfile.cpp,
	src/sensors/Makefile.am, src/fields/SoFieldData.cpp, src/glue/cg.cpp,
	src/events/SoEvent.cpp, src/vrml97/FontStyle.cpp,
	include/Inventor/C/threads/schedp.h, src/vrml97/TimeSensor.cpp,
	src/manips/SoCenterballManip.cpp, src/io/SoInputP.h,
	src/nodes/SoSurroundScale.cpp, src/elements/GL/SoGLVBOElement.cpp,
	src/threads/rwmutex.c, src/threads/schedp.h,
	src/engines/SoFieldConverter.cpp, src/fonts/fontspec.cpp,
	src/draggers/SoTranslate2Dragger.cpp, src/details/Makefile.am,
	src/shaders/SoGLSLShaderObject.h, src/engines/SoInterpolate.cpp,
	src/vrml97/SphereSensor.cpp, src/base/dictp.h, src/glue/bzip2.cpp,
	src/threads/condvar_win32.icc, src/nodes/SoPattern.cpp,
	src/nodes/SoDrawStyle.cpp, src/update-config.h,
	src/fields/SoMFVec2b.cpp, src/vrml97/ProximitySensor.cpp,
	include/Inventor/C/glue/gl_glx.h, src/fields/SoMFEngine.cpp,
	src/shapenodes/SoText2.cpp, src/sensors/SoSensorManager.cpp,
	src/vrml97/PixelTexture.cpp, src/actions/SoGLRenderAction.cpp,
	src/fields/SoSFTrigger.cpp, src/threads/sync.cpp,
	src/fields/SoMFVec2i32.cpp, include/Inventor/nodekits/Makefile.am,
	include/Inventor/C/glue/gl_agl.h, src/engines/SoInterpolateVec4f.cpp,
	src/shaders/SoGLSLShaderObject.cpp, src/engines/SoSelectOne.cpp,
	src/threads/condvar_win32.ic, src/fields/SoSFVec2s.cpp,
	src/shaders/SoGLCgShaderObject.cpp, src/vrml97/Makefile.am,
	src/manips/SoTransformManip.cpp, src/fields/SoMFInt32.cpp,
	src/manips/SoSpotLightManip.cpp, src/misc/SoGenerate.h,
	src/threads/mutex.c, src/actions/SoSimplifyAction.cpp,
	src/nodes/SoWWWInline.cpp, src/nodes/SoAnnoText3.cpp,
	src/io/Makefile.am, src/fields/SoSFTime.cpp, src/shadows/Makefile.am,
	include/Inventor/C/glue/dlp.h, src/misc/SoGLImage.cpp,
	src/fields/SoSFVec3b.cpp, src/fonts/glyph3d.cpp,
	src/base/SbVec2f.cpp, include/Inventor/C/threads/storagep.h,
	src/vrml97/TextureCoordinate.cpp,
	src/elements/GL/SoGLTexture3EnabledElement.cpp,
	src/nodes/SoPerspectiveCamera.cpp, src/fonts/glyph.cpp,
	src/errors/debugerror.cpp, src/shadows/SoShadowGroup.cpp,
	src/shapenodes/SoImage.cpp, src/misc/SoState.cpp,
	src/shaders/SoGeometryShader.cpp,
	include/Inventor/misc/SoShaderGenerator.h,
	src/draggers/SoDragPointDragger.cpp, src/actions/SoToVRMLAction.cpp,
	src/collision/Makefile.am, src/nodes/SoTexture2Transform.cpp,
	src/engines/SoDecomposeRotation.cpp, src/nodes/SoLOD.cpp,
	src/misc/SoVBO.h, src/threads/rwmutexp.h,
	src/actions/SoWriteAction.cpp, src/fields/SoSFBitMask.cpp,
	src/threads/storage.c, include/Inventor/nodes/Makefile.am,
	src/shapenodes/SoCylinder.cpp, src/nodes/SoProfileCoordinate2.cpp,
	src/fields/SoMFColorRGBA.cpp, src/actions/SoSearchAction.cpp,
	src/fields/SoSFEngine.cpp, src/nodes/SoComplexity.cpp,
	src/threads/condvarp.h, src/vrml97/TouchSensor.cpp,
	src/base/rbptree.c, src/io/gzmemio.cpp, src/fonts/font33.icc,
	src/hardcopy/HardCopy.cpp, include/Inventor/nodes/SoUnknownNode.h,
	include/Inventor/elements/SoTextureScalePolicyElement.h,
	src/nodes/SoTransparencyType.cpp, src/io/SoInput_FileInfo.h,
	src/fields/SoSFBox2i32.cpp, src/upgraders/SoShapeHintsV10.cpp,
	src/vrml97/Geometry.cpp, src/misc/CoinOffscreenGLCanvas.cpp,
	src/manips/SoPointLightManip.cpp, src/nodes/SoAntiSquish.cpp,
	include/Inventor/C/base/hashp.h,
	include/Inventor/caches/SoGlyphCache.h, src/base/SbVec4d.cpp,
	src/glue/spidermonkey.cpp, src/misc/SoGLDriverDatabase.h,
	include/Inventor/C/glue/GLUWrapper.h,
	src/nodes/SoTextureCoordinateBinding.cpp, src/unconfig.h,
	src/base/SbGLUTessellator.h, src/shapenodes/SoCone.cpp,
	src/nodes/SoAnnotation.cpp, src/misc/SoGLBigImage.cpp,
	src/misc/SoPick.h, src/vrml97/NormalInterpolator.cpp,
	src/fields/SoSFPath.cpp, src/nodes/SoSelection.cpp,
	src/threads/thread.cpp, src/fields/SoMFString.cpp,
	src/shapenodes/SoText3.cpp, src/fields/SoSFVec2d.cpp,
	src/elements/GL/SoGLDisplayList.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoProfile.cpp, src/fields/SoMFVec2s.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/fields/SoMFUInt32.cpp, src/shaders/SoGLSLShaderProgram.h,
	src/draggers/SoDirectionalLightDragger.cpp, src/3ds/Makefile.am,
	src/fonts/common.c, src/vrml97/ColorInterpolator.cpp:

	Move private headers from include/ to src/. Change from C to C++ where easily
	possible. Update all dependencies (yay\!).

2007-12-14 16:18:29  Rev 11604  frodo

	* src/caches/SoConvexDataCache.cpp, docs/coin.doxygen.in,
	src/caches/SoBoundingBoxCache.cpp, src/caches/SoCache.cpp,
	src/caches/SoGLRenderCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp:

	add the various cache classes to doc

2007-12-14 13:48:38  Rev 11603  frodo

	* src/elements/GL/Makefile.am, src/elements/GL/SoResetMatrixElement.h,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	src/elements/GL/Makefile.in,
	src/elements/GL/SoResetMatrixElement.cpp, src/nodes/SoCamera.cpp:

	move SoResetMatrixElement to separate private header file. Private classes in
	the public API breaks Pivy build on Windows

2007-12-10 15:16:55  Rev 11601  pederb

	* src/glue/gl.c:

	Don't always assert if we have GL errors when entering cc_glglue_instance().

2007-12-10 13:21:47  Rev 11600  larsa

	* src/misc/SoDBP.cpp:

	add redundant #ifdef HAVE_WINDOWS_H to be consistent

2007-12-10 12:44:41  Rev 11599  larsa

	* src/misc/SoDBP.cpp:

	compile fix

2007-12-10 12:40:42  Rev 11598  larsa

	* src/misc/SoBase.cpp:

	nit

2007-12-10 10:15:19  Rev 11597  pederb

	* src/3ds/3dsLoader.h:

	Bugfix. Don't attempt to normalize the model by scaling and translating it.

2007-12-07 13:44:28  Rev 11595  kintel

	* aclocal.m4, configure, cfg/coin.m4, cfg/errors.txt:

	bootstrap

2007-12-07 13:44:01  Rev 11594  kintel

	* configure.ac:

	Correctly detect Mac OS X 10.5

2007-12-07 13:43:06  Rev 11593  kintel

	* src/misc/SoDBP.h, src/misc/SoDB.cpp, src/misc/SoDBP.cpp:

	Fixed attempt to access static global variable from another file

2007-12-05 10:33:24  Rev 11591  frodo

	* src/misc/SoDB.cpp, src/misc/SoDBP.cpp:

	bugfix: move 3ds include to SoDBP

2007-12-04 16:06:40  Rev 11589  pederb

	* src/fields/SoMFNode.cpp:

	Revert fixes for bugs #55 and #59, since that fix introduced a much more
	serious bug wrt reading USE keywords inside a SoMFNode.

2007-12-04 14:26:47  Rev 11588  mortene

	* src/tidbits.c:

	rm c-style comments

2007-12-03 16:37:38  Rev 11583  pederb

	* src/nodes/SoBumpMap.cpp:

	Detect height maps even when they're stored as rgb(a) images.

2007-11-30 09:54:45  Rev 11581  pederb

	* src/actions/SoLineHighlightRenderAction.cpp:

	Fix crash bug introduced when changing to SbPimplPtr.

2007-11-27 15:05:52  Rev 11579  pederb

	* src/elements/GL/SoGLCacheContextElement.cpp,
	src/shaders/SoFragmentShader.cpp, src/shaders/SoShaderObject.cpp,
	src/misc/SoVertexArrayIndexer.cpp, src/shapenodes/SoShape.cpp,
	src/nodes/SoTexture3.cpp, src/shapenodes/SoIndexedLineSet.cpp,
	src/shaders/SoVertexShader.cpp, src/shapenodes/SoPointSet.cpp,
	src/misc/SoGLDriverDatabase.cpp, src/actions/SoGLRenderAction.cpp,
	src/misc/SoGLImage.cpp, src/elements/GL/SoGLVBOElement.cpp,
	src/vrml97/IndexedLineSet.cpp, src/elements/GL/SoGLDisplayList.cpp,
	include/Inventor/misc/SoGLDriverDatabase.h, src/vrml97/PointSet.cpp,
	src/shapenodes/SoIndexedFaceSet.cpp, src/nodes/SoTextureCombine.cpp,
	src/nodes/SoSceneTexture2.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/elements/GL/SoGLPolygonOffsetElement.cpp,
	src/elements/GL/SoGLTexture3EnabledElement.cpp,
	src/nodes/SoBumpMap.cpp, src/shadows/SoShadowGroup.cpp,
	src/shaders/SoGeometryShader.cpp,
	src/shapenodes/soshape_bumprender.cpp, src/nodes/SoExtSelection.cpp,
	src/caches/SoPrimitiveVertexCache.cpp, src/misc/SoDB.cpp,
	src/misc/SoVBO.cpp:

	All GL feature tests should now go through SoGLDriverDatabase.

2007-11-27 10:08:33  Rev 11578  frodo

	* src/geo/SbUTMProjection.cpp:

	add missing const

2007-11-23 16:52:14  Rev 11576  larsa

	* src/xml/element.cpp, src/xml/document.cpp:

	tighter XML-parsing and writing

2007-11-23 13:42:39  Rev 11575  larsa

	* build/msvc8/docs/coin3.doxygen, docs/coin.doxygen.in:

	missing include

2007-11-23 12:04:08  Rev 11574  larsa

	* src/xml/document.cpp:

	doc try. disappointing result by doxygen for now...

2007-11-23 11:13:40  Rev 11573  frodein

	* src/xml/document.cpp:

	Added missing include

2007-11-22 15:39:02  Rev 11570  larsa

	* docs/coin.doxygen.in:

	scan xml-related files for doxygen doc

2007-11-22 15:29:41  Rev 11569  larsa

	* build/msvc6/coin3.dsp, build/msvc7/coin3.sln, build/msvc7/coin3.vcproj:

	update

2007-11-22 15:24:25  Rev 11568  larsa

	* src/xml/document.cpp:

	disable debug output

2007-11-22 15:23:53  Rev 11567  larsa

	* src/xml/element.cpp, src/xml/document.cpp:

	first working xml output

2007-11-22 14:29:28  Rev 11566  larsa

	* src/xml/document.cpp, src/xml/documentp.h:

	centralize parse-error message generation/handling

2007-11-22 14:16:01  Rev 11565  pederb

	* src/elements/GL/SoGLLinePatternElement.cpp:

	Workaround for a bug in the nVidia 2.1.1 drivers.

2007-11-22 14:12:06  Rev 11564  larsa

	* include/Inventor/C/XML/document.h, src/xml/document.cpp:

	always have bufsize after bufptr in arglists, improved xml-writing code

2007-11-22 13:42:24  Rev 11563  larsa

	* src/misc/SoGLDriverDatabase.cpp:

	MSVC 6.0 compile fix

2007-11-22 12:07:28  Rev 11562  larsa

	* build/misc/install-headers.bat, build/misc/uninstall-headers.bat,
	build/msvc8/coin3_install.vcproj, build/msvc8/coin3_docs.vcproj,
	build/msvc8/coin3.sln, build/msvc8/coin3_uninstall.vcproj,
	build/msvc8/coin3.vcproj:

	updates

2007-11-22 11:47:47  Rev 11561  larsa

	* include/Inventor/C/XML/types.h, src/xml/elementp.h,
	include/Inventor/C/XML/element.h:

	more C-syntax fixes

2007-11-22 11:44:27  Rev 11560  larsa

	* include/Inventor/C/XML/parser.h:

	parser.h is a C header

2007-11-22 11:43:50  Rev 11559  larsa

	* include/Inventor/C/XML/Makefile.am,
	include/Inventor/C/XML/Makefile.in, include/Inventor/C/XML/parser.h:

	parser.h is public header

2007-11-22 11:12:40  Rev 11558  larsa

	* src/xml/all-xml-cpp.cpp, include/Inventor/C/XML/utils.h,
	src/xml/Makefile.am, src/xml/attributep.h, src/xml/element.cpp,
	include/Inventor/C/XML/attribute.h, include/Inventor/C/XML/types.h,
	src/xml/path.cpp, src/xml/parser.c, src/xml/utils.cpp,
	src/xml/Makefile.in, src/xml/documentp.h,
	include/Inventor/C/XML/entity.h, src/xml/attribute.cpp,
	src/xml/types.cpp, include/Inventor/C/XML/document.h,
	src/xml/utils.h, src/xml/expat/expat_external.h,
	include/Inventor/C/XML/Makefile.am, src/xml/expat/xmlparse.c,
	src/xml/entity.cpp, src/xml/elementp.h,
	include/Inventor/C/XML/world.h, src/xml/document.cpp, src/xml,
	include/Inventor/C/XML/element.h, include/Inventor/C/XML/Makefile.in,
	include/Inventor/C/XML/parser.h, include/Inventor/C/XML/path.h:

	rewired xml-parser to read through expat

2007-11-22 03:23:52  Rev 11557  tamer

	* Coin.pc.in:

	remove URL entry to support older pkg-config versions

2007-11-20 09:56:28  Rev 11555  pederb

	* src/actions/SoLineHighlightRenderAction.cpp:

	Just search for the first Selection node to avoid performance problems with
	large scene graphs. SGI/TGS Inventor also only support one Selection node so
	this is how it should be.

2007-11-19 16:37:11  Rev 11553  frodo

	* src/actions/SoGetBoundingBoxAction.cpp:

	fixed typo

2007-11-19 12:50:58  Rev 11552  bfg

	* configure.ac:

	Two spelling errors in the same comment line. Anyone better?

2007-11-17 10:33:40  Rev 11550  bfg

	* configure.ac:

	Fixed minor spelling error.
	No need to bootstrap.

2007-11-17 10:31:25  Rev 11549  bfg

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/engines/Makefile.in,
	include/Inventor/lock/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/navigation/Makefile.in,
	src/vrml97/Makefile.in, include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in,
	src/shadows/Makefile.in, configure, src/hardcopy/Makefile.in,
	src/errors/Makefile.in, src/elements/Makefile.in,
	include/Inventor/annex/FXViz/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	include/Inventor/annex/FXViz/elements/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, include/Inventor/XML/Makefile.in,
	src/actions/Makefile.in, src/xml/Makefile.in, src/events/Makefile.in,
	data/shaders/lights/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, data/shaders/Makefile.in,
	html/Makefile.in, include/Inventor/C/glue/Makefile.in,
	src/elements/GL/Makefile.in, data/shaders/vsm/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/annex/ForeignFiles/Makefile.in,
	data/draggerDefaults/Makefile.in,
	include/Inventor/details/Makefile.in,
	include/Inventor/annex/FXViz/nodes/Makefile.in,
	src/manips/Makefile.in, src/fonts/Makefile.in,
	src/threads/Makefile.in, src/upgraders/Makefile.in,
	src/sensors/Makefile.in, include/Inventor/C/base/Makefile.in,
	include/Makefile.in, include/Inventor/bundles/Makefile.in,
	src/glue/Makefile.in, src/lists/Makefile.in,
	include/Inventor/draggers/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in, src/geo/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, include/Inventor/navigation/Makefile.in,
	include/Inventor/tools/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/errors/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/C/threads/Makefile.in, src/foreignfiles/Makefile.in,
	include/Inventor/nodekits/Makefile.in, man/man1/Makefile.in,
	src/xml/expat/Makefile.in, bin/Makefile.in, man/man3/Makefile.in,
	include/Inventor/C/XML/Makefile.in:

	bootstrap

2007-11-17 10:30:17  Rev 11548  bfg

	* configure.ac:

	Cygwin has not got diffutils installed by defaults.
	Check if cmd is available.

2007-11-15 14:04:55  Rev 11546  larsa

	* include/Inventor/actions/SoBoxHighlightRenderAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	src/actions/SoSimplifyAction.cpp, src/actions/SoCallbackAction.cpp,
	src/actions/SoAudioRenderAction.cpp,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/actions/SoCallbackAction.h,
	src/actions/SoRayPickAction.cpp, src/actions/SoGetMatrixAction.cpp,
	src/actions/SoReorganizeAction.cpp,
	include/Inventor/actions/SoAudioRenderAction.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/actions/SoGetMatrixAction.h,
	include/Inventor/actions/SoReorganizeAction.h,
	src/actions/SoGetBoundingBoxAction.cpp,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	src/actions/SoToVRMLAction.cpp,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	src/actions/SoPickAction.cpp,
	include/Inventor/actions/SoToVRMLAction.h,
	src/actions/SoWriteAction.cpp,
	include/Inventor/actions/SoPickAction.h,
	src/actions/SoHandleEventAction.cpp,
	include/Inventor/actions/SoWriteAction.h,
	include/Inventor/actions/SoHandleEventAction.h,
	src/actions/SoGLRenderAction.cpp, src/actions/SoSearchAction.cpp,
	src/actions/SoToVRML2Action.cpp,
	include/Inventor/actions/SoGLRenderAction.h,
	include/Inventor/actions/SoToVRML2Action.h,
	include/Inventor/actions/SoSearchAction.h, src/actions/SoAction.cpp,
	src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp,
	src/actions/SoGetPrimitiveCountAction.cpp,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	include/Inventor/actions/SoAction.h:

	prepare for pimpl-object usage eventuality, code-style tweaks, disable copy-
	construction and assignment

2007-11-14 15:39:20  Rev 11544  frodein

	* src/nodekits/SoBaseKit.cpp:

	synchronize documentation with implementation

2007-11-14 11:33:13  Rev 11543  larsa

	* include/Inventor/draggers/SoDragPointDragger.h:

	include fix

2007-11-14 10:38:45  Rev 11542  larsa

	* include/Inventor/draggers/SoDirectionalLightDragger.h,
	src/draggers/SoTrackballDragger.cpp,
	src/draggers/SoRotateDiscDragger.cpp,
	src/draggers/SoHandleBoxDragger.cpp,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	src/draggers/SoScale1Dragger.cpp,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTabBoxDragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoDragPointDragger.cpp,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	src/draggers/SoRotateSphericalDragger.cpp,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	src/draggers/SoTransformerDragger.cpp,
	include/Inventor/draggers/SoTransformerDragger.h,
	src/draggers/SoJackDragger.cpp, src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoCenterballDragger.cpp,
	src/draggers/SoRotateCylindricalDragger.cpp,
	include/Inventor/draggers/SoJackDragger.h,
	src/draggers/SoTranslate1Dragger.cpp,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	src/draggers/SoDragger.cpp,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	src/draggers/SoPointLightDragger.cpp,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoDragger.h,
	src/draggers/SoDirectionalLightDragger.cpp,
	include/Inventor/draggers/SoPointLightDragger.h:

	pimpl-preparations, codestyle fixes

2007-11-14 08:51:12  Rev 11541  tarjei

	* src/actions/SoAction.cpp:

	Mend code example.

2007-11-13 18:11:32  Rev 11539  larsa

	* src/manips/SoClipPlaneManip.cpp,
	include/Inventor/manips/SoTransformerManip.h,
	src/manips/SoJackManip.cpp,
	include/Inventor/manips/SoHandleBoxManip.h,
	src/manips/SoCenterballManip.cpp, src/manips/SoTransformManip.cpp,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/manips/SoJackManip.h,
	src/manips/SoSpotLightManip.cpp, src/manips/SoTabBoxManip.cpp,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/manips/SoTransformManip.h,
	src/manips/SoPointLightManip.cpp,
	include/Inventor/manips/SoSpotLightManip.h,
	src/manips/SoTransformBoxManip.cpp,
	include/Inventor/manips/SoTabBoxManip.h,
	src/manips/SoDirectionalLightManip.cpp,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/manips/SoDirectionalLightManip.h,
	src/manips/SoTrackballManip.cpp, src/manips/SoTransformerManip.cpp,
	include/Inventor/manips/SoTrackballManip.h,
	src/manips/SoHandleBoxManip.cpp:

	prepare for pimpl-object usage eventuality, disable copy-construction and
	assignment

2007-11-12 17:38:47  Rev 11537  larsa

	* build/msvc6/coin3.dsp, build/msvc6/include/config-debug.h,
	build/msvc7/include/config-debug.h, build/msvc8/include/config-
	debug.h, build/msvc8/coin3_install.vcproj, build/msvc7/coin3.sln,
	build/msvc8/coin3_uninstall.vcproj, build/msvc8/coin3.sln,
	build/msvc7/coin3.vcproj, build/msvc8/coin3.vcproj, build/misc
	/install-headers.bat, build/misc/uninstall-headers.bat,
	build/msvc8/coin3_docs.vcproj, build/msvc6/include/config-release.h,
	build/msvc7/include/config-release.h, build/msvc8/include/config-
	release.h:

	updated files

2007-11-12 12:13:32  Rev 11536  frodo

	* BUGS.txt:

	item 220 is fixed

2007-11-12 12:05:30  Rev 11535  frodo

	* testsuite/Makefile.in:

	included realTime globalfield test in makefile

2007-11-12 12:02:57  Rev 11534  frodo

	* src/actions/SoWriteAction.cpp:

	unit-test that make sure the realTime field is written if it has forward
	connections

2007-11-12 11:57:05  Rev 11533  frodo

	* src/fields/SoGlobalField.cpp:

	revert bogus fix; the realTime field should be written if it has forward
	connections

2007-11-08 17:38:02  Rev 11466  sveinung

	* src/fields/SoFieldContainer.cpp:

	Only copy actual values for user data.

2007-11-08 17:22:27  Rev 11464  sveinung

	* src/misc/SoDB.cpp:

	Remove testing for hanging read threads when importing a scene. This is the
	effect of a previously fixed bug, NOT the cause.

2007-11-08 16:12:32  Rev 11457  frodo

	* BUGS.txt:

	removed item 91, unable to reproduce

2007-11-08 11:14:14  Rev 11439  sveinung

	* src/fields/SoFieldContainer.cpp:

	Include user data when performing a deep copy.

2007-11-08 11:06:51  Rev 11434  frodo

	* BUGS.txt:

	removed item 167, unable to reproduce

2007-11-08 10:20:58  Rev 11430  sveinung

	* BUGS.txt:

	Addressed in revision #11428.

2007-11-08 10:17:11  Rev 11429  sveinung

	* src/nodes/SoUnknownNode.cpp, src/misc/SoDB.cpp:

	Bugfix #212.

2007-11-08 09:33:25  Rev 11428  sveinung

	* BUGS.txt:

	Addressed in revision #11427.

2007-11-08 09:31:57  Rev 11427  sveinung

	* src/fields/SoMFNode.cpp, src/misc/SoDB.cpp, testsuite/Makefile.in:

	Bugfix for #55 and #59.

2007-11-08 09:29:25  Rev 11426  sveinung

	* include/Inventor/misc/SoBase.h:

	Give full access to private implementation class.

2007-11-08 09:28:20  Rev 11425  sveinung

	* src/misc/SoBaseP.cpp, src/misc/SoBaseP.h:

	New method for reading SoNode-instances from input stream.

2007-11-07 12:34:11  Rev 11388  frodo

	* aclocal.m4, src/misc/SoBase.cpp, src/misc/SoBaseP.cpp,
	src/misc/Makefile.in, src/misc/SoBaseP.h, src/misc/Makefile.am:

	split out definition of SoDBP to make it accessible within Coin

2007-11-06 15:42:04  Rev 11350  frodo

	* BUGS.txt:

	bug 218 was fixed some time ago

2007-11-06 09:41:09  Rev 11318  larsa

	* docs/cointestsuite.pdf:

	mini .pdf-presentation

2007-11-06 00:29:37  Rev 11317  thoralf

	* test:

	hackaton test2

2007-11-06 00:29:06  Rev 11316  thoralf

	* test:

	hackaton test

2007-11-02 16:41:31  Rev 11313  larsa

	* aclocal.m4, configure, include/config.h.in, include/discard.h.in,
	src/Makefile.in, include/Inventor/C/Makefile.in:

	bootstrap

2007-11-02 16:19:54  Rev 11312  larsa

	* THANKS:

	credits

2007-11-02 16:09:57  Rev 11311  larsa

	* src/Makefile.am, include/Inventor/C/Makefile.am, configure.ac:

	configure/build xml-parts

2007-11-02 16:05:41  Rev 11310  larsa

	* include/Inventor/C/XML/utils.h, src/xml/expat/all-expat-c.c,
	src/xml/expat/amigaconfig.h, include/Inventor/C/XML/types.h,
	src/xml/parser.c, src/xml/expat/nametab.h, src/xml/expat/xmltok.c,
	src/xml/utils.cpp, src/xml/expat/xmltok.h, src/xml/types.cpp,
	src/xml/expat/asciitab.h, include/Inventor/C/XML/document.h,
	src/xml/expat/latin1tab.h, src/xml/expat/expat.h,
	src/xml/expat/COPYING, src/xml/expat/expat_external.h,
	src/xml/expat/macconfig.h, include/Inventor/C/XML/world.h,
	src/xml/document.cpp, src/xml/expat/ascii.h, src/xml,
	include/Inventor/XML, src/xml/expat/xmltok_impl.c,
	include/Inventor/C/XML/element.h, include/Inventor/C/XML/path.h,
	include/Inventor/C/XML/parser.h, src/xml/expat/xmltok_impl.h, src/xml
	/all-xml-cpp.cpp, include/Inventor/XML/Makefile.am,
	src/xml/Makefile.am, src/xml/element.cpp,
	include/Inventor/C/XML/attribute.h, src/xml/path.cpp,
	src/xml/expat/README, src/xml/expat/xmltok_ns.c, src/xml/expat,
	src/xml/Makefile.in, include/Inventor/C/XML,
	include/Inventor/XML/Makefile.in, src/xml/expat/internal.h,
	src/xml/attribute.cpp, include/Inventor/C/XML/entity.h,
	src/xml/expat/utf8tab.h, src/xml/expat/xmlrole.c,
	src/xml/expat/xmlrole.h, src/xml/expat/Makefile.am,
	src/xml/expat/winconfig.h, include/Inventor/C/XML/Makefile.am,
	src/xml/entity.cpp, src/xml/expat/xmlparse.c,
	src/xml/expat/iasciitab.h, src/xml/expat/Makefile.in,
	include/Inventor/C/XML/Makefile.in:

	move/translate bux sources and expat into Coin

2007-11-02 09:20:19  Rev 11309  pederb

	* src/shadows/SoShadowGroup.cpp:

	Clamp spot light cutOffAngle to 0.78.

2007-11-01 15:50:38  Rev 11306  pederb

	* src/misc/SoGLDriverDatabase.cpp:

	Call the feature test function in isSupported().

2007-11-01 15:27:33  Rev 11305  pederb

	* src/misc/SoGLDriverDatabase.cpp:

	Define some feature names.

2007-11-01 15:26:36  Rev 11304  pederb

	* include/Inventor/misc/SoGLDriverDatabase.h:

	Tag file as internal. We might make it public in the future though.

2007-11-01 13:24:29  Rev 11303  pederb

	* src/misc/SoGLDriverDatabase.cpp:

	Move FeatureID into the private space.

2007-11-01 13:23:27  Rev 11302  pederb

	* src/misc/SoGLDriverDatabase.cpp:

	Move the SoGLDriver class inside SoGLDriverDatabaseP.

2007-11-01 13:05:14  Rev 11301  pederb

	* src/misc/SoGLDriverDatabase.cpp:

	Implement isSlow() and isFast().

2007-11-01 11:25:39  Rev 11300  pederb

	* src/misc/SoGLDriverDatabase.cpp:

	Just use SbName directly instead of the string returned from it.

2007-11-01 10:52:17  Rev 11299  pederb

	* include/Inventor/misc/Makefile.in, src/misc/Makefile.in,
	include/Inventor/misc/Makefile.am, src/misc/Makefile.am:

	Build SoGLDriverDatabase.

2007-11-01 10:49:09  Rev 11298  pederb

	* include/Inventor/misc/SoGLDriverDatabase.h,
	src/misc/SoGLDriverDatabase.cpp:

	First SoGLDriverDatabase implementation. Just need an xml parser now :).

2007-10-31 19:25:17  Rev 11296  frodo

	* src/misc/SoRenderManager.cpp, src/misc/SoRenderManagerP.h:

	calling a static method through an uninitialized pointer works, but it's not
	pretty.

2007-10-30 17:34:39  Rev 11294  frodo

	* src/foreignfiles/SoSTLFileKit.cpp, src/shadows/SoShadowGroup.cpp,
	src/shaders/SoShaderParameter.cpp:

	corrected some errors in include paths in doc

2007-10-24 09:59:20  Rev 11292  larsa

	* src/lists/SoActionMethodList.cpp, src/lists/SoEnabledElementsList.cpp:

	compile fixes

2007-10-18 14:28:21  Rev 11290  frodo

	* src/vrml97/Billboard.cpp:

	we want the billboard-to-viewer vector, which is the opposite of the
	projection direction

2007-10-18 09:37:16  Rev 11289  frodo

	* src/vrml97/Billboard.cpp:

	use the projection direction for look vector since the projection point is not
	valid when using an orthographic camera

2007-10-16 15:00:53  Rev 11287  wiesener

	* src/fonts/win32.c:

	Bugfix: correctly load bold/italic version of fonts that have a single .ttf
	file

2007-10-16 11:25:31  Rev 11286  larsa

	* src/navigation/Makefile.am.bak:

	shouldn't have been commited

2007-10-16 11:25:11  Rev 11285  larsa

	* include/Inventor/navigation/Makefile.am.bak:

	shouldn't have been commited

2007-10-15 13:24:14  Rev 11283  larsa

	* include/Inventor/tools/Makefile.am, include/Inventor/tools/Makefile.in:

	correct template expansion

2007-10-15 13:23:47  Rev 11282  larsa

	* include/Inventor/tools/SbLazyPimplPtr.h,
	include/Inventor/tools/SbPimplPtr.h:

	disable annoying VC++ warning

2007-10-12 14:36:20  Rev 11279  pederb

	* src/shadows/SoShadowGroup.cpp:

	Fix SoShadowGroup reference count/memory leak bug. Bug reported by Eivind
	Rovik.

2007-10-12 13:58:05  Rev 11276  frodo

	* src/tidbits.c:

	c compile fix

2007-10-12 09:29:24  Rev 11275  frodo

	* src/tidbits.c:

	access jittertab after clamping num passes. Fix received from Volker Enderlein

2007-10-10 13:34:39  Rev 11273  mortene

	* BUGS.txt:

	rm bogus bug description, the bug was somewhere else (debugged by frodo)

2007-10-09 15:37:39  Rev 11270  larsa

	* build/msvc6/coin3.dsp, build/msvc8/coin3_install.vcproj,
	build/msvc7/coin3.sln, build/msvc8/coin3_docs.vcproj,
	build/msvc8/coin3.sln, build/msvc8/coin3_uninstall.vcproj,
	build/msvc7/coin3.vcproj, build/msvc8/coin3.vcproj:

	add new headers to project files

2007-10-09 11:13:05  Rev 11269  frodo

	* src/misc/SoRenderManager.cpp:

	render bounding box with line draw style and base color lighting

2007-10-08 14:54:52  Rev 11265  larsa

	* configure, configure.ac:

	reinstate --disable-symbols option

2007-10-05 15:14:46  Rev 11263  larsa

	* include/Inventor/nodes/SoTextureCubeMap.h,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture3.h:

	reparent nodes as children of SoTexture

2007-10-04 14:10:53  Rev 11261  larsa

	* src/fields/SoSFVec4ub.cpp:

	test-case update

2007-10-04 13:48:07  Rev 11260  larsa

	* src/fields/SoSFBitMask.cpp:

	doc update, test-code adjustments

2007-10-04 12:24:46  Rev 11258  larsa

	* include/boost/Makefile.inc, configure, Makefile.in, Makefile.am:

	dist fix and bootstrap

2007-10-04 09:44:09  Rev 11257  larsa

	* build/misc/install-headers.bat, build/misc/uninstall-headers.bat,
	build/misc/create-directories.bat:

	updates

2007-10-04 08:57:49  Rev 11256  larsa

	* include/Inventor/manips/SoTransformerManip.h,
	include/Inventor/manips/SoHandleBoxManip.h,
	include/Inventor/manips/SoTransformBoxManip.h,
	include/Inventor/manips/SoDirectionalLightManip.h,
	include/Inventor/manips/SoClipPlaneManip.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/manips/SoTransformManip.h,
	include/Inventor/manips/SoSpotLightManip.h,
	include/Inventor/manips/SoTabBoxManip.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/manips/SoPointLightManip.h:

	be explicit about the virtual state of the destructor

2007-10-04 08:57:21  Rev 11255  larsa

	* include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/draggers/SoDirectionalLightDragger.h,
	include/Inventor/draggers/SoTabPlaneDragger.h,
	include/Inventor/draggers/SoDragPointDragger.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/draggers/SoTrackballDragger.h,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/draggers/SoHandleBoxDragger.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/draggers/SoScale1Dragger.h,
	include/Inventor/draggers/SoScale2Dragger.h,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	include/Inventor/draggers/SoCenterballDragger.h,
	include/Inventor/draggers/SoRotateCylindricalDragger.h,
	include/Inventor/draggers/SoSpotLightDragger.h,
	include/Inventor/draggers/SoTranslate1Dragger.h,
	include/Inventor/draggers/SoTabBoxDragger.h,
	include/Inventor/draggers/SoDragger.h,
	include/Inventor/draggers/SoTranslate2Dragger.h,
	include/Inventor/draggers/SoPointLightDragger.h:

	be explicit about the virtual state of the destructor

2007-10-04 08:56:36  Rev 11254  larsa

	* include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/engines/SoInterpolate.h,
	include/Inventor/engines/SoCalculator.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/engines/SoComposeMatrix.h,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/engines/SoTransformVec3f.h,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/engines/SoOnOff.h,
	include/Inventor/engines/SoConvertAll.h,
	include/Inventor/engines/SoTriggerAny.h,
	include/Inventor/engines/SoComputeBoundingBox.h,
	include/Inventor/engines/SoFieldConverter.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoBoolOperation.h,
	include/Inventor/engines/SoCounter.h,
	include/Inventor/engines/SoOneShot.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/engines/SoGate.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/engines/SoConcatenate.h,
	include/Inventor/engines/SoComposeRotation.h:

	be explicit about the virtual state of the destructor

2007-10-04 08:55:17  Rev 11253  larsa

	* configure.ac:

	VC6 doesn't support using <limits> with the /noBool option, so it's probably
	time to stop disabling the bool type now.

2007-10-04 08:52:52  Rev 11252  larsa

	* include/Inventor/SbBasic.h:

	better code comment

2007-10-04 08:52:24  Rev 11251  larsa

	* include/Inventor/tools/SbLazyPimplPtr.h,
	include/Inventor/tools/SbLazyPimplPtr.hpp,
	include/Inventor/tools/SbPimplPtr.h,
	include/Inventor/tools/SbPimplPtr.hpp:

	don't use bool type

2007-10-03 16:00:41  Rev 11248  larsa

	* include/Inventor/nodes/SoGeoSeparator.h,
	include/Inventor/nodes/SoGeoCoordinate.h:

	disable some compiler-implicit function-generation

2007-10-03 15:57:14  Rev 11247  larsa

	* include/Inventor/tools/SbLazyPimplPtr.hpp:

	fix for const restriction abuse caught by vc6

2007-10-03 14:36:40  Rev 11246  larsa

	* testsuite/makeextract.sh:

	always include boost::intrusive_ptr<>

2007-10-03 14:35:28  Rev 11245  larsa

	* src/geo/SoGeoSeparator.cpp, include/Inventor/nodes/SoGeoSeparator.h,
	src/geo/SoGeoCoordinate.cpp, include/Inventor/nodes/SoGeoCoordinate.h:

	two tracers for pimpl smart pointer usage

2007-10-03 14:04:18  Rev 11244  larsa

	* include/boost/intrusive_ptr.hpp:

	adding boost's intrusive_ptr smart pointer

2007-10-03 13:35:31  Rev 11243  larsa

	* aclocal.m4, configure, Makefile.in, cfg/config.guess,
	include/Inventor/Makefile.in, cfg/config.sub:

	bootstrap

2007-10-03 13:33:10  Rev 11242  larsa

	* include/Inventor/Makefile.am, include/Inventor/tools/Makefile.am,
	configure.ac, include/Inventor/tools,
	include/Inventor/tools/Makefile.in,
	include/Inventor/tools/SbLazyPimplPtr.h,
	include/Inventor/tools/SbLazyPimplPtr.hpp,
	include/Inventor/tools/SbPimplPtr.h,
	include/Inventor/tools/SbPimplPtr.hpp:

	new pimpl-pointer container classes

2007-10-03 13:29:42  Rev 11241  larsa

	* Makefile.am:

	dist tweaks

2007-09-30 20:27:34  Rev 11237  larsa

	* testsuite/StandardTests.cpp, testsuite/makemakefile.sh,
	testsuite/TestSuiteUtils.cpp, testsuite/TestSuiteUtils.h,
	testsuite/Makefile.in:

	add file for manual general testcases

2007-09-30 18:11:45  Rev 11236  larsa

	* cfg/gendsp.pl.in:

	release build / optimization tweaks

2007-09-30 18:11:02  Rev 11235  larsa

	* configure.ac:

	wrapmsvc build tweaks

2007-09-30 18:09:24  Rev 11234  larsa

	* testsuite/Makefile.in:

	all the new test object files

2007-09-30 17:53:36  Rev 11233  larsa

	* testsuite/makeextract.sh:

	Direct file/line references to the actual source file instead of getting
	compile errors and runtime messages pertaining to the extract file.

2007-09-30 17:51:33  Rev 11232  larsa

	* testsuite/TestSuiteMisc.cpp, testsuite/TestSuiteMisc.h:

	explanation and additions

2007-09-30 17:50:48  Rev 11231  larsa

	* testsuite/TestSuiteUtils.cpp, testsuite/TestSuiteUtils.h:

	correct constness

2007-09-30 17:49:48  Rev 11230  larsa

	* include/Inventor/SbTypeInfo.h:

	field class information

2007-09-30 17:48:45  Rev 11229  larsa

	* src/fields/SoMFInt32.cpp, src/fields/SoSFBool.cpp,
	src/fields/SoMFVec3b.cpp, src/fields/SoSFBox2s.cpp,
	src/fields/SoMFVec3d.cpp, src/fields/SoMFMatrix.cpp,
	src/fields/SoSFTime.cpp, src/fields/SoSFInt32.cpp,
	src/fields/SoSFRotation.cpp, src/fields/SoMFVec3f.cpp,
	src/fields/SoSFVec3b.cpp, src/fields/SoMFVec4us.cpp,
	src/fields/SoSFVec4ui32.cpp, src/fields/SoSFVec3d.cpp,
	src/fields/SoSFImage3.cpp, src/fields/SoSFVec3f.cpp,
	src/fields/SoMFVec3s.cpp, src/fields/SoSFBox3d.cpp,
	src/fields/SoSFBox3f.cpp, src/fields/SoSFVec3s.cpp,
	src/fields/SoSFUShort.cpp, src/fields/SoSFNode.cpp,
	src/fields/SoMFPath.cpp, src/fields/SoSFBox3i32.cpp,
	src/fields/SoSFBitMask.cpp, src/fields/SoMFVec4b.cpp,
	src/fields/SoSFBox3s.cpp, src/fields/SoMFFloat.cpp,
	src/fields/SoMFVec4d.cpp, src/fields/SoMFVec4f.cpp,
	src/fields/SoSFVec4b.cpp, src/fields/SoSFEnum.cpp,
	src/fields/SoSFVec4d.cpp, src/fields/SoSFEngine.cpp,
	src/fields/SoSFFloat.cpp, src/fields/SoSFString.cpp,
	src/fields/SoSFVec4f.cpp, src/fields/SoMFVec4i32.cpp,
	src/fields/SoSFColorRGBA.cpp, src/fields/SoMFVec4s.cpp,
	src/fields/SoSFVec4i32.cpp, src/fields/SoSFName.cpp,
	src/fields/SoSFImage.cpp, src/fields/SoSFVec4s.cpp,
	src/fields/SoSFUInt32.cpp, src/fields/SoSFVec4ub.cpp,
	src/fields/SoMFTime.cpp, src/fields/SoSFBox2i32.cpp,
	src/fields/SoMFPlane.cpp, src/fields/SoMFRotation.cpp,
	src/fields/SoMFVec4ui32.cpp, src/fields/SoSFPlane.cpp,
	src/fields/SoSFMatrix.cpp, src/fields/SoMFVec3i32.cpp,
	src/fields/SoSFVec4us.cpp, src/fields/SoSFDouble.cpp,
	src/fields/SoSFVec3i32.cpp, src/fields/SoMFUShort.cpp,
	src/fields/SoSFColor.cpp, src/fields/SoMFNode.cpp,
	src/fields/SoMFShort.cpp, src/fields/SoMFVec2b.cpp,
	src/fields/SoSFPath.cpp, src/fields/SoMFVec2d.cpp,
	src/fields/SoSFShort.cpp, src/fields/SoMFVec2f.cpp,
	src/fields/SoMFString.cpp, src/fields/SoSFVec2b.cpp,
	src/fields/SoSFVec2d.cpp, src/fields/SoSFTrigger.cpp,
	src/fields/SoSFVec2f.cpp, src/fields/SoMFVec2i32.cpp,
	src/fields/SoMFName.cpp, src/fields/SoMFVec2s.cpp,
	src/fields/SoSFVec2i32.cpp, src/fields/SoSFBox2d.cpp,
	src/fields/SoMFUInt32.cpp, src/fields/SoSFBox2f.cpp,
	src/fields/SoMFVec4ub.cpp, src/fields/SoSFVec2s.cpp:

	various unit-tests

2007-09-28 12:27:37  Rev 11227  jkg

	* src/glue/gl.c:

	Fix comment.

2007-09-28 10:31:17  Rev 11226  pederb

	* src/glue/gl.c:

	Use GL_MAX_TEXTURE_COORDS_ARB to test for the maximum number of texture units
	we can use. Thanks to Eivind Rovik for pointing this out to me.

2007-09-28 09:58:21  Rev 11225  rolvs

	* src/glue/gl.c:

	Option to disable FBO feature even if it's available.

2007-09-27 23:51:20  Rev 11224  thammer

	* src/base/string.c:

	bugfix: make sure string buffer is '0'-terminated when buffer is large

2007-09-27 12:12:46  Rev 11218  pederb

	* src/nodekits/SoBaseKit.cpp:

	Warn when user tries to set a private part through setPart().

2007-09-27 10:53:18  Rev 11217  pederb

	* src/misc/SoGL.cpp:

	Display list caching seems to really good now (for both nVidia and ATi).
	Increase autocache limits.

2007-09-26 13:33:04  Rev 11212  pederb

	* src/nodes/SoSceneTexture2.cpp:

	Reset SoLazyElement state before rendering into the FBO.

2007-09-26 13:27:09  Rev 11211  pederb

	* src/elements/SoLazyElement.cpp:

	Bugfix in setToDefault().

2007-09-26 12:38:14  Rev 11210  pederb

	* src/elements/GL/SoGLDisplayList.cpp:

	Workaround for nVidia display list handling.

2007-09-26 12:00:52  Rev 11209  pederb

	* src/elements/SoLazyElement.cpp,
	include/Inventor/elements/SoLazyElement.h:

	Add setToDefault(). Needed for FBO rendering.

2007-09-26 10:18:52  Rev 11205  pederb

	* src/shadows/SoShadowGroup.cpp:

	Support up to two texture units in the shadowed scene graph.

2007-09-26 09:58:50  Rev 11204  pederb

	* src/shaders/SoShaderObject.cpp,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/shaders/SoShader.cpp:

	Support for testing up to four Coin texture units from a shader program.

2007-09-26 08:59:52  Rev 11203  pederb

	* src/elements/GL/SoGLViewingMatrixElement.cpp:

	Bugfix for recently introduced reset matrix bug.

2007-09-25 15:44:34  Rev 11201  sveinung

	* src/fields/SoField.cpp:

	Bugfix. Incorrect locking call found in the branch coin-threading, was not yet
	corrected in the main repository.

2007-09-24 08:43:06  Rev 11196  larsa

	* include/Inventor/nodes/SoNodes.h, src/nodes/SoNode.cpp:

	Call initClass() on SoFrustumCamera.

2007-09-21 14:18:31  Rev 11189  larsa

	* aclocal.m4, cfg/gendsp.pl.in, configure, cfg/errors.txt:

	bootstrap

2007-09-19 14:48:38  Rev 11187  larsa

	* src/fields/SoSFEnum.cpp:

	doc update

2007-09-19 14:15:28  Rev 11186  larsa

	* include/Inventor/nodes/SoCone.h:

	clarify that enum values are bits in a bitmask

2007-09-19 12:10:43  Rev 11185  larsa

	* aclocal.m4, configure:

	bootstrap

2007-09-19 12:10:25  Rev 11184  larsa

	* configure.ac:

	refactor to use improved version of macro

2007-09-19 10:38:43  Rev 11183  larsa

	* src/misc/SoType.cpp:

	code comment

2007-09-19 10:22:59  Rev 11182  larsa

	* src/misc/SoType.cpp:

	Dynamic loading of extension nodes optimization. New environment variable
	COIN_NO_SOTYPE_DYNLOAD to disable dynamic loading completely.

2007-09-18 11:52:09  Rev 11176  pederb

	* src/nodes/SoResetTransform.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	include/Inventor/elements/SoGLViewingMatrixElement.h,
	src/nodes/SoCamera.cpp:

	Add an internal helper element (SoResetMatrixElement) to improve caching when
	SoResetTransform nodes are used.

2007-09-14 14:10:21  Rev 11169  frodo

	* include/Inventor/system/gl.h:

	fix GLU_SILHOUETTE define typo

2007-09-11 08:27:55  Rev 11165  pederb

	* src/misc/SoBase.cpp, src/fields/SoField.cpp,
	src/fields/SoGlobalField.cpp, src/misc/SoDB.cpp, src/misc/SoDBP.cpp:

	Clean up the SoGlobalField mess a bit. Global fields should now be deleted
	when the last reference to it is deleted.

2007-09-10 13:31:39  Rev 11163  pederb

	* src/misc/SoBase.cpp, src/misc/SoDBP.h, src/base/namemap.c,
	include/Inventor/C/tidbitsp.h, src/misc/SoType.cpp,
	src/misc/SoDB.cpp, src/misc/SoDBP.cpp, src/tidbits.c:

	Better granularity on internal coin_atexit callbacks. This should fix the
	SoGlobalField crash, but will not remove global fields added when loading an
	iv file.

2007-09-10 09:28:38  Rev 11162  pederb

	* src/nodekits/SoBaseKit.cpp:

	Warn about part not found in setAnyPart().

2007-09-07 14:29:35  Rev 11160  kintel

	* src/fields/SoGlobalField.cpp:

	Temporarily disabled delete allcontainers since it causes an assert failure

2007-09-07 12:35:10  Rev 11159  larsa

	* build/misc/generate.sh, build/misc/uninstall-headers.bat:

	updates

2007-09-07 11:31:07  Rev 11158  larsa

	* build/msvc8/data/shaders/lights/DirSpotLight.h,
	build/msvc8/coin3_install.vcproj, build/msvc8/coin3_docs.vcproj,
	build/msvc8/coin3.sln, build/msvc8/coin3_uninstall.vcproj,
	build/msvc8/coin3.vcproj:

	regeneration - DirSpotLight.h failed the last time

2007-09-06 14:15:50  Rev 11155  larsa

	* Makefile.in, Makefile.am:

	dist fix

2007-09-06 14:15:17  Rev 11154  larsa

	* src/fields/SoSFVec4ub.cpp:

	added some basic testsuite tests

2007-09-06 14:14:37  Rev 11153  larsa

	* testsuite/makemakefile.sh, testsuite/TestSuiteMisc.cpp,
	testsuite/TestSuiteMisc.h, testsuite/TestSuiteUtils.cpp,
	testsuite/TestSuiteInit.cpp, testsuite/TestSuiteUtils.h,
	testsuite/makeextract.sh, testsuite/Makefile.in:

	improved testsuite framework for debugging debug and readerror-messages

2007-09-06 13:45:55  Rev 11152  larsa

	* include/Inventor/SbVec4ub.h:

	bugfix

2007-09-05 09:57:53  Rev 11150  pederb

	* src/vrml97/Extrusion.cpp:

	Fix closed-spine bug. Reported by Zvi Tarem.

2007-09-03 21:53:48  Rev 11147  larsa

	* build/msvc8/data/shaders/lights/DirSpotLight.h, build/msvc6,
	build/msvc6/coin3.dsp, build/msvc7, build/msvc8,
	build/msvc8/coin3_install.vcproj, build/msvc7/coin3.sln,
	build/msvc8/coin3_uninstall.vcproj, build/msvc8/coin3.sln,
	Makefile.am, build/msvc7/coin3.vcproj,
	build/msvc6/docs/coin3.doxygen, build/msvc8/coin3.vcproj,
	build/msvc7/docs/coin3.doxygen, build/msvc8/docs/coin3.doxygen,
	build/misc/install-headers.bat, build/misc/uninstall-headers.bat,
	build/msvc8/coin3_docs.vcproj,
	build/msvc6/data/shaders/lights/DirSpotLight.h,
	build/msvc7/data/shaders/lights/DirSpotLight.h:

	updated msvc-files

2007-09-03 09:26:17  Rev 11146  pederb

	* src/nodes/SoFrustumCamera.cpp:

	Some more doc.

2007-08-31 12:58:20  Rev 11144  pederb

	* src/nodes/SoTextureCoordinate2.cpp:

	Fix ugly VBO rendering bug when using the SoTextureCoordinate2 node.

2007-08-31 11:23:48  Rev 11143  pederb

	* src/misc/SoNotification.cpp:

	Bugfix for recently introduced bug. Handle cases where base is not set in a
	SoNotRec instance.

2007-08-31 10:21:09  Rev 11142  pederb

	* src/shadows/SoShadowGroup.cpp:

	Optimize by detecting when it's necessary search the children for changes in
	the scene graph.

2007-08-31 08:45:56  Rev 11141  pederb

	* src/nodes/SoSceneTexture2.cpp:

	Revert to previous version. Was a miscommit.

2007-08-31 08:17:49  Rev 11140  pederb

	* src/nodes/SoSceneTexture2.cpp, include/Inventor/SbVec3d.h,
	src/misc/SoNotification.cpp, src/vrml97/Script.cpp:

	Fix for old bug. Only set firstnoderec if rec->getBase() is actually a node.

2007-08-31 07:49:37  Rev 11139  pederb

	* src/shadows/SoShadowGroup.cpp:

	Temporarily disable the smoothBorder feature.

2007-08-30 14:49:30  Rev 11137  pederb

	* src/nodes/SoFrustumCamera.cpp:

	Compile fix.

2007-08-30 14:42:17  Rev 11136  pederb

	* src/misc/SoShaderGenerator.cpp:

	Bugfix.

2007-08-29 15:22:13  Rev 11133  kintel

	* src/threads/mutex.c:

	doc update

2007-08-29 12:47:47  Rev 11132  pederb

	* src/shadows/SoShadowGroup.cpp:

	Bugfix for quality < 0.3.

2007-08-29 12:21:33  Rev 11131  pederb

	* src/shadows/SoShadowGroup.cpp:

	compile fix.

2007-08-29 12:16:27  Rev 11130  pederb

	* src/shadows/SoShadowGroup.cpp:

	Use DirSpotLight from data/shaders.

2007-08-29 12:07:16  Rev 11129  pederb

	* data/shaders/lights/Makefile.in, data/shaders/lights/Makefile.am,
	data/shaders/lights/DirSpotLight.glsl, src/shaders/SoShader.cpp:

	Add DirSpotLight function.

2007-08-29 09:36:53  Rev 11128  pederb

	* src/shadows/SoShadowGroup.cpp:

	Reset search action after use.

2007-08-28 13:59:31  Rev 11125  pederb

	* src/nodes/all-nodes-cpp.cpp, docs/coin.doxygen.in,
	include/Inventor/nodes/Makefile.in, src/nodes/Makefile.in,
	include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am,
	cfg/errors.txt:

	Bootstrap to build SoFrustumCamera.

2007-08-28 13:41:52  Rev 11124  pederb

	* src/nodes/SoFrustumCamera.cpp,
	include/Inventor/nodes/SoFrustumCamera.h:

	Add SoFrustumCamera from SmallChange.

2007-08-28 11:16:45  Rev 11123  pederb

	* src/glue/gl.c:

	Use coin_runtime_os() to test for OS X.

2007-08-23 08:39:00  Rev 11121  pederb

	* docs/coin.doxygen.in:

	Create doc for SoTextureCubeMap.

2007-08-22 08:23:55  Rev 11119  pederb

	* src/glue/gl.c:

	Don't disable VBO rendering on Mac OS X/Intel Gfx. Drivers are ok there.

2007-08-21 12:13:06  Rev 11117  mortene

	* src/nodekits/SoBaseKit.cpp:

	debug: give better warning msg when user attempts to re-use scene graph root
	ptr over several catalogs

2007-08-16 10:21:26  Rev 11115  pederb

	* src/misc/SoShaderGenerator.cpp,
	include/Inventor/misc/SoShaderGenerator.h:

	Support for setting the shader version.

2007-08-16 09:56:59  Rev 11114  pederb

	* src/glue/gl.c:

	Disable VBO rendering for all Intel cards.

2007-08-16 08:10:11  Rev 11113  tarjei

	* src/glue/spidermonkey.c:

	Added JS_DestroyIdArray.

	NOTE: To avoid memory leaks, always use JS_DestroyIdArray following a
	JS_Enumerate call.

2007-08-16 08:09:37  Rev 11112  tarjei

	* include/Inventor/C/glue/spidermonkey.h:

	Added JS_DestroyIdArray and JSVAL_IS_PRIMITIVE.

	NOTE: To avoid memory leaks, always use JS_DestroyIdArray following a
	JS_Enumerate call.

2007-08-10 09:26:29  Rev 11110  pederb

	* src/vrml97/Script.cpp:

	Reduce the number of warnings from the Script node when an engine is missing.

2007-08-10 09:25:05  Rev 11109  pederb

	* src/misc/SoProto.cpp:

	Fixed a recently introduced PROTO bug which could cause crashes for Script
	nodes inside PROTOs.

2007-08-09 14:56:36  Rev 11107  pederb

	* src/nodes/SoMaterial.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoWWWInline.cpp, src/vrml97/Color.cpp,
	src/vrml97/Material.cpp, src/actions/SoLineHighlightRenderAction.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp, src/nodes/SoBaseColor.cpp:

	Create one SoColorPacker per thread when --enable-threadsafe is specified.

2007-08-09 09:42:45  Rev 11106  larsa

	* testsuite/makemakefile.sh, testsuite/TestSuiteUtils.cpp,
	testsuite/makeextract.sh, testsuite/Makefile.in:

	testsuite fixes

2007-08-08 12:43:34  Rev 11103  larsa

	* testsuite/makemakefile.sh, testsuite/TestSuiteUtils.cpp,
	testsuite/TestSuiteUtils.h, testsuite/makeextract.sh:

	stub framework for counting warnings/errors in the testsuite

2007-08-06 12:13:15  Rev 11101  larsa

	* include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFULong.h:

	#warning isn't portable

2007-08-06 11:19:10  Rev 11100  larsa

	* testsuite/README:

	typo fixes

2007-08-06 10:42:36  Rev 11099  rolvs

	* testsuite/README:

	Slight docu clarification.

2007-08-03 16:53:36  Rev 11097  larsa

	* build/msvc6/coin3.dsp, build/misc/install-headers.bat, build/misc
	/uninstall-headers.bat, build/msvc8/coin3_install.vcproj,
	build/msvc7/coin3.sln, build/msvc8/coin3_docs.vcproj,
	build/msvc8/coin3.sln, build/msvc8/coin3_uninstall.vcproj,
	build/msvc7/coin3.vcproj, build/msvc8/coin3.vcproj:

	updates

2007-08-03 14:42:04  Rev 11096  larsa

	* src/geo/SbUTMProjection.cpp:

	unused warnings removal

2007-08-03 14:07:59  Rev 11095  larsa

	* src/misc/SoRenderManagerP.h:

	compile fix

2007-08-03 09:50:45  Rev 11094  pederb

	* src/elements/SoShapeHintsElement.cpp:

	Bugfix. No need to update SoLazyElement in pop().

2007-08-03 08:41:17  Rev 11093  pederb

	* src/vrml97/JS_VRMLClasses.cpp:

	Subtract is spelled as subtract, not substract. Reported by Todd J. Furlong.

2007-08-02 15:01:05  Rev 11091  larsa

	* src/io/SoInput.cpp:

	doc fix

2007-08-02 14:59:56  Rev 11090  larsa

	* src/io/SoInput.cpp:

	doc fix

2007-08-02 12:51:54  Rev 11089  pederb

	* src/shapenodes/SoIndexedFaceSet.cpp:

	Fix to ensure correct face and part indices for all actions.

2007-08-02 11:32:32  Rev 11088  bfg

	* src/nodes/SoTextureCubeMap.cpp, src/nodes/SoSceneTexture2.cpp,
	src/nodes/SoBumpMap.cpp, src/nodes/SoTexture2.cpp,
	src/fields/SoSFImage.cpp:

	Corrected /speling/ mistakes.

2007-08-01 14:40:19  Rev 11086  pederb

	* src/misc/SoState.cpp:

	Catch attempts at setting an element from another element's pop() method.

2007-08-01 14:39:04  Rev 11085  pederb

	* src/shadows/SoShadowGroup.cpp:

	Disable/enable shadowmap texture units directly instead of using the Coin
	elements.

2007-08-01 08:36:50  Rev 11084  pederb

	* src/misc/SoProto.cpp:

	Reimplement IS reference resolving code. Stop using SoSearchAction since we
	need to find nodes inside SoSFNode fields as well. Fixes a bug reported by
	Todd J. Furlong.

2007-07-31 07:45:47  Rev 11082  pederb

	* src/vrml97/PointSet.cpp, src/shapenodes/SoIndexedFaceSet.cpp,
	src/misc/SoVBO.h, src/vrml97/IndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp, src/shapenodes/SoPointSet.cpp,
	src/vrml97/Extrusion.cpp, src/elements/GL/SoGLVBOElement.cpp,
	src/misc/SoVBO.cpp, src/vrml97/IndexedLineSet.cpp:

	Improve the shouldRenderAsVBO test. Disable VBO rendering while rendering the
	shadow map.

2007-07-30 12:15:36  Rev 11079  pederb

	* include/Inventor/threads/Makefile.in,
	include/Inventor/threads/SbThreadAutoLock.h,
	include/Inventor/threads/SbThreadMutex.h,
	include/Inventor/threads/Makefile.am:

	Added SbThreadMutex (recursive mutex). Changed SbThreadAutoLock to also
	support SbThreadMutex.

2007-07-30 12:03:23  Rev 11078  pederb

	* src/threads/recmutex.c, include/Inventor/C/threads/recmutex.h:

	Add cc_recmutex_try_lock().

2007-07-24 21:15:18  Rev 11076  tamer

	* src/io/SoInput.cpp:

	fix crash if provided with non-existing filename. (reported by Marius,
	initial fix by Tom Fredrik) small code-style fix for getHeader() return.

2007-07-24 17:08:41  Rev 11075  tamer

	* src/base/string.c:

	assert instead of debug path.

2007-07-24 16:19:49  Rev 11074  tamer

	* src/base/string.c:

	don't return early. debug path should exhibit same behavior. (i.e. segfault in
	case of memory corruption)

2007-07-19 12:34:41  Rev 11072  rolvs

	* README.WIN32:

	Did anyone get this commit?

2007-07-17 19:36:41  Rev 11070  tamer

	* cfg/wrapmsvc.exe, Makefile.in:

	bootstrap.

2007-07-17 19:36:13  Rev 11069  tamer

	* Coin.pc.in, Makefile.am:

	initial Coin metadata file and build system handling for pkg-config.

2007-07-17 16:26:59  Rev 11068  frodo

	* src/shapenodes/SoIndexedFaceSet.cpp:

	don't use the generated triangles when picking, it will not yield the correct
	face index and part index in the facedetail

2007-07-17 14:42:35  Rev 11067  bfg

	* src/shapenodes/SoShape.cpp:

	Fixed documentation typo.

2007-07-11 14:17:46  Rev 11064  larsa

	* examples/dynloadextensions/SwitchboardOperator.cpp,
	examples/dynloadextensions/Switchboard.cpp,
	examples/dynloadextensions/scene.iv,
	examples/dynloadextensions/SwitchboardOperator.h,
	examples/dynloadextensions/Makefile,
	examples/dynloadextensions/README,
	examples/dynloadextensions/Switchboard.h, examples/dynloadextensions:

	keep the dynamic loading example under source control

2007-07-11 13:01:09  Rev 11063  larsa

	* src/misc/SoSceneManager.cpp:

	memory corruption bugfix

2007-07-05 15:14:52  Rev 11061  pederb

	* src/navigation/SoNavigationSystem.cpp,
	include/Inventor/navigation/SoNavigationSystem.h:

	Add a new plane viewer mode.

2007-07-05 13:22:55  Rev 11060  frodo

	* src/misc/SoEventManager.cpp:

	let the EventManager maintain a navigationsystem pointer

2007-07-05 12:46:53  Rev 11059  tamer

	* include/Inventor/SbTesselator.h, src/base/SbTesselator.cpp:

	small cleanup.

2007-07-05 12:35:12  Rev 11058  pederb

	* src/glue/GLUWrapper.c:

	Add libGLU.so.1 to the list of library names to check.

2007-07-05 12:34:00  Rev 11057  pederb

	* src/navigation/SoNavigationSystem.cpp:

	Code cleanup.

2007-07-05 12:33:38  Rev 11056  pederb

	* src/navigation/SoNavigationControl.cpp:

	Fix buggy use of slack in viewAll().

2007-07-04 15:38:19  Rev 11054  pederb

	* src/glue/gl.c:

	Disable framebuffer objects if nvidia driver 2.0.0 is detected.

2007-07-04 12:02:30  Rev 11053  preng

	* examples/misc/glut_tex.cpp:

	Windows compile fix.

2007-07-04 11:56:10  Rev 11052  preng

	* examples/misc/glut_glinfo.cpp:

	Windows compile fix.

2007-07-04 11:32:58  Rev 11051  frodo

	* THANKS:

	added Tim Braun to THANKS

2007-07-04 11:32:18  Rev 11050  frodo

	* src/misc/CoinOffscreenGLCanvas.cpp, src/misc/CoinOffscreenGLCanvas.h,
	src/misc/SoDB.cpp:

	allow resource hogging by setting envvar. Patch provided by Tim Braun

2007-07-04 10:56:14  Rev 11049  larsa

	* build/msvc6, build/msvc6/coin3.dsp, cfg/gendsp.pl.in, build/msvc7,
	build/msvc8, build/msvc8/coin3_install.vcproj, build/msvc7/coin3.sln,
	build/msvc8/coin3_uninstall.vcproj, build/msvc8/coin3.sln,
	build/msvc7/coin3.vcproj, build/msvc8/coin3.vcproj, build/misc
	/install-headers.bat, build/misc/uninstall-headers.bat,
	build/msvc6/include/Inventor, build/msvc8/coin3_docs.vcproj,
	build/msvc7/include/Inventor, build/msvc6/docs, build/msvc7/docs,
	build/msvc8/include/Inventor, build/msvc8/docs:

	sync with build-system updates

2007-07-03 12:52:13  Rev 11046  frodo

	* src/navigation/Makefile.am, src/navigation/SoEvent.h,
	include/Inventor/navigation/SoPanMode.h, src/misc/Makefile.in,
	include/Inventor/navigation/SoZoomMode.h, src/navigation/Makefile.in,
	src/navigation/SoNavigationControl.cpp,
	include/Inventor/navigation/SoSubMode.h,
	src/navigation/SoNavigationMode.cpp,
	src/navigation/SoNavigationSystem.cpp, src/navigation/SoYawMode.cpp,
	include/Inventor/navigation/SoNavigationControl.h, configure,
	include/Inventor/navigation/SoNavigationSystem.h,
	include/Inventor/navigation/SoNavigationMode.h,
	src/misc/SoSceneManagerP.h, include/Inventor/navigation,
	src/navigation/SoEvent.cpp, src/misc/SoDB.cpp,
	src/navigation/SoIdleMode.cpp,
	include/Inventor/navigation/Makefile.am.bak,
	include/Inventor/navigation/SoRollMode.h, cfg/gendsp.pl.in,
	src/misc/SoRenderManagerP.cpp,
	include/Inventor/navigation/SoIdleMode.h,
	include/Inventor/navigation/SoCenterMode.h, configure.ac,
	src/navigation/SoNavigationVehicle.cpp,
	include/Inventor/nodes/Makefile.am,
	src/nodes/SoViewerNavigationMode.cpp,
	include/Inventor/navigation/SoPickMode.h,
	src/navigation/SoRotateMode.cpp,
	include/Inventor/navigation/SoNavigation.h,
	include/Inventor/navigation/SoOrthoCenterMode.h,
	src/misc/SoRenderManager.cpp, include/Inventor/nodes/Makefile.in,
	src/navigation/SoPitchMode.cpp, src/navigation,
	include/Inventor/navigation/SoPitchMode.h,
	src/navigation/Makefile.am.bak, src/navigation/all-navigation-
	cpp.cpp, src/navigation/SoPanMode.cpp, src/misc/SoSceneManager.cpp,
	include/Inventor/Makefile.am, src/navigation/SoZoomMode.cpp,
	src/misc/SoRenderManagerP.h, include/Inventor/SoSceneManager.h,
	src/nodes/Makefile.am, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/navigation/SoYawMode.h,
	src/misc/SoRenderManager.h, src/navigation/SoRollMode.cpp,
	include/Inventor/SoRenderManager.h, src/navigation/extra.cpp,
	src/navigation/SoCenterMode.cpp,
	include/Inventor/navigation/Makefile.am, src/Makefile.am,
	src/navigation/SoPickMode.cpp,
	include/Inventor/navigation/Makefile.in,
	src/navigation/SoNavigation.cpp, src/Makefile.in,
	src/navigation/SoNavigationState.cpp,
	src/navigation/SoOrthoCenterMode.cpp, src/misc/SoSceneManagerP.cpp,
	include/Inventor/navigation/SoNavigationVehicle.h,
	include/Inventor/nodes/SoViewerNavigationMode.h,
	include/Inventor/navigation/SoNavigationState.h, src/nodes/all-nodes-
	cpp.cpp, src/misc/SoEventManager.cpp,
	include/Inventor/navigation/SoRotateMode.h, src/misc/Makefile.am,
	include/Inventor/SoEventManager.h:

	navigation subsystem moved from NutsnBolts

2007-07-02 14:10:23  Rev 11043  pederb

	* examples/misc/glut_glinfo.cpp:

	Tool that reads and prints GL_VENDOR, GL_VERSION and GL_EXTENSIONS.

2007-06-29 11:33:12  Rev 11041  preng

	* src/fields/SoMFVec3d.cpp, include/Inventor/fields/SoMFVec3d.h:

	Bugfix: inconsistent use of SETVALUESPOINTER macros. Problem encountered while
	trying to build pivy on Win32.

2007-06-29 09:48:22  Rev 11040  larsa

	* testsuite/makemakefile.sh, testsuite/Makefile.in:

	add filter functionality to build arbitrary subsets of the complete testsuite

2007-06-28 13:26:31  Rev 11038  kintel

	* testsuite/makemakefile.sh, testsuite/Makefile.in:

	support --enable-hacking

2007-06-28 11:37:14  Rev 11037  kintel

	* src/threads/sched.c:

	Use uint32_t instead of unsigned int, improve performance on desctruction,
	improve doc

2007-06-28 11:36:40  Rev 11036  kintel

	* include/Inventor/C/threads/sched.h,
	include/Inventor/C/threads/schedp.h:

	Use uint32_t instead of unsigned int for clarification and consistency

2007-06-28 11:10:19  Rev 11035  kintel

	* src/base/time.c:

	doc

2007-06-25 10:18:16  Rev 11033  pederb

	* src/shadows/SoShadowGroup.cpp:

	Handle too few texture units.

2007-06-20 11:52:47  Rev 11031  frodo

	* src/misc/SoSceneManager.cpp, src/misc/SoSceneManagerP.h:

	better to only create the list of superimpositions if needed

2007-06-19 14:50:58  Rev 11029  frodo

	* src/misc/SoSceneManager.cpp, src/misc/SoSceneManagerP.cpp,
	src/misc/SoSceneManagerP.h, include/Inventor/SoSceneManager.h:

	support for super imposed scenes moved to SoSceneManager from NbSceneManager

2007-06-19 14:31:43  Rev 11028  pederb

	* src/shadows/SoShadowGroup.cpp:

	Add support for shadows for a special kind of directional light.

2007-06-19 11:11:37  Rev 11027  pederb

	* src/shadows/SoShadowGroup.cpp:

	Improve precision by only using the near clipping plane distance.

2007-06-19 08:18:32  Rev 11026  pederb

	* src/nodes/SoSpotLight.cpp:

	Clamp dropOffRate between 0 and 1.

2007-06-18 15:27:56  Rev 11023  larsa

	* build/misc/generate.sh, cfg/gendsp.pl.in,
	build/msvc8/coin3_install.vcproj, build/msvc7/coin3.sln,
	build/msvc6/coin3_docs.dsp, build/msvc8/coin3.sln,
	build/msvc8/coin3_uninstall.vcproj, build/msvc6/docs/coin3.doxygen,
	build/msvc8/coin3.vcproj, build/msvc7/docs/coin3.doxygen, build/misc
	/install-headers.bat, build/msvc8/docs/coin3.doxygen, build/misc
	/uninstall-headers.bat, build/msvc7/coin3_docs.vcproj, build/misc
	/build-docs.bat, build/msvc8/coin3_docs.vcproj:

	updates

2007-06-18 15:12:30  Rev 11022  pederb

	* src/shaders/SoGLShaderProgramElement.cpp,
	src/shaders/SoGLShaderObject.cpp, src/shaders/SoGLShaderProgram.cpp,
	include/Inventor/elements/SoGLShaderProgramElement.h,
	src/shaders/SoGLShaderObject.h, src/shaders/SoGLShaderProgram.h:

	Improved caching when shaders are used.

2007-06-18 11:20:47  Rev 11021  pederb

	* src/shaders/SoGLShaderProgramElement.cpp:

	Revert recent optimization.

2007-06-18 10:31:45  Rev 11020  larsa

	* build/misc/generate.sh, build/msvc6/coin3.dsp, docs/coin.doxygen.in,
	build/msvc8/coin3_install.vcproj, build/msvc6/coin3.dsw,
	build/msvc6/data/shaders/lights/DirectionalLight.h,
	build/msvc7/coin3.sln, build/msvc8/coin3_uninstall.vcproj,
	build/msvc6/coin3_docs.dsp,
	build/msvc7/data/shaders/lights/DirectionalLight.h,
	build/msvc8/coin3.sln,
	build/msvc8/data/shaders/lights/DirectionalLight.h,
	build/msvc7/coin3.vcproj, build/msvc6/docs/coin3.doxygen,
	build/msvc8/coin3.vcproj, build/msvc7/docs/coin3.doxygen, build/misc
	/install-headers.bat, build/msvc8/docs/coin3.doxygen, build/misc
	/uninstall-headers.bat, build/msvc6/docs, build/msvc7/docs,
	build/msvc8/docs:

	update

2007-06-18 09:41:52  Rev 11019  pederb

	* src/nodes/SoSceneTexture2.cpp:

	Add support for falling back to 16 bit floating point textures when 32 bits is
	requested.

2007-06-14 13:03:17  Rev 11016  pederb

	* src/shaders/SoGLShaderProgramElement.cpp:

	Fix for shaders and caching.

2007-06-14 11:50:07  Rev 11015  frodo

	* src/misc/SoSceneManager.cpp, src/misc/SoSceneManagerP.cpp,
	cfg/gendsp.pl.in, src/misc/SoRenderManager.cpp,
	src/misc/SoSceneManagerP.h, src/misc/Makefile.in,
	src/misc/SoRenderManager.h, include/Inventor/SoSceneManager.h,
	src/misc/Makefile.am:

	misc refactoring of the SceneManager

2007-06-14 10:45:57  Rev 11014  pederb

	* src/shaders/SoShaderObject.cpp, src/shaders/SoGLShaderObject.cpp,
	src/shaders/SoGLShaderObject.h:

	Fix for shader coin variables.

2007-06-13 14:04:55  Rev 11012  pederb

	* src/shadows/SoShadowGroup.cpp:

	Bugfixes. Test for the SpotLight 'on' field. Support transformations before
	the SpotLight.

2007-06-13 13:06:48  Rev 11011  frodo

	* include/Inventor/SbDict.h, src/base/hash.c, src/base/SbDict.cpp,
	include/Inventor/C/base/hash.h, include/Inventor/C/base/hashp.h:

	changed keytype on sbdict and cc_hash to uintptr_t to avoid issues on 64-bit
	platforms (patch received from Andrew Jones). Did this by typedef'ing the
	keytype to keep Coin-2 source code compatible without breaking its ABI

2007-06-13 10:22:15  Rev 11010  pederb

	* src/shadows/SoShadowGroup.cpp:

	Print a warning if we're unable to render shadows.

2007-06-13 09:37:29  Rev 11009  pederb

	* src/shadows/SoShadowGroup.cpp:

	Fix for alpha component in textures.

2007-06-13 09:05:32  Rev 11008  pederb

	* src/shaders/SoGLShaderProgram.cpp:

	Add missing function implementation.

2007-06-13 08:19:17  Rev 11007  pederb

	* src/shaders/SoGLSLShaderObject.cpp,
	src/shaders/SoGLSLShaderProgram.cpp,
	src/elements/GL/SoGLLazyElement.cpp,
	src/shaders/SoGLShaderProgram.cpp, src/shaders/SoGLSLShaderObject.h,
	src/elements/GL/SoGLTextureImageElement.cpp,
	src/shaders/SoGLSLShaderProgram.h, src/shaders/SoGLShaderProgram.h:

	Improve the way coin shader status variables are updated.

2007-06-12 15:20:09  Rev 11005  pederb

	* src/shadows/SoShadowGroup.cpp:

	Misc. improvements in shaders to match the OpenGL fixed functionality better.

2007-06-12 13:29:58  Rev 11004  pederb

	* testsuite/makemakefile.sh, testsuite/Makefile.in:

	Mac Framework local-link fix

2007-06-12 13:03:41  Rev 11003  pederb

	* testsuite/makemakefile.sh, testsuite/Makefile.in:

	Mac framework-less build fixes

2007-06-12 12:14:25  Rev 11002  pederb

	* data/shaders/lights/DirectionalLight.glsl:

	read OpenGL state outside if statements (ATi workaround).

2007-06-12 11:12:17  Rev 11001  larsa

	* testsuite/makemakefile.sh, testsuite/makeextract.sh,
	testsuite/Makefile.in:

	misc build-fixes

2007-06-12 10:43:16  Rev 11000  pederb

	* src/shadows/SoShadowGroup.cpp:

	Avoid a warning from the GLSL compiler when there are no spot lights.

2007-06-12 09:59:24  Rev 10999  pederb

	* src/shadows/SoShadowGroup.cpp:

	bugfix.

2007-06-11 19:08:38  Rev 10996  larsa

	* testsuite/makemakefile.sh, testsuite/Makefile.in:

	misc fixes

2007-06-11 19:02:34  Rev 10995  larsa

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/engines/Makefile.in,
	include/Inventor/lock/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in,
	src/shadows/Makefile.in, configure, src/hardcopy/Makefile.in,
	src/errors/Makefile.in, src/elements/Makefile.in,
	include/Inventor/annex/FXViz/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in,
	include/Inventor/annex/FXViz/elements/Makefile.in,
	include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	data/shaders/Makefile.am, src/events/Makefile.in,
	data/shaders/lights/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, data/shaders/Makefile.in,
	html/Makefile.in, include/Inventor/C/glue/Makefile.in,
	src/elements/GL/Makefile.in, data/shaders/vsm/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	include/Inventor/annex/ForeignFiles/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	include/Inventor/annex/FXViz/nodes/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	src/glue/Makefile.in, include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/lists/Makefile.in, include/Inventor/draggers/Makefile.in,
	include/Inventor/Makefile.in, src/nodes/Makefile.in,
	include/Inventor/annex/Makefile.in, Makefile.in,
	src/base/Makefile.in, src/geo/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shaders/Makefile.in,
	src/shapenodes/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/errors/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in, src/foreignfiles/Makefile.in,
	man/man1/Makefile.in, include/Inventor/nodekits/Makefile.in,
	bin/Makefile.in, man/man3/Makefile.in:

	bootstrap

2007-06-11 19:01:53  Rev 10994  larsa

	* configure.ac, Makefile.am:

	testsuite framework adjustments

2007-06-11 19:01:26  Rev 10993  larsa

	* testsuite/makemakefile.sh, testsuite/README,
	testsuite/TestSuiteInit.cpp, testsuite, testsuite/makeextract.sh,
	testsuite/Makefile.in:

	testsuite framework

2007-06-11 18:34:47  Rev 10992  larsa

	* RELEASE.txt:

	some additional svn-related info

2007-06-11 18:33:58  Rev 10991  larsa

	* src/fields/SoMFBitMask.cpp, src/shaders/SoFragmentShader.cpp,
	src/fields/SoMFBool.cpp, src/shaders/SoShaderProgram.cpp,
	src/shadows/SoShadowStyleElement.cpp, src/geo/SoGeoCoordinate.cpp,
	src/geo/SoGeoOrigin.cpp, src/shaders/SoVertexShader.cpp,
	src/fields/SoMFEnum.cpp, src/fields/SoMFEngine.cpp,
	src/geo/SoGeoElement.cpp, src/shaders/SoShaderParameter.cpp,
	src/fields/SoMFColorRGBA.cpp, src/fields/SoMFDouble.cpp,
	src/geo/SoGeoSeparator.cpp, src/fields/SoMFColor.cpp,
	src/shadows/SoGLShadowCullingElement.cpp,
	src/shadows/SoShadowGroup.cpp, src/shaders/SoGeometryShader.cpp,
	src/shadows/SoShadowCulling.cpp, src/geo/SoGeoLocation.cpp,
	src/shadows/SoShadowStyle.cpp, src/nodes/SoAnnotation.cpp:

	some basic/primitive unit-test code

2007-06-11 18:32:29  Rev 10990  larsa

	* src/base/SbBox3d.cpp, src/base/SbVec2b.cpp, src/base/SbVec2d.cpp:

	doc tweaks

2007-06-11 18:30:55  Rev 10989  larsa

	* include/README:

	explanation for the boost/ directory

2007-06-11 18:27:19  Rev 10988  larsa

	* include/boost/mpl/aux_/preprocessed/no_ttp/equal_to.hpp,
	include/boost/mpl/integral_c.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/list.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/less_equal.hpp,
	include/boost/mpl/aux_/preprocessed/plain/list_c.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/lambda_no_ctps.hpp,
	include/boost/mpl/has_xxx.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/full_lambda.hpp,
	include/boost/preprocessor/seq/detail/split.hpp,
	include/boost/mpl/aux_/preprocessed/plain/divides.hpp,
	include/boost/test/framework.hpp,
	include/boost/mpl/aux_/arg_typedef.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/iter_fold_impl.hpp,
	include/boost/iterator/detail/config_undef.hpp,
	include/boost/config/compiler/metrowerks.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/arg.hpp,
	include/boost/preprocessor/repetition/detail/edg,
	include/boost/mpl/aux_/preprocessed/gcc/less.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/apply_fwd.hpp,
	include/boost/mpl/aux_/lambda_support.hpp,
	include/boost/mpl/begin_end_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/greater_equal.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/quote.hpp,
	include/boost/type_traits/is_integral.hpp,
	include/boost/config/compiler/sunpro_cc.hpp,
	include/boost/mpl/aux_/arity.hpp,
	include/boost/type_traits/msvc/remove_pointer.hpp,
	include/boost/detail/quick_allocator.hpp,
	include/boost/test/impl/compiler_log_formatter.ipp,
	include/boost/bind/placeholders.hpp,
	include/boost/test/utils/runtime/cla/positional_parameter.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/lambda_no_ctps.hpp,
	include/boost/config/abi/msvc_prefix.hpp,
	include/boost/type_traits/has_nothrow_copy.hpp,
	include/boost/preprocessor/list/detail/edg/fold_left.hpp,
	include/boost/mpl/aux_/config/compiler.hpp,
	include/boost/test/utils/iterator/input_iterator_facade.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/vector_c.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/fold_impl.hpp,
	include/boost/preprocessor/punctuation/comma_if.hpp,
	include/boost/test/included/prg_exec_monitor.hpp,
	include/boost/type_traits/config.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/minus.hpp,
	include/boost/test/utils/runtime/file/config_file.cpp,
	include/boost/preprocessor/dec.hpp,
	include/boost/test/detail/wrap_io_saver.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/less_equal.hpp,
	include/boost/config/compiler/common_edg.hpp,
	include/boost/mpl/if.hpp, include/boost/type_traits/is_same.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/reverse_fold_impl.hpp,
	include/boost/preprocessor/repetition/repeat.hpp,
	include/boost/detail/indirect_traits.hpp,
	include/boost/mpl/aux_/config/adl.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/greater_equal.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/minus.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/placeholders.hpp,
	include/boost/mpl/aux_/preprocessor/params.hpp,
	include/boost/preprocessor/config/config.hpp,
	include/boost/test/utils/iterator/token_iterator.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/full_lambda.hpp,
	include/boost/mpl/aux_/preprocessed/plain/reverse_iter_fold_impl.hpp,
	include/boost/test/utils/runtime/configuration.hpp,
	include/boost/test/utils/runtime/cla/detail,
	include/boost/preprocessor/list/detail,
	include/boost/test/utils/runtime/cla/fwd.hpp, include/boost/bind,
	include/boost/mpl/aux_/preprocessed/mwcw/unpack_args.hpp,
	include/boost/test/utils/runtime/cla/parser.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/iter_fold_if_impl.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/less_equal.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/reverse_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/advance_backward.hpp,
	include/boost/mem_fn.hpp,
	include/boost/test/utils/iterator/ifstream_line_iterator.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/bind_fwd.hpp,
	include/boost/progress.hpp,
	include/boost/mpl/aux_/preprocessed/plain/greater_equal.hpp,
	include/boost/config/posix_features.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/times.hpp,
	include/boost/config/abi, include/boost/test/predicate_result.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/vector_c.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/apply_wrap.hpp,
	include/boost/config,
	include/boost/mpl/aux_/preprocessed/mwcw/times.hpp,
	include/boost/preprocessor/list/detail/fold_right.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/quote.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/inherit.hpp,
	include/boost/mpl/aux_/nested_type_wknd.hpp,
	include/boost/preprocessor/facilities/identity.hpp,
	include/boost/test/utils/iterator/istream_line_iterator.hpp,
	include/boost/config/compiler/hp_acc.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/not_equal_to.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/quote.hpp,
	include/boost/mpl/aux_/common_name_wknd.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/list_c.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/vector.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/iter_fold_if_impl.hpp,
	include/boost/test/utils/runtime/config.hpp,
	include/boost/io_fwd.hpp, include/boost/config/platform/amigaos.hpp,
	include/boost/preprocessor/arithmetic/dec.hpp,
	include/boost/preprocessor/list/detail/edg,
	include/boost/mpl/aux_/preprocessed/mwcw/apply_wrap.hpp,
	include/boost/type_traits/detail/is_function_ptr_helper.hpp,
	include/boost/mpl/aux_/preprocessed/plain/minus.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/list.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/reverse_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/shift_left.hpp,
	include/boost/preprocessor/tuple/eat.hpp, include/boost/test/utils,
	include/boost/mpl/aux_/preprocessed/no_ctps/inherit.hpp,
	include/boost/mpl/aux_/config/static_constant.hpp,
	include/boost/mpl/assert.hpp,
	include/boost/type_traits/detail/ice_not.hpp,
	include/boost/mpl/aux_/preprocessed/plain/lambda_no_ctps.hpp,
	include/boost/mpl/aux_/config/arrays.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/set_c.hpp,
	include/boost/detail/sp_counted_base.hpp,
	include/boost/type_traits/is_reference.hpp,
	include/boost/call_traits.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/map.hpp,
	include/boost/test/impl/logged_expectations.ipp,
	include/boost/mpl/lambda_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/vector_c.hpp,
	include/boost/get_pointer.hpp,
	include/boost/type_traits/type_with_alignment.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/greater_equal.hpp,
	include/boost/type_traits/msvc/remove_const.hpp,
	include/boost/config/compiler/kai.hpp,
	include/boost/preprocessor/control/detail/dmc/while.hpp,
	include/boost/mpl/aux_/preprocessor,
	include/boost/test/included/unit_test.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/shift_left.hpp,
	include/boost/test/utils/runtime/cla/validation.cpp,
	include/boost/type_traits/detail/size_t_trait_def.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/modulus.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/vector_c.hpp,
	include/boost/preprocessor/arithmetic,
	include/boost/type_traits/is_union.hpp,
	include/boost/mpl/aux_/preprocessor/repeat.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/iter_fold_if_impl.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/arg.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/divides.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/reverse_iter_fold_impl.hpp,
	include/boost/mpl/aux_/config, include/boost/mpl/aux_/has_begin.hpp,
	include/boost/test/impl/unit_test_main.ipp,
	include/boost/type_traits/detail/template_arity_spec.hpp,
	include/boost/mpl/aux_/preprocessed/plain/times.hpp,
	include/boost/utility/enable_if.hpp,
	include/boost/preprocessor/list/append.hpp,
	include/boost/test/utils/runtime/cla/char_parameter.cpp, include/boos
	t/mpl/aux_/preprocessed/no_ctps/reverse_iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/bind.hpp,
	include/boost/test/impl/framework.ipp,
	include/boost/preprocessor/seq/subseq.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/quote.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/set.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/unpack_args.hpp,
	include/boost/current_function.hpp,
	include/boost/type_traits/is_const.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/and.hpp,
	include/boost/test/detail/global_typedef.hpp,
	include/boost/mpl/aux_/preprocessor/filter_params.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/apply.hpp,
	include/boost/test/impl/test_main.ipp,
	include/boost/type_traits/detail/yes_no_type.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/reverse_iter_fold_impl.hpp,
	include/boost/test/parameterized_test.hpp,
	include/boost/test/utils/runtime,
	include/boost/test/utils/custom_manip.hpp,
	include/boost/test/utils/runtime/cla/named_parameter.cpp,
	include/boost/throw_exception.hpp,
	include/boost/detail/select_type.hpp,
	include/boost/test/utils/runtime/cla/basic_parameter.hpp,
	include/boost/mpl/aux_/preprocessed/plain/reverse_fold_impl.hpp,
	include/boost/config/compiler/comeau.hpp,
	include/boost/lexical_cast.hpp,
	include/boost/preprocessor/tuple/to_list.hpp,
	include/boost/detail/sp_counted_base_cw_x86.hpp,
	include/boost/mpl/aux_/msvc_type.hpp,
	include/boost/type_traits/composite_traits.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/placeholders.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/vector.hpp,
	include/boost/detail,
	include/boost/mpl/aux_/preprocessed/no_ttp/not_equal_to.hpp,
	include/boost/test/utils/basic_cstring/compare.hpp,
	include/boost/test/utils/runtime/fwd.hpp,
	include/boost/preprocessor/iterate.hpp, include/boost/bind/arg.hpp,
	include/boost/mpl/size_t.hpp,
	include/boost/mpl/aux_/preprocessed/plain/bitand.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/shift_right.hpp,
	include/boost/mpl/aux_/integral_wrapper.hpp,
	include/boost/mpl/aux_/preprocessed/plain/iter_fold_if_impl.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/bitor.hpp,
	include/boost/mpl/aux_/preprocessed/plain/arg.hpp,
	include/boost/test/mock_object.hpp,
	include/boost/preprocessor/repetition/detail/edg/for.hpp,
	include/boost/test/utils/runtime/trace.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps, include/boost/iterator,
	include/boost/mpl/aux_/config/msvc_typename.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/deque.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/or.hpp,
	include/boost/preprocessor/list,
	include/boost/test/utils/runtime/cla,
	include/boost/mpl/aux_/preprocessed/mwcw/map.hpp,
	include/boost/mpl/apply_fwd.hpp,
	include/boost/preprocessor/array/data.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/vector.hpp, include/boost/io,
	include/boost/mpl/aux_/preprocessed/mwcw/reverse_iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/plain/unpack_args.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/lambda_no_ctps.hpp,
	include/boost/test/utils/runtime/cla/modifier.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/equal_to.hpp,
	include/boost/iterator/detail,
	include/boost/mpl/aux_/preprocessed/no_ttp/or.hpp,
	include/boost/mpl/is_placeholder.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/less.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/arg.hpp,
	include/boost/config/select_stdlib_config.hpp,
	include/boost/test/utils/runtime/cla/id_policy.hpp,
	include/boost/test/output/compiler_log_formatter.hpp,
	include/boost/preprocessor/control/detail/while.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/set_c.hpp,
	include/boost/test/utils/runtime/cla/value_generator.hpp,
	include/boost/mpl/aux_/arity_spec.hpp,
	include/boost/test/execution_monitor.hpp,
	include/boost/preprocessor/seq/detail,
	include/boost/test/impl/exception_safety.ipp,
	include/boost/mpl/aux_/preprocessed/mwcw/set_c.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/apply.hpp,
	include/boost/preprocessor,
	include/boost/detail/atomic_count_gcc.hpp,
	include/boost/iterator/detail/facade_iterator_category.hpp,
	include/boost/type_traits/has_trivial_copy.hpp,
	include/boost/preprocessor/arithmetic/sub.hpp,
	include/boost/detail/lwm_nop.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/inherit.hpp,
	include/boost/preprocessor/cat.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/inherit.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/inherit.hpp,
	include/boost/preprocessor/control/expr_iif.hpp,
	include/boost/scoped_array.hpp,
	include/boost/preprocessor/list/reverse.hpp,
	include/boost/preprocessor/list/for_each_i.hpp,
	include/boost/preprocessor/list/fold_right.hpp,
	include/boost/preprocessor/repetition/enum_shifted_params.hpp,
	include/boost/test/utils/runtime/cla/dual_name_parameter.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/bitor.hpp,
	include/boost/test/detail/fwd_decl.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/apply_wrap.hpp,
	include/boost/mpl/aux_,
	include/boost/mpl/aux_/preprocessed/msvc60/advance_backward.hpp,
	include/boost/type_traits/cv_traits.hpp,
	include/boost/preprocessor/logical,
	include/boost/mpl/aux_/preprocessed/mwcw/list.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/set.hpp,
	include/boost/mpl/aux_/preprocessed/plain/set_c.hpp,
	include/boost/type_traits/is_pointer.hpp,
	include/boost/mpl/quote.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/bitand.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/and.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/full_lambda.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/bitxor.hpp,
	include/boost/preprocessor/enum_params.hpp,
	include/boost/config/abi/borland_prefix.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/shift_left.hpp,
	include/boost/test/utils/named_params.hpp,
	include/boost/mpl/aux_/preprocessed/plain/plus.hpp,
	include/boost/config/suffix.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/apply_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/template_arity.hpp,
	include/boost/test/utils/callback.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/apply.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/reverse_fold_impl.hpp,
	include/boost/test/utils/runtime/cla/iface,
	include/boost/mpl/aux_/na.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/shift_right.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/apply.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/not_equal_to.hpp,
	include/boost/config/compiler/vacpp.hpp,
	include/boost/detail/workaround.hpp,
	include/boost/test/utils/runtime/env/environment.hpp,
	include/boost/detail/endian.hpp, include/boost/mpl/arg.hpp,
	include/boost/static_assert.hpp,
	include/boost/preprocessor/repetition/detail/msvc/for.hpp,
	include/boost/mpl/aux_/msvc_dtw.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/bitxor.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/greater.hpp,
	include/boost/type_traits/is_member_function_pointer.hpp,
	include/boost/type_traits/remove_bounds.hpp,
	include/boost/test/utils/runtime/parameter.hpp,
	include/boost/preprocessor/seq/first_n.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/apply_wrap.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/or.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/iter_fold_if_impl.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/or.hpp,
	include/boost/config/platform/win32.hpp,
	include/boost/test/included/unit_test_framework.hpp,
	include/boost/mpl/arg_fwd.hpp,
	include/boost/preprocessor/repetition/detail/dmc/for.hpp,
	include/boost/preprocessor/enum_shifted_params.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/apply_fwd.hpp,
	include/boost/test/utils/runtime/env,
	include/boost/preprocessor/debug/error.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/bitor.hpp,
	include/boost/test/impl/cpp_main.ipp,
	include/boost/preprocessor/seq/rest_n.hpp, include/boost/mpl/or.hpp,
	include/boost/mpl/aux_/config/lambda.hpp,
	include/boost/type_traits/remove_const.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/list.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/greater_equal.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/greater.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/bitor.hpp,
	include/boost/mpl/next_prior.hpp, include/boost/type_traits/detail,
	include/boost/mpl/aux_/preprocessed/no_ctps/less_equal.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/divides.hpp, include/boost/m
	pl/aux_/preprocessed/bcc551/reverse_iter_fold_impl.hpp,
	include/boost/preprocessor/slot/slot.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/vector_c.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/shift_left.hpp,
	include/boost/type_traits/detail/ice_and.hpp,
	include/boost/test/interaction_based.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/quote.hpp,
	include/boost/mpl/aux_/preprocessed/plain/basic_bind.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/deque.hpp,
	include/boost/type_traits/remove_volatile.hpp,
	include/boost/preprocessor/arithmetic/add.hpp,
	include/boost/type_traits/detail/ice_or.hpp,
	include/boost/test/utils/runtime/env/fwd.hpp,
	include/boost/mpl/aux_/preprocessed/plain/apply_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/apply.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/shift_right.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/map.hpp,
	include/boost/preprocessor/seq/enum.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/template_arity.hpp,
	include/boost/test/utils/runtime/cla/iface/id_policy.hpp,
	include/boost/mpl/aux_/preprocessed/bcc,
	include/boost/mpl/aux_/preprocessed/gcc/arg.hpp,
	include/boost/test/progress_monitor.hpp,
	include/boost/mpl/aux_/preprocessed/plain/placeholders.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/set.hpp,
	include/boost/detail/lwm_pthreads.hpp,
	include/boost/test/utils/runtime/cla/validation.ipp,
	include/boost/optional, include/boost/mpl/aux_/nttp_decl.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/and.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/apply_wrap.hpp,
	include/boost/mpl/aux_/config/intel.hpp,
	include/boost/preprocessor/config,
	include/boost/mpl/aux_/preprocessed/msvc60/fold_impl.hpp,
	include/boost/mpl/next.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/full_lambda.hpp,
	include/boost/mpl/aux_/template_arity_fwd.hpp,
	include/boost/test/utils/runtime/cla/char_parameter.ipp,
	include/boost/mpl/aux_/preprocessed/msvc60/greater_equal.hpp,
	include/boost/type_traits/is_function.hpp,
	include/boost/preprocessor/iteration,
	include/boost/type_traits/detail/false_result.hpp,
	include/boost/preprocessor/logical/and.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/full_lambda.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/bitor.hpp,
	include/boost/test/utils/nullstream.hpp,
	include/boost/test/minimal.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/lambda_no_ctps.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/bitxor.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/plus.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/arg.hpp,
	include/boost/type_traits/detail/type_trait_def.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/shift_left.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/apply_wrap.hpp,
	include/boost/test/unit_test_log_formatter.hpp,
	include/boost/mpl/aux_/na_fwd.hpp,
	include/boost/type_traits/detail/bool_trait_def.hpp,
	include/boost/test/utils/runtime/cla/named_parameter.ipp,
	include/boost/mpl/aux_/preprocessed/bcc/basic_bind.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/advance_forward.hpp,
	include/boost/utility/base_from_member.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/fold_impl.hpp,
	include/boost/io/ios_state.hpp,
	include/boost/detail/lightweight_mutex.hpp,
	include/boost/shared_array.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/fold_impl.hpp,
	include/boost/preprocessor/detail/dmc,
	include/boost/test/logged_expectations.hpp,
	include/boost/noncopyable.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw,
	include/boost/test/utils/runtime/interpret_argument_value.hpp,
	include/boost/type_traits/detail/type_trait_undef.hpp,
	include/boost/mpl/aux_/config/dtp.hpp, include/boost/mpl/aux_/preproc
	essed/msvc60/reverse_iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/template_arity.hpp,
	include/boost/mpl/aux_/preprocessor/def_params_tail.hpp,
	include/boost/test/results_collector.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/advance_backward.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/shift_left.hpp,
	include/boost/test/utils/runtime/cla/argv_traverser.hpp,
	include/boost/test/output/xml_report_formatter.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/bitxor.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/not_equal_to.hpp,
	include/boost/detail/lwm_win32_cs.hpp,
	include/boost/test/test_exec_monitor.hpp,
	include/boost/test/utils/xml_printer.hpp,
	include/boost/mpl/aux_/has_rebind.hpp,
	include/boost/config/compiler/mpw.hpp,
	include/boost/mpl/aux_/value_wknd.hpp,
	include/boost/mpl/aux_/preprocessed/plain/vector.hpp,
	include/boost/test/utils/runtime/env/modifier.hpp,
	include/boost/next_prior.hpp,
	include/boost/mpl/aux_/lambda_arity_param.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/template_arity.hpp,
	include/boost/test/impl/plain_report_formatter.ipp,
	include/boost/mpl/aux_/preprocessed/bcc/not_equal_to.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/basic_bind.hpp,
	include/boost/detail/is_function_ref_tester.hpp,
	include/boost/preprocessor/detail/check.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/placeholders.hpp,
	include/boost/type_traits/is_enum.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/reverse_fold_impl.hpp,
	include/boost, include/boost/mpl/aux_/preprocessed/mwcw/bind_fwd.hpp,
	include/boost/type_traits/detail/is_mem_fun_pointer_impl.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/iter_fold_impl.hpp,
	include/boost/type_traits/remove_reference.hpp,
	include/boost/preprocessor/list/detail/edg/fold_right.hpp,
	include/boost/config/compiler/visualc.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/map.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/deque.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/full_lambda.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/placeholders.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/list.hpp,
	include/boost/preprocessor/tuple/elem.hpp,
	include/boost/preprocessor/detail,
	include/boost/mpl/aux_/preprocessed/mwcw/deque.hpp,
	include/boost/detail/call_traits.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/greater.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/advance_backward.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/lambda_no_ctps.hpp,
	include/boost/config/no_tr1/complex.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/iter_fold_if_impl.hpp,
	include/boost/preprocessor/repetition,
	include/boost/mpl/aux_/preprocessed/msvc60/greater.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/greater.hpp,
	include/boost/test/unit_test_log.hpp,
	include/boost/preprocessor/list/fold_left.hpp,
	include/boost/detail/interlocked.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/bitxor.hpp,
	include/boost/optional/optional.hpp, include/boost/mpl/apply.hpp,
	include/boost/iterator/detail/config_def.hpp,
	include/boost/mpl/aux_/yes_no.hpp,
	include/boost/config/abi_suffix.hpp,
	include/boost/test/utils/runtime/cla/parser.cpp,
	include/boost/preprocessor/logical/bool.hpp,
	include/boost/mpl/sequence_tag_fwd.hpp,
	include/boost/config/platform/macos.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/plus.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/quote.hpp,
	include/boost/preprocessor/repetition/for.hpp,
	include/boost/test/results_reporter.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/inherit.hpp,
	include/boost/config/no_tr1/functional.hpp,
	include/boost/test/detail/workaround.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/modulus.hpp,
	include/boost/bind/bind_mf_cc.hpp,
	include/boost/test/prg_exec_monitor.hpp,
	include/boost/mpl/size_t_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/plain/deque.hpp,
	include/boost/test/impl/execution_monitor.ipp,
	include/boost/mpl/aux_/preprocessed/bcc551/set.hpp,
	include/boost/mpl/aux_/preprocessed/plain/bind.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/list.hpp,
	include/boost/test/unit_test_monitor.hpp,
	include/boost/type_traits/detail/is_function_ptr_tester.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/and.hpp,
	include/boost/mpl/aux_/preprocessed/plain/template_arity.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/fold_impl.hpp,
	include/boost/config/no_tr1/utility.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/unpack_args.hpp,
	include/boost/type_traits/is_convertible.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/modulus.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/list.hpp,
	include/boost/test/impl/test_tools.ipp,
	include/boost/detail/sp_counted_base_gcc_x86.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/advance_forward.hpp,
	include/boost/preprocessor/control/detail/dmc,
	include/boost/mpl/aux_/preprocessed/dmc/vector.hpp,
	include/boost/config/abi/msvc_suffix.hpp,
	include/boost/type_traits/detail/ice_eq.hpp,
	include/boost/mpl/aux_/preprocessed/plain/bind_fwd.hpp,
	include/boost/iterator/iterator_traits.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/lambda_no_ctps.hpp,
	include/boost/test/utils/runtime/cla/value_handler.hpp,
	include/boost/preprocessor/seq/fold_left.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/not_equal_to.hpp,
	include/boost/bind/bind_template.hpp,
	include/boost/implicit_cast.hpp,
	include/boost/type_traits/arithmetic_traits.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/inherit.hpp,
	include/boost/test/utils/fixed_mapping.hpp,
	include/boost/config/platform/cygwin.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/apply.hpp,
	include/boost/mpl/void_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/list.hpp,
	include/boost/preprocessor/facilities/empty.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/list_c.hpp,
	include/boost/preprocessor/control/if.hpp,
	include/boost/mpl/aux_/config/has_apply.hpp,
	include/boost/detail/shared_ptr_nmt.hpp,
	include/boost/preprocessor/repetition/repeat_from_to.hpp,
	include/boost/type_traits/add_reference.hpp,
	include/boost/mpl/aux_/preprocessor/enum.hpp,
	include/boost/type_traits/is_pod.hpp,
	include/boost/iterator/interoperable.hpp,
	include/boost/mpl/aux_/preprocessed/plain/advance_backward.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/iter_fold_impl.hpp,
	include/boost/shared_ptr.hpp,
	include/boost/test/utils/runtime/validation.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/shift_right.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/map.hpp,
	include/boost/config.hpp,
	include/boost/type_traits/is_polymorphic.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/equal_to.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/list_c.hpp,
	include/boost/config/stdlib/msl.hpp,
	include/boost/preprocessor/control/detail,
	include/boost/preprocessor/expr_if.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/bitor.hpp,
	include/boost/config/platform/linux.hpp,
	include/boost/mpl/aux_/preprocessed/plain/less.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/advance_forward.hpp,
	include/boost/mpl/aux_/config/eti.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/quote.hpp,
	include/boost/test/detail/unit_test_parameters.hpp,
	include/boost/mpl/aux_/preprocessed/plain/inherit.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/advance_forward.hpp,
	include/boost/type_traits/detail/size_t_trait_undef.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/quote.hpp,
	include/boost/mpl/eval_if.hpp, include/boost/test/unit_test.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/bind.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/set.hpp,
	include/boost/type_traits/is_class.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/bitxor.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/template_arity.hpp, include/b
	oost/mpl/aux_/preprocessed/no_ttp/reverse_iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/minus.hpp,
	include/boost/config/compiler/gcc.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/and.hpp,
	include/boost/mpl/aux_/msvc_is_class.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/basic_bind.hpp,
	include/boost/mpl/deref.hpp, include/boost/mpl/int.hpp,
	include/boost/config/user.hpp, include/boost/config/auto_link.hpp,
	include/boost/test/impl/progress_monitor.ipp,
	include/boost/mpl/aux_/preprocessed/bcc/advance_forward.hpp,
	include/boost/test/impl/interaction_based.ipp,
	include/boost/mpl/aux_/preprocessed/dmc,
	include/boost/detail/sp_counted_base_nt.hpp,
	include/boost/test/output/plain_report_formatter.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/bind_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/plain/map.hpp,
	include/boost/config/platform,
	include/boost/preprocessor/list/detail/dmc/fold_left.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/unpack_args.hpp,
	include/boost/preprocessor/seq/seq.hpp,
	include/boost/test/utils/runtime/cla/id_policy.cpp,
	include/boost/mpl/aux_/preprocessed/mwcw/basic_bind.hpp,
	include/boost/preprocessor/list/transform.hpp,
	include/boost/preprocessor/slot,
	include/boost/type_traits/detail/cv_traits_impl.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/bind_fwd.hpp,
	include/boost/config/compiler/intel.hpp,
	include/boost/test/utils/runtime/file/config_file_iterator.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/times.hpp,
	include/boost/config/platform/solaris.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/apply_wrap.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/modulus.hpp,
	include/boost/type_traits/is_scalar.hpp,
	include/boost/type_traits/alignment_of.hpp,
	include/boost/config/compiler/greenhills.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/bind_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/map.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/list_c.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/shift_right.hpp,
	include/boost/config/compiler/digitalmars.hpp,
	include/boost/mpl/aux_/config/preprocessor.hpp,
	include/boost/preprocessor/control, include/boost/config/no_tr1,
	include/boost/mpl/aux_/preprocessed/mwcw/plus.hpp,
	include/boost/mpl/aux_/preprocessed/plain/quote.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/advance_backward.hpp,
	include/boost/preprocessor/repetition/detail,
	include/boost/mpl/aux_/preprocessed/msvc60/modulus.hpp,
	include/boost/test/detail/log_level.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/not_equal_to.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/lambda_no_ctps.hpp,
	include/boost/test/utils/wrap_stringstream.hpp,
	include/boost/type_traits/broken_compiler_spec.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/modulus.hpp,
	include/boost/mpl/aux_/preprocessed/plain/equal_to.hpp,
	include/boost/config/stdlib/vacpp.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/full_lambda.hpp,
	include/boost/test/utils/assign_op.hpp, include/boost/mpl/limits,
	include/boost/config/platform/irix.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/shift_right.hpp,
	include/boost/mpl/aux_/preprocessed/plain/iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/shift_left.hpp,
	include/boost/detail/shared_count.hpp,
	include/boost/test/utils/runtime/cla/dual_name_parameter.cpp,
	include/boost/mpl/not.hpp, include/boost/test/output_test_stream.hpp,
	include/boost/mpl/aux_/has_tag.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/less.hpp,
	include/boost/config/compiler/gcc_xml.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/unpack_args.hpp,
	include/boost/test/impl/unit_test_log.ipp,
	include/boost/mpl/aux_/preprocessor/sub.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/minus.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/list_c.hpp,
	include/boost/mpl/bind.hpp,
	include/boost/preprocessor/logical/compl.hpp,
	include/boost/config/select_platform_config.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/or.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/bitxor.hpp,
	include/boost/test/utils/runtime/cla/parameter.hpp,
	include/boost/test/impl/unit_test_parameters.ipp,
	include/boost/preprocessor/slot/detail,
	include/boost/mpl/aux_/preprocessed/msvc60/apply.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/apply_fwd.hpp,
	include/boost/test/impl/results_collector.ipp,
	include/boost/mpl/aux_/lambda_no_ctps.hpp,
	include/boost/preprocessor/detail/auto_rec.hpp,
	include/boost/preprocessor/punctuation/comma.hpp,
	include/boost/preprocessor/comma_if.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/vector_c.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60,
	include/boost/mpl/aux_/preprocessed/dmc/divides.hpp,
	include/boost/config/no_tr1/memory.hpp,
	include/boost/mpl/aux_/preprocessed/plain/less_equal.hpp,
	include/boost/mpl/int_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/plus.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/bitxor.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/bind.hpp,
	include/boost/type_traits/add_cv.hpp,
	include/boost/test/utils/runtime/env/environment.cpp,
	include/boost/mpl/aux_/preprocessed/msvc70/greater.hpp,
	include/boost/detail/sp_counted_base_w32.hpp,
	include/boost/mpl/aux_/msvc_never_true.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/times.hpp,
	include/boost/non_type.hpp,
	include/boost/test/utils/runtime/cla/parser.ipp,
	include/boost/preprocessor/list/adt.hpp,
	include/boost/config/platform/aix.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70,
	include/boost/mpl/aux_/preprocessed/bcc/inherit.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/divides.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/bitor.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/set.hpp,
	include/boost/type.hpp, include/boost/mpl/aux_/config/workaround.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/bitand.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/and.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/full_lambda.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/greater_equal.hpp,
	include/boost/config/stdlib,
	include/boost/mpl/aux_/preprocessed/no_ctps/shift_right.hpp,
	include/boost/test/impl/unit_test_suite.ipp,
	include/boost/mpl/aux_/preprocessed/msvc60/list.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/list_c.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/minus.hpp,
	include/boost/type_traits/integral_constant.hpp,
	include/boost/test/utils/foreach.hpp,
	include/boost/test/utils/runtime/cla/typed_parameter.hpp,
	include/boost/preprocessor/repetition/detail/dmc,
	include/boost/detail/sp_counted_base_cw_ppc.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/minus.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/equal_to.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/arg.hpp,
	include/boost/test/utils/class_properties.hpp,
	include/boost/scoped_ptr.hpp,
	include/boost/test/impl/results_reporter.ipp,
	include/boost/mpl/aux_/preprocessed/bcc551/bitand.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/less_equal.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/greater.hpp,
	include/boost/mpl/limits/arity.hpp,
	include/boost/detail/ob_call_traits.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/equal_to.hpp,
	include/boost/test/utils/runtime/file,
	include/boost/preprocessor/detail/dmc/auto_rec.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/advance_backward.hpp,
	include/boost/test/utils/basic_cstring,
	include/boost/mpl/aux_/preprocessed/dmc/greater_equal.hpp,
	include/boost/config/abi/borland_suffix.hpp,
	include/boost/type_traits/ice.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/times.hpp,
	include/boost/mpl/lambda.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/equal_to.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/set_c.hpp,
	include/boost/mpl/aux_/config/has_xxx.hpp,
	include/boost/config/requires_threads.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/less.hpp,
	include/boost/mpl/aux_/preprocessed/plain/set.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/times.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/template_arity.hpp,
	include/boost/mpl/aux_/include_preprocessed.hpp,
	include/boost/mpl/aux_/preprocessed/plain/and.hpp,
	include/boost/mpl/aux_/preprocessed/plain/full_lambda.hpp,
	include/boost/test/unit_test_suite_impl.hpp,
	include/boost/type_traits/detail/bool_trait_undef.hpp,
	include/boost/mpl/aux_/preprocessed/plain/vector_c.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/map.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/basic_bind.hpp,
	include/boost/test/impl/xml_report_formatter.ipp, include/boost/mpl,
	include/boost/mpl/aux_/preprocessor/add.hpp,
	include/boost/test/output/xml_log_formatter.hpp,
	include/boost/test/utils/basic_cstring/basic_cstring.hpp,
	include/boost/iterator/iterator_facade.hpp,
	include/boost/mpl/aux_/config/bind.hpp,
	include/boost/mpl/aux_/type_wrapper.hpp,
	include/boost/test/impl/unit_test_monitor.ipp,
	include/boost/type_traits/is_member_pointer.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/apply.hpp,
	include/boost/utility, include/boost/test/detail/enable_warnings.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/minus.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/less_equal.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/apply.hpp,
	include/boost/mpl/integral_c_tag.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/set.hpp,
	include/boost/mpl/aux_/logical_op.hpp,
	include/boost/mpl/aux_/config/integral.hpp, include/boost/assert.hpp,
	include/boost/utility/value_init.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/and.hpp,
	include/boost/detail/sp_counted_base_pt.hpp,
	include/boost/type_traits/add_const.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/placeholders.hpp,
	include/boost/test/utils/trivial_singleton.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/advance_backward.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/map.hpp,
	include/boost/mpl/aux_/preprocessed/plain/greater.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/greater_equal.hpp,
	include/boost/mpl/aux_/full_lambda.hpp,
	include/boost/test/utils/runtime/cla/argv_traverser.cpp,
	include/boost/detail/reference_content.hpp,
	include/boost/type_traits/add_pointer.hpp,
	include/boost/config/compiler/borland.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/bitand.hpp,
	include/boost/preprocessor/tuple/rem.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/reverse_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/bitor.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/times.hpp,
	include/boost/cstdint.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/plus.hpp,
	include/boost/config/platform/hpux.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/bitor.hpp,
	include/boost/mpl/aux_/preprocessed/plain/not_equal_to.hpp,
	include/boost/preprocessor/list/detail/dmc, include/boost/timer.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/or.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/basic_bind.hpp,
	include/boost/preprocessor/repetition/enum_binary_params.hpp,
	include/boost/optional.hpp,
	include/boost/test/utils/runtime/file/config_file.hpp,
	include/boost/detail/sp_counted_impl.hpp,
	include/boost/preprocessor/debug,
	include/boost/type_traits/msvc/remove_reference.hpp,
	include/boost/config/stdlib/roguewave.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/fold_impl.hpp,
	include/boost/mpl/for_each.hpp,
	include/boost/mpl/aux_/config/dmc_ambiguous_ctps.hpp,
	include/boost/test/utils/basic_cstring/io.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/divides.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/set_c.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/iter_fold_if_impl.hpp,
	include/boost/mpl/aux_/preprocessed/plain/apply.hpp,
	include/boost/test/utils/runtime/cla/id_policy.ipp,
	include/boost/mpl/aux_/preprocessed/mwcw/or.hpp,
	include/boost/test/utils/runtime/env/variable.hpp,
	include/boost/config/platform/beos.hpp, include/boost/mpl/bool.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/reverse_fold_impl.hpp,
	include/boost/type_traits/msvc/remove_bounds.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/divides.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/bitand.hpp,
	include/boost/preprocessor/control/detail/msvc/while.hpp,
	include/boost/bind/mem_fn_vw.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/divides.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/template_arity.hpp,
	include/boost/preprocessor/inc.hpp,
	include/boost/config/platform/bsd.hpp,
	include/boost/preprocessor/list/detail/fold_left.hpp,
	include/boost/mpl/aux_/preprocessed/plain/or.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/bind.hpp,
	include/boost/visit_each.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/list_c.hpp,
	include/boost/type_traits,
	include/boost/mpl/aux_/preprocessed/gcc/fold_impl.hpp,
	include/boost/detail/bad_weak_ptr.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/vector_c.hpp,
	include/boost/config/stdlib/modena.hpp, include/boost/test/impl,
	include/boost/mpl/aux_/preprocessed/dmc/iter_fold_if_impl.hpp,
	include/boost/config/stdlib/libstdcpp3.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/arg.hpp,
	include/boost/mpl/aux_/unwrap.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/basic_bind.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/advance_forward.hpp,
	include/boost/config/select_compiler_config.hpp,
	include/boost/mpl/aux_/preprocessed/plain/bitor.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/plus.hpp,
	include/boost/mpl/aux_/config/nttp.hpp,
	include/boost/mpl/aux_/begin_end_impl.hpp,
	include/boost/mpl/aux_/is_msvc_eti_arg.hpp,
	include/boost/test/utils/runtime/cla/iface/argument_factory.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/vector_c.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/unpack_args.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/plus.hpp,
	include/boost/test/utils/runtime/cla/dual_name_parameter.ipp,
	include/boost/preprocessor/seq/size.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/modulus.hpp,
	include/boost/mpl/and.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/placeholders.hpp,
	include/boost/mpl/aux_/preprocessed/plain/fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/vector_c.hpp,
	include/boost/preprocessor/repeat.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/advance_forward.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/basic_bind.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/set_c.hpp,
	include/boost/mpl/always.hpp,
	include/boost/preprocessor/arithmetic/inc.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/not_equal_to.hpp,
	include/boost/preprocessor/tuple,
	include/boost/preprocessor/control/detail/msvc,
	include/boost/mpl/sequence_tag.hpp,
	include/boost/test/utils/runtime/cla/validation.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/set_c.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/bitand.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/inherit.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/plus.hpp,
	include/boost/mpl/bind_fwd.hpp,
	include/boost/type_traits/is_abstract.hpp,
	include/boost/test/utils/runtime/cla/detail/argument_value_usage.hpp,
	include/boost/mpl/apply_wrap.hpp, include/boost/mpl/protect.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/bind.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/not_equal_to.hpp,
	include/boost/test/utils/runtime/cla/char_parameter.hpp, include/boos
	t/mpl/aux_/preprocessed/msvc70/reverse_iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/template_arity.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/iter_fold_impl.hpp,
	include/boost/config/stdlib/dinkumware.hpp,
	include/boost/mpl/aux_/preprocessed/plain/bitxor.hpp,
	include/boost/test/utils/runtime/env/environment.ipp,
	include/boost/limits.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/greater.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/advance_backward.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/less.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/set.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/shift_right.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/modulus.hpp,
	include/boost/preprocessor/array/size.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/and.hpp,
	include/boost/type_traits/is_volatile.hpp, include/boost/version.hpp,
	include/boost/test/utils/runtime/cla/named_parameter.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/list_c.hpp,
	include/boost/mpl/aux_/adl_barrier.hpp, include/boost/test/detail,
	include/boost/test/utils/basic_cstring/basic_cstring_fwd.hpp,
	include/boost/preprocessor/stringize.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/or.hpp,
	include/boost/mpl/aux_/preprocessor/range.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/arg.hpp,
	include/boost/test/detail/suppress_warnings.hpp,
	include/boost/test/test_tools.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/set_c.hpp,
	include/boost/type_traits/msvc/typeof.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/vector.hpp,
	include/boost/iterator.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/list_c.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/set.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/less_equal.hpp,
	include/boost/mpl/placeholders.hpp,
	include/boost/type_traits/is_fundamental.hpp,
	include/boost/preprocessor/repetition/detail/for.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/unpack_args.hpp,
	include/boost/mpl/aux_/preprocessor/default_params.hpp,
	include/boost/test/utils/rtti.hpp,
	include/boost/type_traits/is_void.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/and.hpp,
	include/boost/preprocessor/punctuation,
	include/boost/detail/binary_search.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/bind_fwd.hpp,
	include/boost/preprocessor/array,
	include/boost/preprocessor/control/detail/edg,
	include/boost/test/auto_unit_test.hpp,
	include/boost/test/detail/config.hpp,
	include/boost/mpl/aux_/count_args.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/less_equal.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/unpack_args.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/minus.hpp,
	include/boost/test/included/test_exec_monitor.hpp,
	include/boost/preprocessor/logical/bitand.hpp,
	include/boost/preprocessor/control/expr_if.hpp,
	include/boost/mpl/aux_/preprocessor/tuple.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/vector.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/less.hpp,
	include/boost/mpl/aux_/preprocessed/plain/modulus.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551,
	include/boost/type_traits/detail/is_mem_fun_pointer_tester.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/deque.hpp,
	include/boost/test/utils/basic_cstring/bcs_char_traits.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/apply_fwd.hpp,
	include/boost/test/output,
	include/boost/mpl/aux_/preprocessed/bcc/reverse_iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/shift_right.hpp,
	include/boost/none.hpp, include/boost/mpl/aux_/config/ttp.hpp,
	include/boost/preprocessor/seq/elem.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/plain/apply_wrap.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/placeholders.hpp,
	include/boost/type_traits/is_float.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/greater_equal.hpp,
	include/boost/preprocessor/facilities,
	include/boost/detail/atomic_count_pthreads.hpp,
	include/boost/mpl/identity.hpp, include/boost/mpl/bool_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/times.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/bind_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/bitxor.hpp,
	include/boost/detail/sp_counted_base_gcc_ia64.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/apply_fwd.hpp,
	include/boost/config/stdlib/libcomo.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/advance_forward.hpp,
	include/boost/test/utils/runtime/cla/argument_factory.hpp,
	include/boost/mpl/aux_/preprocessed/plain/shift_left.hpp,
	include/boost/mpl/aux_/preprocessor/ext_params.hpp,
	include/boost/preprocessor/control/iif.hpp,
	include/boost/preprocessor/control/detail/edg/while.hpp,
	include/boost/config/compiler/compaq_cxx.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/apply_fwd.hpp,
	include/boost/mpl/aux_/static_cast.hpp,
	include/boost/preprocessor/seq, include/boost/test,
	include/boost/test/utils/runtime/file/config_file_iterator.cpp,
	include/boost/mpl/aux_/na_spec.hpp,
	include/boost/test/utils/runtime/cla/argv_traverser.ipp,
	include/boost/utility/compare_pointees.hpp,
	include/boost/iterator/detail/enable_if.hpp,
	include/boost/mpl/aux_/config/msvc.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/bind.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/bitand.hpp,
	include/boost/test/utils/algorithm.hpp,
	include/boost/checked_delete.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/template_arity.hpp,
	include/boost/utility/addressof.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/bind_fwd.hpp,
	include/boost/mpl/aux_/preprocessor/partial_spec_params.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/unpack_args.hpp,
	include/boost/preprocessor/seq/for_each.hpp,
	include/boost/test/floating_point_comparison.hpp,
	include/boost/preprocessor/array/elem.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/apply_wrap.hpp,
	include/boost/type_traits/is_arithmetic.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp,
	include/boost/mpl/aux_/preprocessed/plain/shift_right.hpp,
	include/boost/mpl/integral_c_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/bind_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/vector.hpp,
	include/boost/bind.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/deque.hpp,
	include/boost/preprocessor/iteration/iterate.hpp,
	include/boost/test/utils/runtime/argument.hpp,
	include/boost/detail/atomic_count.hpp, include/boost/config/compiler,
	include/boost/mpl/aux_/preprocessed/bcc551/iter_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/lambda_no_ctps.hpp,
	include/boost/config/stdlib/stlport.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/shift_left.hpp,
	include/boost/mpl/aux_/config/ctps.hpp,
	include/boost/detail/limits.hpp,
	include/boost/type_traits/msvc/remove_cv.hpp,
	include/boost/mpl/aux_/traits_lambda_spec.hpp, include/Makefile.in,
	include/boost/test/unit_test_suite.hpp,
	include/boost/mpl/aux_/template_arity.hpp,
	include/boost/config/stdlib/sgi.hpp,
	include/boost/mpl/aux_/preprocessed/plain/advance_forward.hpp,
	include/boost/detail/sp_counted_base_gcc_ppc.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/full_lambda.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/advance_backward.hpp,
	include/boost/preprocessor/empty.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/divides.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/vector.hpp,
	include/boost/type_traits/intrinsics.hpp,
	include/boost/type_traits/is_base_and_derived.hpp,
	include/boost/mpl/aux_/preprocessed/plain/list.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/reverse_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/apply_wrap.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/bind.hpp,
	include/boost/test/impl/xml_log_formatter.ipp,
	include/boost/preprocessor/detail/is_binary.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/equal_to.hpp,
	include/boost/config/compiler/sgi_mipspro.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/arg.hpp,
	include/boost/preprocessor/control/while.hpp,
	include/boost/preprocessor/repetition/enum_params.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/bind.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/plus.hpp,
	include/boost/mpl/void.hpp, include/boost/type_traits/msvc,
	include/boost/mpl/aux_/preprocessed/no_ttp/less.hpp,
	include/boost/mpl/aux_/preprocessed, include/boost/bind/bind_cc.hpp,
	include/boost/mpl/aux_/preprocessed/plain,
	include/boost/mpl/aux_/preprocessed/bcc/modulus.hpp,
	include/boost/mpl/begin_end.hpp, include/boost/utility.hpp,
	include/boost/type_traits/remove_pointer.hpp,
	include/boost/test/test_observer.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/iter_fold_if_impl.hpp,
	include/boost/bind/mem_fn_template.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/bitand.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/apply_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/shift_left.hpp,
	include/boost/test/included, include/boost/bind/storage.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/placeholders.hpp,
	include/boost/test/test_case_template.hpp, include/boost/cstdlib.hpp,
	include/boost/detail/shared_array_nmt.hpp,
	include/boost/mpl/aux_/config/overload_resolution.hpp,
	include/boost/iterator/iterator_categories.hpp,
	include/boost/mpl/aux_/preprocessed/gcc,
	include/boost/mpl/aux_/preprocessed/mwcw/greater.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/deque.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/bind.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/minus.hpp,
	include/boost/type_traits/remove_cv.hpp,
	include/boost/type_traits/add_volatile.hpp,
	include/boost/mpl/aux_/na_assert.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/lambda_no_ctps.hpp,
	include/boost/mpl/aux_/preprocessed/msvc70/deque.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/less_equal.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/quote.hpp,
	include/boost/mpl/aux_/preprocessed/no_ttp/divides.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/placeholders.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/bitand.hpp,
	include/boost/mpl/aux_/preprocessed/bcc/equal_to.hpp,
	include/boost/bind/mem_fn_cc.hpp,
	include/boost/type_traits/detail/wrap.hpp,
	include/boost/mpl/aux_/config/gcc.hpp,
	include/boost/test/exception_safety.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/apply_fwd.hpp,
	include/boost/mpl/aux_/preprocessed/gcc/or.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/reverse_fold_impl.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/vector.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/set_c.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/basic_bind.hpp,
	include/boost/mpl/aux_/has_apply.hpp,
	include/boost/optional/optional_fwd.hpp, include/boost/ref.hpp,
	include/boost/preprocessor/identity.hpp,
	include/boost/type_traits/is_array.hpp,
	include/boost/mpl/aux_/preprocessed/msvc60/times.hpp,
	include/boost/preprocessor/repetition/detail/msvc,
	include/boost/mpl/aux_/preprocessed/no_ctps/less.hpp,
	include/boost/mpl/aux_/has_type.hpp,
	include/boost/mpl/aux_/config/use_preprocessed.hpp,
	include/boost/mpl/aux_/preprocessed/no_ctps/map.hpp,
	include/boost/mpl/aux_/preprocessed/mwcw/iter_fold_if_impl.hpp,
	include/boost/preprocessor/slot/detail/def.hpp,
	include/boost/detail/atomic_count_win32.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/less.hpp,
	include/boost/type_traits/msvc/remove_volatile.hpp,
	include/boost/config/abi_prefix.hpp,
	include/boost/mpl/aux_/preprocessed/bcc551/equal_to.hpp,
	include/boost/config/platform/qnxnto.hpp,
	include/boost/test/utils/iterator,
	include/boost/mpl/aux_/preprocessed/msvc60/advance_forward.hpp,
	include/boost/mpl/aux_/preprocessed/dmc/deque.hpp,
	include/boost/detail/iterator.hpp:

	copy of the boost 1.34.0-1 vendor branch for making Boost.Test available

2007-06-11 10:31:58  Rev 10987  larsa

	* src/shaders/SoShader.cpp:

	initClass() all shader parameter classes we provide

2007-06-08 14:09:05  Rev 10985  larsa

	* build/misc/create-directories.bat:

	more robust script, not as prone to accumulate errors as before

2007-06-08 13:51:33  Rev 10984  pederb

	* src/shadows/SoShadowGroup.cpp:

	Support for fog.

2007-06-07 14:30:55  Rev 10982  pederb

	* src/shaders/SoShader.cpp:

	An example on per-fragment phong shading.

2007-06-07 13:07:46  Rev 10981  pederb

	* src/shadows/SoShadowGroup.cpp:

	Add an example scene graph in the documentation.

2007-06-05 14:19:59  Rev 10979  pederb

	* src/shadows/SoShadowGroup.cpp:

	Remove a couple of obsoleted FIXMEs. Fixed a bug in the cameratransform
	variable handling.

2007-06-05 12:11:07  Rev 10978  pederb

	* src/shaders/SoGeometryShader.cpp:

	Compile fix.

2007-06-05 10:11:43  Rev 10977  pederb

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoShaderProgram.cpp, src/shaders/SoGeometryShader.cpp,
	src/shaders/SoVertexShader.cpp:

	More shader doc.

2007-06-05 09:25:48  Rev 10976  larsa

	* docs/coin.doxygen.in:

	path fix

2007-06-05 09:03:19  Rev 10975  pederb

	* src/shadows/SoShadowCulling.cpp, src/shadows/SoShadowStyle.cpp:

	More doc. fixes.

2007-06-05 08:57:25  Rev 10974  pederb

	* src/shadows/SoShadowGroup.cpp:

	Doc fix.

2007-06-05 08:45:47  Rev 10973  pederb

	* src/geo/SoGeoOrigin.cpp, src/shaders/SoShader.cpp:

	Documentation fixes.

2007-06-05 08:44:19  Rev 10972  pederb

	* src/shaders/SoGeometryShader.cpp:

	Test for GL_EXT_geometry_shader4 before adding the geometry shader.

2007-06-04 15:48:24  Rev 10970  pederb

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoGLSLShaderProgram.cpp,
	src/shaders/SoGLShaderProgram.cpp, src/shaders/SoGeometryShader.cpp,
	src/shaders/SoVertexShader.cpp, src/shaders/SoGLSLShaderProgram.h,
	include/Inventor/nodes/SoGeometryShader.h,
	src/shaders/SoGLShaderProgram.h:

	Improved usability of SoGeometryShader. Some doc fixes.

2007-06-04 14:50:54  Rev 10969  pederb

	* src/shaders/SoShader.cpp:

	Fix for shader doc.

2007-06-04 14:32:36  Rev 10968  pederb

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoShaderProgram.cpp,
	src/shaders/SoGeometryShader.cpp, src/shaders/SoVertexShader.cpp,
	src/shaders/SoShader.cpp:

	Shader doc.

2007-06-04 13:54:07  Rev 10967  pederb

	* docs/coin.doxygen.in:

	generate docs for Geo nodes.

2007-06-04 13:31:16  Rev 10966  pederb

	* docs/coin.doxygen.in:

	Add SoShaderObject.

2007-06-04 12:55:42  Rev 10965  pederb

	* docs/coin.doxygen.in:

	Add SoShader.cpp.

2007-06-04 12:07:05  Rev 10964  pederb

	* docs/coin.doxygen.in:

	Generate doc for SoTextureMatrixTransform.

2007-06-04 10:49:10  Rev 10963  pederb

	* src/shaders/SoGLSLShaderProgram.cpp:

	Uncomment code committed by mistake.

2007-06-04 10:18:00  Rev 10962  pederb

	* docs/coin.doxygen.in:

	Add missing files.

2007-06-04 10:03:44  Rev 10961  pederb

	* docs/coin.doxygen.in, src/shaders/SoGLSLShaderProgram.cpp,
	src/actions/SoBoxHighlightRenderAction.cpp:

	Add doc for shadow nodes.

2007-06-04 09:51:00  Rev 10960  pederb

	* docs/coin.doxygen.in:

	Add shader doc.

2007-06-04 09:46:40  Rev 10959  pederb

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:

	Add glProgramParameteriEXT

2007-06-04 09:45:20  Rev 10958  pederb

	* include/Inventor/system/gl.h:

	Geometry shader defines.

2007-06-01 13:02:03  Rev 10956  mortene

	* BUGS.txt:

	corrected last bug report to be more specific

2007-06-01 12:54:38  Rev 10955  mortene

	* BUGS.txt:

	+1: SoClipPlaneManip leaks. (wow, first entry in 7 months -- don't we get any
	more Coin bugs?)

2007-05-31 21:38:40  Rev 10953  pederb

	* src/shaders/SoGLSLShaderParameter.cpp:

	compile fix.

2007-05-31 14:52:22  Rev 10952  pederb

	* src/geo/SoGeo.cpp, src/geo/SoGeoOrigin.cpp:

	Some documentation.

2007-05-31 14:25:37  Rev 10951  pederb

	* src/misc/SoSceneManagerP.cpp:

	Bugfix.

2007-05-31 14:16:32  Rev 10950  pederb

	* src/geo/SoGeoSeparator.cpp, include/Inventor/nodes/SoGeoSeparator.h:

	SoGeoSeparator picking bugfix.

2007-05-31 12:15:31  Rev 10949  larsa

	* build/msvc6/coin3.dsp, build/misc/install-headers.bat, build/misc
	/uninstall-headers.bat, build/msvc8/coin3_install.vcproj,
	build/msvc7/coin3.sln, build/msvc8/coin3.sln,
	build/msvc8/coin3_uninstall.vcproj, build/msvc7/coin3.vcproj,
	build/msvc8/coin3.vcproj:

	build update for SceneManager pimpl class

2007-05-30 15:37:20  Rev 10946  pederb

	* include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoGLSLShaderParameter.h,
	src/shaders/SoGLARBShaderParameter.cpp,
	src/shaders/SoGLShaderParameter.h,
	src/shaders/SoGLARBShaderParameter.h,
	src/shaders/SoGLCgShaderParameter.cpp,
	src/shaders/SoShaderParameter.cpp,
	src/shaders/SoGLCgShaderParameter.h,
	src/shaders/SoGLSLShaderParameter.cpp:

	Support for integer arrays.

2007-05-30 15:19:13  Rev 10945  frodo

	* src/misc/SoSceneManager.cpp, src/misc/SoSceneManagerP.cpp,
	src/misc/SoSceneManagerP.h, src/misc/Makefile.in,
	include/Inventor/SoSceneManager.h, src/misc/Makefile.am:

	support for different drawstyles and stereomodes in SoSceneManager

2007-05-30 14:23:41  Rev 10944  pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Fix erroneous use of SbClamp. This fixes a transparency out-out-bounds ug.
	Reported by Karel Bijl.

2007-05-30 11:37:26  Rev 10943  pederb

	* src/geo/SoGeoSeparator.cpp, src/geo/SoGeoCoordinate.cpp,
	src/geo/SoGeoOrigin.cpp, src/geo/SoGeoLocation.cpp:

	Some doc.

2007-05-30 11:36:51  Rev 10942  pederb

	* src/elements/GL/SoGLLazyElement.cpp:

	Avoid slowing down the rendering code by checking the shader element only when
	needed.

2007-05-30 11:35:37  Rev 10941  pederb

	* src/geo/SoGeo.cpp:

	Projection bugfix

2007-05-30 10:56:48  Rev 10940  larsa

	* aclocal.m4, cfg/gendsp.pl.in, configure, cfg/csubst.exe, configure.ac:

	fix for the exit()-configure-issue, bootstrap

2007-05-29 16:06:30  Rev 10937  tamer

	* configure:

	bootstrap.

2007-05-29 16:05:36  Rev 10936  tamer

	* examples/misc/ivcp.cpp:

	remove debug binary file testing commit.

2007-05-29 16:03:59  Rev 10935  tamer

	* examples/misc/ivcp.cpp:

	missing closing bracket for "if
	(scene->isOfType(SoForeignFileKit::getClassTypeId())) {" line.
	little cosmetic cleanup following the HACKING manifesto.

2007-05-29 14:56:26  Rev 10934  larsa

	* build/misc/install-headers.bat, build/misc/install-sdk.bat:

	install-path fix

2007-05-29 13:02:43  Rev 10933  larsa

	* build/misc/generate.sh, build/msvc6, build/msvc6/coin3.dsp,
	build/msvc7, build/msvc8,
	build/msvc6/data/shaders/lights/PointLight.h,
	build/msvc7/data/shaders/lights/PointLight.h,
	build/msvc7/coin3_install.vcproj,
	build/msvc8/data/shaders/lights/PointLight.h,
	build/msvc8/coin3_install.vcproj, build/msvc7/coin3_uninstall.vcproj,
	build/msvc6/coin3.dsw, build/msvc7/coin3.sln,
	build/msvc8/coin3_uninstall.vcproj, build/msvc8/coin3.sln,
	build/msvc7/coin3.vcproj, build/msvc8/coin3.vcproj, build/misc
	/install-headers.bat, build/msvc6/install-headers.bat, build/misc
	/uninstall-headers.bat, build/msvc7/install-headers.bat,
	build/msvc6/coin3_install.dsp, build/msvc8/install-headers.bat,
	build/msvc6/uninstall-headers.bat, build/misc/install-sdk.bat,
	build/msvc7/uninstall-headers.bat, build/msvc6/coin3_uninstall.dsp,
	build/msvc8/uninstall-headers.bat, build/misc:

	updated Visual Studio build setup (separate install project++)

2007-05-29 13:01:24  Rev 10932  pederb

	* src/geo/SoGeoSeparator.cpp, src/geo/SoGeoCoordinate.cpp,
	src/geo/SoGeoLocation.cpp:

	Print error when GeoOrigin node is missing.

2007-05-29 11:49:49  Rev 10931  pederb

	* src/Makefile.am, src/Makefile.in:

	fix for install-symlinks.

2007-05-29 10:36:58  Rev 10930  pederb

	* src/geo/SoGeoCoordinate.cpp:

	compile fix

2007-05-29 10:21:30  Rev 10929  larsa

	* cfg/gendsp.pl.in, src/base/Makefile.in, include/Inventor/Makefile.in:

	bootstrap

2007-05-29 10:11:47  Rev 10928  larsa

	* include/Inventor/SbXfBox3d.h, include/Inventor/Makefile.am, src/base
	/all-base-cpp.cpp, src/base/SbXfBox3d.cpp, src/base/Makefile.am:

	SbXfBox3d class

2007-05-29 10:08:39  Rev 10927  larsa

	* src/geo/SoGeo.cpp:

	float-casts to avoid warnings

2007-05-29 09:50:56  Rev 10926  thammer

	* src/vrml97/JS_VRMLClasses.cpp:

	If input is VRML, readAsVRML, otherwise, just read as ordinary Coin
	scenegraph.

2007-05-29 09:47:02  Rev 10925  pederb

	* src/geo/SoGeoOrigin.cpp, src/geo/SbUTMProjection.cpp:

	Also update origin for SoGetPrimitiveCountAction.

2007-05-29 09:46:22  Rev 10924  pederb

	* src/geo/SoGeoCoordinate.cpp, include/Inventor/nodes/SoGeoCoordinate.h:

	Implement caching.

2007-05-25 13:48:57  Rev 10922  pederb

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoGeometryShader.cpp, src/shaders/SoVertexShader.cpp,
	src/shaders/SoShaderParameter.cpp:

	Some shader documentation

2007-05-25 11:28:10  Rev 10921  pederb

	* src/shaders/SoShader.cpp:

	Start of shader documentation.

2007-05-25 10:02:01  Rev 10920  pederb

	* src/shadows/SoShadowGroup.cpp,
	include/Inventor/annex/FXViz/nodes/SoShadowGroup.h:

	Replace ugly gaussSmoothing fields with a more generic smoothBorder field.

2007-05-24 15:27:12  Rev 10917  pederb

	* src/actions/SoBoxHighlightRenderAction.cpp:

	Make this action work even without a camera in the scene graph.

2007-05-24 14:53:59  Rev 10916  pederb

	* src/shadows/SoGLShadowCullingElement.cpp,
	src/shadows/SoShadowGroup.cpp, src/shadows/SoShadowCulling.cpp,
	include/Inventor/annex/FXViz/nodes/SoShadowCulling.h,
	include/Inventor/annex/FXViz/elements/SoGLShadowCullingElement.h:

	Implement node and element to control how culling is done while rendering the
	shadowmap.

2007-05-24 14:05:06  Rev 10915  pederb

	* src/vrml97/Geometry.cpp:

	Fix for rencently introduced ShapeHints bug.

2007-05-24 12:09:46  Rev 10914  pederb

	* src/shadows/all-shadows-cpp.cpp,
	include/Inventor/annex/FXViz/nodes/Makefile.in,
	src/shadows/Makefile.in, src/shadows/SoGLShadowCullingElement.cpp,
	include/Inventor/annex/FXViz/elements/Makefile.in,
	src/shadows/SoShadowCulling.cpp,
	include/Inventor/annex/FXViz/nodes/Makefile.am,
	src/shadows/Makefile.am,
	include/Inventor/annex/FXViz/nodes/SoShadowCulling.h,
	include/Inventor/annex/FXViz/elements/SoGLShadowCullingElement.h,
	include/Inventor/annex/FXViz/elements/Makefile.am:

	New node and element for controlling the culling during shadowmap rendering.

2007-05-23 14:09:40  Rev 10912  pederb

	* src/geo/SoGeoSeparator.cpp, src/geo/SoGeoCoordinate.cpp,
	src/geo/SoGeoOrigin.cpp, src/geo/SoGeoLocation.cpp,
	src/geo/SoGeoElement.cpp:

	Documentation.

2007-05-23 13:41:51  Rev 10911  pederb

	* src/geo/SoGeo.cpp:

	Also support the GC coordinate system.

2007-05-23 13:39:42  Rev 10910  pederb

	* src/geo/SoGeo.cpp:

	A couple of quick bugfixes.

2007-05-23 12:03:30  Rev 10909  pederb

	* src/geo/SoGeo.cpp, src/geo/SoGeo.h, src/geo/SoGeoOrigin.cpp:

	Always project into a normalize coordinate system in GeoOrigin. Projections
	will now also consider the curvature of the earth.

2007-05-22 16:41:40  Rev 10906  larsa

	* include/Inventor/fields/Makefile.in, src/fields/Makefile.in:

	bootstrap

2007-05-22 16:33:54  Rev 10905  larsa

	* src/fields/SoMFColorRGBA.cpp, src/fields/SoMFColor.cpp,
	include/Inventor/fields/SoMFColorRGBA.h, src/fields/SoField.cpp,
	src/fields/SoSFColorRGBA.cpp, include/Inventor/fields/Makefile.am,
	include/Inventor/fields/SoMFColor.h, src/fields/Makefile.am,
	include/Inventor/fields/SoSFColorRGBA.h, src/fields/all-fields-
	cpp.cpp, include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoSFColor.h:

	SbColorRGBA-based fields (TGS compatibility)

2007-05-22 16:30:47  Rev 10904  larsa

	* include/Inventor/SbColor4f.h:

	make SbColor4f inherit from SbVec4f (TGS compatibility)

2007-05-22 15:30:02  Rev 10903  pederb

	* src/nodes/SoEnvironment.cpp:

	More attenuation doc.

2007-05-22 15:27:54  Rev 10902  pederb

	* src/nodes/SoEnvironment.cpp:

	Document the order of the attenuation field.

2007-05-22 15:16:12  Rev 10901  pederb

	* src/nodes/SoSpotLight.cpp, src/nodes/SoPointLight.cpp:

	Fix recently introduced bug. Inventor has actually reversed the order of the
	constant, linear and squared attenuation factors.

2007-05-22 14:35:29  Rev 10900  pederb

	* src/vrml97/Geometry.cpp:

	Test SoOverrideElement before setting shape hints.

2007-05-22 14:34:37  Rev 10899  pederb

	* src/shapenodes/SoShape.cpp:

	Minor optimization.

2007-05-22 12:30:54  Rev 10898  frodo

	* THANKS:

	added Andrew Fischer to the THANKS file

2007-05-22 11:53:55  Rev 10897  pederb

	* src/shapenodes/SoShape.cpp:

	Don't render transparent polygons into the shadow map.

2007-05-22 11:52:53  Rev 10896  pederb

	* data/shaders/lights/PointLight.glsl:

	Bugfix.

2007-05-22 11:11:12  Rev 10895  pederb

	* src/vrml97/SpotLight.cpp, src/vrml97/PointLight.cpp:

	Fixed very old light attenuation bug.

2007-05-22 11:08:28  Rev 10894  pederb

	* src/nodes/SoSpotLight.cpp, src/nodes/SoPointLight.cpp:

	Fixed very old light attenuation bug.

2007-05-21 13:50:43  Rev 10892  pederb

	* src/geo/SoGeo.cpp, src/geo/SoGeoSeparator.cpp,
	include/Inventor/nodes/SoGeoSeparator.h, src/geo/SoGeo.h,
	src/geo/SoGeoCoordinate.cpp, src/geo/SoGeoOrigin.cpp,
	src/geo/SoGeoLocation.cpp, include/Inventor/nodes/SoGeoCoordinate.h,
	include/Inventor/nodes/SoGeoOrigin.h,
	include/Inventor/nodes/SoGeoLocation.h:

	Change to using double precision floating point fields instead of string
	fields.

2007-05-21 13:01:44  Rev 10891  pederb

	* src/shadows/SoShadowGroup.cpp,
	include/Inventor/annex/FXViz/nodes/SoShadowGroup.h:

	Rename enum value to PROJECTED_BBOX_DEPTH_FACTOR

2007-05-21 11:32:37  Rev 10890  pederb

	* src/shadows/SoShadowGroup.cpp,
	include/Inventor/annex/FXViz/nodes/SoShadowGroup.h:

	Add visibilityFlag handling.

2007-05-21 11:07:15  Rev 10889  frodo

	* src/vrml97/Billboard.cpp:

	rewrote the SoVRMLBillboard rotation code to use cross products in order to
	find orientation

2007-05-20 20:22:44  Rev 10886  larsa

	* build/msvc6, build/msvc6/coin3.dsp,
	build/msvc7/data/shaders/lights/SpotLight.h,
	build/msvc8/data/shaders/lights/SpotLight.h, build/msvc7,
	build/msvc8, build/msvc7/coin3.sln, build/msvc8/coin3.sln,
	build/msvc7/coin3.vcproj, build/msvc8/coin3.vcproj,
	build/msvc6/include/Inventor/C/basic.h,
	build/msvc7/include/Inventor/C/basic.h,
	build/msvc8/include/Inventor/C/basic.h, build/msvc6/install-
	headers.bat, build/msvc7/install-headers.bat, build/msvc8/install-
	headers.bat, build/msvc6/uninstall-headers.bat, build/msvc7
	/uninstall-headers.bat, build/msvc8/uninstall-headers.bat,
	build/msvc6/data/shaders/lights/SpotLight.h:

	updated visual studio files

2007-05-20 19:17:50  Rev 10885  larsa

	* include/Inventor/fields/Makefile.in, src/fields/Makefile.in,
	include/Inventor/Makefile.in:

	bootstrap

2007-05-20 18:49:30  Rev 10884  larsa

	* include/Inventor/SbTypeInfo.h, include/Inventor/Makefile.am:

	New Coin type information library for facilitating generic programming

2007-05-20 18:38:07  Rev 10883  larsa

	* build/misc/generate.sh, build/misc/uninstall-sdk.bat:

	minor tweaks, and stubbed uninstall batch-file

2007-05-20 18:31:25  Rev 10882  larsa

	* include/Inventor/fields/SoSFVec4i32.h,
	include/Inventor/fields/SoSFBox2f.h,
	include/Inventor/fields/SoMFVec4ub.h,
	include/Inventor/fields/SoSFVec2s.h, src/fields/SoField.cpp,
	src/fields/SoMFVec3b.cpp, src/fields/SoSFBox2s.cpp,
	include/Inventor/fields/Makefile.am, src/fields/SoSFTime.cpp,
	src/fields/SoMFVec3d.cpp, src/fields/SoMFVec3f.cpp,
	include/Inventor/fields/SoMFVec3b.h, src/fields/SoSFVec3b.cpp,
	src/fields/SoMFVec4us.cpp, include/Inventor/fields/SoMFVec3d.h,
	include/Inventor/fields/SoSFTime.h, src/fields/SoMFDouble.cpp,
	src/fields/SoSFVec3d.cpp, src/fields/SoSFVec4ui32.cpp,
	include/Inventor/fields/SoMFVec3f.h, src/fields/SoSFVec3f.cpp,
	include/Inventor/fields/SoSFVec3b.h,
	include/Inventor/fields/SoSFVec4ui32.h,
	include/Inventor/fields/SoSFVec3d.h,
	include/Inventor/fields/SoMFDouble.h,
	include/Inventor/fields/SoSFVec3f.h, src/fields/shared.cpp,
	src/fields/SoMFVec3s.cpp, include/Inventor/fields/SoSFVec4us.h,
	src/fields/SoSFBox3d.cpp, src/fields/SoSFBox3f.cpp,
	src/fields/SoSFVec3s.cpp, src/fields/SoSFBox3i32.cpp,
	src/fields/SoMFVec4b.cpp, src/fields/Makefile.am,
	src/fields/SoSFBox3s.cpp, src/fields/SoMFVec4d.cpp,
	include/Inventor/fields/SoMFVec2b.h, src/fields/all-fields-cpp.cpp,
	src/fields/SoMFVec4f.cpp, include/Inventor/fields/SoMFVec2d.h,
	src/fields/SoSFVec4b.cpp, include/Inventor/fields/SoSFBox3s.h,
	include/Inventor/fields/SoMFVec2f.h, src/fields/SoSFVec4d.cpp,
	include/Inventor/SoInput.h, include/Inventor/fields/SoSFVec2b.h,
	src/fields/SoSFVec4f.cpp, include/Inventor/fields/SoSFVec2d.h,
	src/fields/SoMFVec4i32.cpp, include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/fields/SoMFVec2i32.h, src/fields/SoMFVec4s.cpp,
	src/fields/SoSFVec4i32.cpp, include/Inventor/fields/SoSFVec2i32.h,
	include/Inventor/fields/SoMFVec4s.h, src/fields/SoSFVec4s.cpp,
	src/fields/SoSFVec4ub.cpp, src/fields/SoSFBox2i32.cpp,
	include/Inventor/fields/SoSFVec4s.h,
	include/Inventor/fields/SoSFBox2i32.h,
	include/Inventor/fields/SoSFVec4ub.h, src/fields/SoMFVec4ui32.cpp,
	include/Inventor/fields/SoSFBox2s.h,
	include/Inventor/fields/SoMFVec4ui32.h, src/io/SoInput.cpp,
	src/fields/SoMFVec3i32.cpp, include/Inventor/fields/SoMFVec4us.h,
	src/fields/SoSFVec4us.cpp, src/fields/SoSFDouble.cpp,
	include/Inventor/fields/SoMFVec3i32.h,
	include/Inventor/fields/SoMFColor.h, src/fields/SoSFVec3i32.cpp,
	include/Inventor/fields/SoSFDouble.h,
	include/Inventor/fields/SoMFVec3s.h,
	include/Inventor/fields/SoFields.h,
	include/Inventor/fields/SoSFVec3i32.h,
	include/Inventor/fields/SoSFBox3d.h,
	include/Inventor/fields/SoSFBox3f.h,
	include/Inventor/fields/SoSFVec3s.h, src/fields/SoMFVec2b.cpp,
	src/fields/SoMFVec2d.cpp, include/Inventor/fields/SoSFBox3i32.h,
	src/fields/SoMFVec2f.cpp, src/fields/SoSFVec2b.cpp,
	include/Inventor/fields/SoMFVec4b.h, src/fields/SoSFVec2d.cpp,
	include/Inventor/fields/SoMFVec4d.h, src/fields/SoSFVec2f.cpp,
	include/Inventor/fields/SoMFVec4f.h, src/fields/SoMFVec2i32.cpp,
	include/Inventor/fields/SoSFVec4b.h,
	include/Inventor/fields/SoSFVec4d.h,
	include/Inventor/fields/SoSFFloat.h, src/fields/SoMFVec2s.cpp,
	include/Inventor/fields/SoSFVec4f.h, src/fields/SoSFVec2i32.cpp,
	include/Inventor/fields/SoMFVec4i32.h, src/fields/SoSFBox2d.cpp,
	src/fields/SoSFBox2f.cpp, src/fields/shared.h,
	include/Inventor/fields/SoMFVec2s.h, src/fields/SoMFVec4ub.cpp,
	src/fields/SoSFVec2s.cpp, include/Inventor/fields/SoSFBox2d.h:

	populated available field types, (some for TGS compatibility), general fields
	razzia, added SoInput::readByte() (TGS compatibility, used from new fields)

2007-05-20 16:41:57  Rev 10881  larsa

	* src/io/SoInput.cpp:

	silence warning

2007-05-20 16:25:25  Rev 10880  larsa

	* cfg/gendsp.pl.in, cfg, configure, Makefile.in, cfg/csubst.exe,
	src/base/Makefile.in, include/Inventor/C/base/Makefile.in,
	include/Inventor/Makefile.in:

	bootstrap

2007-05-20 16:17:07  Rev 10879  larsa

	* cfg/gendsp.sh.in, configure.ac, Makefile.am:

	remove traces of old gendsp-system

2007-05-20 16:15:39  Rev 10878  larsa

	* include/Inventor/Makefile.am:

	register SbColorRGBA.h header

2007-05-20 16:15:04  Rev 10877  larsa

	* include/Inventor/SbColor4f.h, include/Inventor/SbColorRGBA.h:

	TGS compatibility fix

2007-05-20 16:12:51  Rev 10876  larsa

	* include/Inventor/SbBox2s.h, src/base/SbBox2i32.cpp,
	src/base/SbBox3i32.cpp, include/Inventor/Makefile.am,
	include/Inventor/SbBox3s.h, src/base/SbBox2s.cpp,
	src/base/SbBox3s.cpp, src/base/Makefile.am,
	include/Inventor/SbBox2d.h, include/Inventor/SbBox3d.h, src/base/all-
	base-cpp.cpp, include/Inventor/SbBox2f.h, include/Inventor/SbBox3f.h,
	src/base/SbBox2d.cpp, src/base/SbBox3d.cpp, src/base/SbBox2f.cpp,
	src/base/SbBox3f.cpp, include/Inventor/SbBox2i32.h,
	include/Inventor/SbBox.h, include/Inventor/SbBox3i32.h:

	Added missing SbBox3i32-class, general SbBox-razzia (inlining++)

2007-05-20 15:57:35  Rev 10875  larsa

	* include/Inventor/SbVec3b.h, include/Inventor/SbVec3d.h,
	src/base/SbVec2b.cpp, include/Inventor/SbVec3f.h,
	src/base/SbVec4b.cpp, src/base/SbVec2d.cpp,
	include/Inventor/SbVec3us.h, src/base/SbVec4d.cpp,
	src/base/SbVec2f.cpp, src/base/SbVec4f.cpp, include/Inventor/SbVec.h,
	include/Inventor/SbVec3i32.h, src/base/SbVec2i32.cpp,
	include/Inventor/SbVec3s.h, src/base/SbVec4i32.cpp,
	src/base/SbVec2s.cpp, src/base/SbVec4s.cpp,
	include/Inventor/SbVec2b.h, include/Inventor/SbVec4b.h,
	include/Inventor/SbVec2d.h, include/Inventor/SbVec4d.h,
	include/Inventor/SbVec2f.h, include/Inventor/SbVec4f.h,
	src/base/SbVec3b.cpp, src/base/SbVec3d.cpp, src/base/SbVec3f.cpp,
	include/Inventor/SbVec2i32.h, include/Inventor/SbVec4i32.h,
	include/Inventor/SbVec2s.h, src/base/SbVec3i32.cpp,
	include/Inventor/SbVec4s.h, include/Inventor/SbVec2ub.h,
	src/base/SbVec3s.cpp, include/Inventor/SbVec4ub.h:

	more vec-conversions, some minor constness-tweaks, new SbVec.h header

2007-05-20 15:48:45  Rev 10874  larsa

	* src/geo/SbGeoAngle.cpp:

	pull in M_PI define

2007-05-20 15:47:45  Rev 10873  larsa

	* src/misc/SoDebug.cpp:

	implement some stubs

2007-05-20 15:17:32  Rev 10872  larsa

	* include/Inventor/C/base/math-undefs.h, include/Inventor/C/basic.h.in,
	include/Inventor/C/base/Makefile.am:

	workaround for the inability to use #undef in AC_SUBSTed files

2007-05-20 15:15:51  Rev 10871  larsa

	* src/vrml97/Sound.cpp:

	move #if-debug enclosure around all debug-specific code

2007-05-19 10:30:08  Rev 10869  pederb

	* src/nodes/SoSceneTexture2.cpp:

	Compile fix

2007-05-18 18:47:03  Rev 10867  larsa

	* build/msvc6/coin3.dsp, build/msvc7/coin3.sln, build/msvc8/coin3.sln,
	build/msvc7/coin3.vcproj, build/msvc8/coin3.vcproj:

	updated build files for added files

2007-05-18 15:36:39  Rev 10866  pederb

	* src/geo/SoGeo.cpp:

	Support for lat/long coordinates in SoGeoLocation and SoGeoSeparator.

2007-05-18 12:56:09  Rev 10865  pederb

	* src/shaders/SoGLSLShaderObject.cpp,
	src/elements/GL/SoGLLazyElement.cpp, src/shadows/SoShadowGroup.cpp:

	Add coin_light_model shader variable.

2007-05-18 12:55:28  Rev 10864  pederb

	* include/Inventor/nodes/SoGeoCoordinate.h:

	Compile fix.

2007-05-16 15:37:52  Rev 10861  pederb

	* src/geo/SoGeo.h, src/geo/SoGeoCoordinate.cpp:

	First implementation.

2007-05-16 15:03:35  Rev 10860  pederb

	* src/geo/SoGeoLocation.cpp:

	Bugfix.

2007-05-16 14:46:10  Rev 10859  pederb

	* src/geo/SoGeo.cpp, src/geo/SoGeoSeparator.cpp, src/geo/SoGeo.h,
	src/geo/SoGeoOrigin.cpp, src/geo/SoGeoLocation.cpp,
	src/geo/SoGeoElement.cpp:

	First implementation that only supports UTM transformations.

2007-05-16 13:04:23  Rev 10858  pederb

	* src/misc/SoDB.cpp:

	initialize the SoGeo nodes.

2007-05-16 12:55:44  Rev 10857  pederb

	* src/geo/SoGeo.cpp, src/geo/SoGeoSeparator.cpp, src/geo/SoGeo.h,
	src/geo/SoGeoCoordinate.cpp, src/geo/SoGeoOrigin.cpp,
	src/geo/SoGeoLocation.cpp:

	implement class to initialize the Geo module.

2007-05-16 12:51:42  Rev 10856  pederb

	* include/Inventor/nodes/SoGeoSeparator.h,
	include/Inventor/nodes/SoGeoCoordinate.h:

	compile fix

2007-05-16 12:44:00  Rev 10855  pederb

	* src/geo/SoGeo.cpp, src/geo/all-geo-cpp.cpp, src/geo/Makefile.in,
	src/geo/SoGeo.h, src/geo/Makefile.am:

	New Geo class.

2007-05-15 16:14:28  Rev 10852  larsa

	* build/msvc6/coin3.dsp, build/msvc6/install-headers.bat, build/msvc7
	/install-headers.bat, build/msvc8/install-headers.bat,
	build/msvc7/coin3.sln, build/msvc8/coin3.sln,
	build/msvc7/coin3.vcproj, build/msvc8/coin3.vcproj:

	recently added geo-nodes build setup

2007-05-15 14:35:39  Rev 10848  pederb

	* src/nodes/SoSceneTexture2.cpp:

	Support for creating mipmaps.

2007-05-15 14:08:59  Rev 10847  frodo

	* src/actions/SoReorganizeAction.cpp, docs/coin.doxygen.in:

	generate doc for SoReorganizeAction

2007-05-15 10:17:51  Rev 10844  pederb

	* src/geo/Makefile.in, src/geo/Makefile.am:

	build Geo projection classes.

2007-05-15 10:11:48  Rev 10843  pederb

	* src/geo/SoGeoOrigin.cpp:

	Revert testcode commit.

2007-05-15 10:06:19  Rev 10842  pederb

	* src/geo/SbGeoAngle.h, src/geo/SbGeoProjection.cpp,
	src/geo/SbUTMProjection.h, src/geo/SbGeoProjection.h,
	src/geo/SbPolarStereographic.cpp, src/geo/SbGeoEllipsoid.cpp,
	src/geo/SoGeoOrigin.cpp, src/geo/SbGeoAngle.cpp,
	src/geo/SbPolarStereographic.h, src/geo/SbUTMProjection.cpp,
	src/geo/SbGeoEllipsoid.h:

	Add geo projections classes (by frodo).

2007-05-15 08:51:37  Rev 10841  pederb

	* src/geo/SoGeoOrigin.cpp, include/Inventor/nodes/SoGeoOrigin.h:

	Remove the rotateYUp field.

2007-05-15 08:31:39  Rev 10840  pederb

	* include/Inventor/nodes/Makefile.in, src/geo/Makefile.in,
	include/Inventor/nodes/Makefile.am, src/geo/Makefile.am:

	build new Geo node.

2007-05-15 08:05:57  Rev 10839  pederb

	* src/geo/all-geo-cpp.cpp:

	add file for compact build.

2007-05-15 08:05:34  Rev 10838  pederb

	* src/geo/SoGeoCoordinate.cpp, include/Inventor/nodes/SoGeoCoordinate.h:

	New Geo class.

2007-05-15 08:04:52  Rev 10837  pederb

	* include/Inventor/nodes/SoGeoLocation.h:

	Fix header define.

2007-05-14 15:01:01  Rev 10833  larsa

	* build/msvc6/coin3.dsp, build/msvc6/install-headers.bat, build/msvc7
	/install-headers.bat, build/msvc8/install-headers.bat,
	build/msvc7/coin3.sln, build/msvc8/coin3.sln,
	build/msvc6/data/shaders/vsm/VsmLookup.h,
	build/msvc7/data/shaders/vsm/VsmLookup.h, build/msvc7/coin3.vcproj,
	build/msvc8/data/shaders/vsm/VsmLookup.h, build/msvc8/coin3.vcproj:

	updated build files for building geo-nodes

2007-05-14 14:36:24  Rev 10832  pederb

	* include/Inventor/elements/SoGeoElement.h, src/geo/SoGeoElement.cpp:

	Implementation.

2007-05-14 13:22:55  Rev 10830  pederb

	* src/geo/SoGeoSeparator.cpp, include/Inventor/nodes/SoGeoSeparator.h,
	src/geo/SoGeoOrigin.cpp, src/geo/SoGeoLocation.cpp,
	include/Inventor/nodes/SoGeoOrigin.h,
	include/Inventor/nodes/SoGeoLocation.h:

	Stub implementations just to define the API.

2007-05-14 13:17:53  Rev 10829  pederb

	* src/nodes/SoSwitch.cpp:

	Fix SO_SWICH_ALL SoGetBoundingBoxAction traversal code. Reported by thammer.

2007-05-14 10:51:31  Rev 10828  pederb

	* include/Inventor/elements/SoGeoElement.h, src/geo/SoGeoSeparator.cpp,
	include/Inventor/nodes/Makefile.in,
	include/Inventor/nodes/SoGeoSeparator.h, src/geo/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/nodes/Makefile.am, src/geo/SoGeoElement.cpp,
	src/geo/Makefile.am, include/Inventor/elements/Makefile.am:

	Add GeoElement and GeoSeparator.

2007-05-14 10:22:02  Rev 10824  pederb

	* aclocal.m4, src/Makefile.am, configure,
	include/Inventor/nodes/Makefile.in, src/geo, configure.ac,
	src/geo/Makefile.in, src/geo/SoGeoOrigin.cpp,
	src/geo/SoGeoLocation.cpp, include/Inventor/nodes/Makefile.am,
	include/Inventor/nodes/SoGeoOrigin.h, src/Makefile.in,
	include/Inventor/nodes/SoGeoLocation.h, src/geo/Makefile.am:

	Add and build Geo nodes.

2007-05-13 18:11:30  Rev 10821  tamer

	* src/shadows/SoShadowGroup.cpp:

	typo...

2007-05-11 14:38:53  Rev 10814  pederb

	* src/shadows/SoShadowGroup.cpp, src/shadows/SoShadowStyle.cpp:

	Some documentation.

2007-05-11 13:42:53  Rev 10813  pederb

	* src/shaders/SoGeometryShader.cpp:

	Node version fix. GeometryShader is not part of TGS Inventor yet.

2007-05-11 13:36:01  Rev 10812  pederb

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoShaderProgram.cpp, src/shaders/SoGeometryShader.cpp,
	src/shaders/SoVertexShader.cpp, src/shaders/SoShaderParameter.cpp:

	Update node versions to Coin 2.5.

2007-05-11 12:57:38  Rev 10811  pederb

	* include/Inventor/nodes/SoSubNodeP.h, include/Inventor/nodes/SoNode.h:

	Defines for Coin 2.5

2007-05-11 12:47:52  Rev 10810  pederb

	* src/nodes/SoTexture2.cpp:

	Remove obsoleted FIXME

2007-05-10 11:34:10  Rev 10798  pederb

	* src/shadows/SoShadowGroup.cpp:

	bugfix

2007-05-10 10:06:07  Rev 10797  pederb

	* src/shadows/SoShadowGroup.cpp:

	Recommit code that was removed by mistake.

2007-05-09 13:05:24  Rev 10795  kintel

	* src/threads/sched.c:

	some doc clarifications

2007-05-08 14:39:44  Rev 10790  pederb

	* src/shadows/SoShadowGroup.cpp:

	Some fixes and precision tuning.

2007-05-08 11:09:47  Rev 10789  pederb

	* data/shaders/vsm/VsmLookup.glsl:

	new lookup from Coin-2

2007-05-08 09:56:36  Rev 10788  pederb

	* src/elements/GL/SoGLTextureImageElement.cpp:

	Shadow/shader bugfix.

2007-05-07 15:04:49  Rev 10786  pederb

	* src/shadows/SoShadowGroup.cpp, data/shaders/vsm/VsmLookup.glsl,
	include/Inventor/annex/FXViz/nodes/SoShadowGroup.h:

	add a threshold on the VsmLookup function to avoid light bleeding.

2007-05-06 21:33:21  Rev 10778  tamer

	* HACKING:

	Direct link to the Coin Subversion checkout instructions.

2007-05-06 21:30:12  Rev 10777  tamer

	* HACKING:

	Subversion updates to the Manifesto (of which a pretty printed copy on
	golden paper is supposedly always readily available under your pillow).

2007-05-06 21:05:21  Rev 10776  tamer

	* RELEASE.txt:

	updates for Subversion.

2007-05-06 21:02:18  Rev 10775  tamer

	* src/extensions/README:

	update checkout pointers for Subversion.

2007-05-03 13:32:23  Rev 10773  pederb

	* src/shadows/SoShadowGroup.cpp:

	some simple logic for selecting shading program complexity and shadow map size
	based on the complexity and precision fields.

2007-05-03 12:33:03  Rev 10772  frodo

	* include/Inventor/SbBasic.h:

	gcc 4.1.2 compile fix

2007-05-03 11:21:33  Rev 10771  pederb

	* include/Inventor/C/glue/glp.h, src/glue/gl.c,
	src/elements/GL/SoGLTextureImageElement.cpp, src/misc/SoGLImage.cpp:

	Redesigned coin_glglue_is_texture_size_valid to make it more generic.

2007-05-03 11:19:06  Rev 10770  larsa

	* include/Inventor/SbBasic.h, include/Inventor/errors/SoDebugError.h:

	gcc-compile-fixed reinstation of error-posting on debug-checked divide-by-zero

2007-05-02 14:51:01  Rev 10768  pederb

	* src/shadows/SoShadowGroup.cpp:

	CLAMP_TO_BORDER needed for ATi.

2007-05-02 14:09:45  Rev 10767  pederb

	* data/shaders/lights/SpotLight.glsl:

	workaround for ATi drivers.

2007-05-02 10:08:59  Rev 10766  pederb

	* src/shadows/SoShadowGroup.cpp:

	bugfix

2007-05-02 09:46:17  Rev 10765  pederb

	* src/shadows/SoShadowGroup.cpp:

	Support for different quality shaders.

2007-05-02 08:16:03  Rev 10764  pederb

	* src/actions/SoToVRML2Action.cpp:

	Fix compiler warning.

2007-05-02 08:04:49  Rev 10763  pederb

	* include/Inventor/SbBasic.h:

	Disable neat template trick since gcc chokes on it in weird ways.

2007-05-01 12:59:13  Rev 10760  larsa

	* include/Inventor/C/tidbits.h:

	give names to anonymous parameters

2007-05-01 11:30:53  Rev 10759  larsa

	* Makefile.in, Makefile.am:

	dist update

2007-05-01 11:22:24  Rev 10758  larsa

	* build/msvc7/data/shaders/lights/SpotLight.h, build/msvc6/coin3.dsp,
	build/msvc8/data/shaders/lights/SpotLight.h,
	build/msvc6/data/shaders,
	build/msvc6/data/shaders/lights/PointLight.h,
	build/msvc7/data/shaders, build/msvc8/data/shaders,
	build/msvc7/data/shaders/lights/PointLight.h,
	build/msvc8/data/shaders/lights/PointLight.h,
	build/msvc6/data/shaders/lights/DirectionalLight.h,
	build/msvc6/data/shaders/vsm, build/msvc7/coin3.sln,
	build/msvc8/coin3.sln, build/msvc7/data/shaders/vsm,
	build/msvc7/data/shaders/lights/DirectionalLight.h,
	build/msvc8/data/shaders/lights/DirectionalLight.h,
	build/msvc8/data/shaders/vsm, build/msvc7/coin3.vcproj, build/misc
	/create-directories.bat, build/msvc8/coin3.vcproj, build/msvc6
	/install-headers.bat, build/msvc7/install-headers.bat, build/msvc8
	/install-headers.bat, build/misc/install-sdk.bat,
	build/msvc6/data/shaders/vsm/VsmLookup.h,
	build/msvc6/data/shaders/lights, build/msvc7/data/shaders/lights,
	build/msvc7/data/shaders/vsm/VsmLookup.h,
	build/msvc8/data/shaders/lights,
	build/msvc8/data/shaders/vsm/VsmLookup.h,
	build/msvc6/data/shaders/lights/SpotLight.h:

	updated visual studio build files

2007-05-01 09:01:28  Rev 10757  larsa

	* include/Inventor/SbVec2s.h:

	use value types for SbVec2s parameters

2007-04-30 16:26:47  Rev 10753  larsa

	* include/Inventor/Makefile.am, include/Inventor/SbVec2ui32.h,
	include/Inventor/SbVec3b.h, include/Inventor/SbVec3ui32.h,
	include/Inventor/SbVec4ui32.h, include/Inventor/SbVec3d.h,
	src/base/SbVec2b.cpp, include/Inventor/SbVec3f.h,
	include/Inventor/Makefile.in, include/Inventor/SbVec2us.h,
	src/base/SbVec2d.cpp, src/base/Makefile.am,
	include/Inventor/SbVec3us.h, src/base/SbVec4b.cpp,
	include/Inventor/SbVec4us.h, src/base/SbVec4d.cpp,
	src/base/SbVec2f.cpp, src/base/SbVec4f.cpp,
	include/Inventor/SbVec3i32.h, src/base/Makefile.in,
	src/base/SbVec2i32.cpp, include/Inventor/SbVec3s.h,
	src/base/SbVec4i32.cpp, src/base/SbVec2s.cpp, src/base/SbVec4s.cpp,
	src/base/SbVec2ub.cpp, src/base/SbVec3ub.cpp, src/base/SbVec4ub.cpp,
	include/Inventor/SbVec2b.h, include/Inventor/SbVec2d.h,
	include/Inventor/SbVec4b.h, include/Inventor/SbVec4d.h,
	include/Inventor/SbVec2f.h, include/Inventor/SbVec4f.h,
	src/base/SbVec2ui32.cpp, src/base/SbVec3b.cpp,
	src/base/SbVec3ui32.cpp, src/base/SbVec3d.cpp,
	src/base/SbVec4ui32.cpp, src/base/SbVec3f.cpp, src/base/SbVec2us.cpp,
	include/Inventor/SbVec2i32.h, src/base/SbVec3us.cpp,
	src/base/SbVec4us.cpp, include/Inventor/SbVec4i32.h, src/base/all-
	base-cpp.cpp, include/Inventor/SbVec2s.h, src/base/SbVec3i32.cpp,
	include/Inventor/SbVec4s.h, include/Inventor/SbVec2ub.h,
	include/Inventor/SbVec3ub.h, include/Inventor/SbVec4ub.h,
	src/base/SbVec3s.cpp:

	fully populated (TGS-compatible), orthogonalized, inlined, set of SbVec-
	classes

2007-04-30 16:14:04  Rev 10752  larsa

	* include/Inventor/SbBasic.h:

	new template inline method that signals error on input being 0 (in use in
	upcoming commit)

2007-04-30 15:12:56  Rev 10751  pederb

	* src/shadows/SoShadowGroup.cpp:

	quick test for Coin state variables.

2007-04-30 15:11:43  Rev 10750  pederb

	* include/Inventor/nodes/SoShaderObject.h:

	Framework for updating parameters based on Coin state.

2007-04-30 15:11:03  Rev 10749  pederb

	* src/shaders/SoShaderObject.cpp, src/shaders/SoShaderProgram.cpp,
	src/shaders/SoGLSLShaderObject.cpp,
	src/shaders/SoGLSLShaderProgram.cpp,
	src/shaders/SoGLShaderObject.cpp, src/shaders/SoGLShaderProgram.cpp,
	src/shaders/SoGLSLShaderObject.h, src/shaders/SoGLSLShaderProgram.h,
	src/shaders/SoGLShaderObject.h, src/shaders/SoGLShaderProgram.h:

	Framework for updating parameters based on Coin state.

2007-04-30 12:30:22  Rev 10748  pederb

	* include/Inventor/SoPrimitiveVertex.h:

	Fixed recently introduced bug which caused any picking to crash Coin.

2007-04-30 07:51:55  Rev 10745  larsa

	* include/Inventor/SoPrimitiveVertex.h, src/misc/SoPrimitiveVertex.cpp:

	some additional accessors, inlined all primitive methods, added packedcolor
	member w/accessors

2007-04-27 12:57:34  Rev 10743  pederb

	* src/nodes/SoSceneTexture2.cpp,
	include/Inventor/nodes/SoSceneTexture2.h:

	Add support for CLAMP_TO_BORDER.

2007-04-27 12:48:30  Rev 10742  pederb

	* src/elements/SoMultiTextureMatrixElement.cpp,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	include/Inventor/elements/SoGLMultiTextureMatrixElement.h:

	Support for setting a matrix.

2007-04-27 12:47:18  Rev 10740  pederb

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:

	Support for CLAMP_TO_BORDER.

2007-04-27 12:43:28  Rev 10739  pederb

	* include/Inventor/elements/SoTextureImageElement.h:

	Support for CLAMP_TO_BORDER.

2007-04-27 12:06:46  Rev 10738  pederb

	* src/nodes/SoTextureMatrixTransform.cpp:

	Shadowmap bugfix.

2007-04-27 12:04:04  Rev 10737  pederb

	* src/nodes/SoTexture2Transform.cpp:

	Shadowmap bugfix.

2007-04-26 11:53:24  Rev 10735  pederb

	* src/shadows/SoShadowGroup.cpp,
	include/Inventor/annex/FXViz/nodes/SoShadowGroup.h:

	store the used texture unit for each shadow map.

2007-04-26 07:44:40  Rev 10734  pederb

	* data/shaders/vsm/VsmLookup.glsl:

	Default to zero contribution from parts in shadow.

2007-04-25 15:42:25  Rev 10731  pederb

	* src/shaders/SoShader.h, data/shaders/vsm/VsmLookup.glsl,
	src/shaders/SoShader.cpp:

	Support for built-in shaders (not read from file).

2007-04-25 15:16:06  Rev 10730  pederb

	* src/shaders/Makefile.in, src/misc/Makefile.in,
	src/shaders/Makefile.am, src/misc/Makefile.am:

	add top_builddir to the include path in the correct directory...

2007-04-25 15:00:13  Rev 10729  pederb

	* src/misc/Makefile.in, src/misc/Makefile.am:

	Add top_builddir to include path.

2007-04-25 14:22:37  Rev 10728  pederb

	* data/shaders/lights/Makefile.in, data/shaders/vsm/Makefile.am,
	data/shaders/lights/Makefile.am, data/shaders/vsm/Makefile.in:

	glsl2h.sh bugfix.

2007-04-25 14:11:21  Rev 10727  pederb

	* data/shaders/glsl2h.in, data/shaders/glsl2h.sh.in:

	renamed file.

2007-04-25 14:09:30  Rev 10726  pederb

	* data/shaders/lights/Makefile.in, data/shaders/vsm/Makefile.am,
	Makefile.in, data/shaders/glsl2h.in, data/shaders/lights/Makefile.am,
	Makefile.am, data/shaders/vsm/Makefile.in:

	glsl2h.sh fixes.

2007-04-25 13:42:32  Rev 10725  pederb

	* data/shaders/lights/Makefile.in, data/shaders/vsm/Makefile.am,
	configure, data/Makefile.am, configure.ac, data/shaders/Makefile.in,
	data/shaders/lights/Makefile.am, data/shaders/vsm/Makefile.in,
	data/Makefile.in, data/shaders/Makefile.am:

	First try on generating header files from glsl files.

2007-04-25 09:46:15  Rev 10724  pederb

	* src/shadows/SoShadowGroup.cpp:

	Disable some rendering/state features while rendering the depth map.

2007-04-25 08:26:06  Rev 10723  pederb

	* data/shaders/vsm/VsmLookup.glsl:

	Some comments in the vsm lookup code.

2007-04-25 08:07:38  Rev 10722  pederb

	* src/shadows/SoShadowGroup.cpp,
	include/Inventor/annex/FXViz/nodes/SoShadowGroup.h:

	Use vsm lookup from shaders data directory. Some code cleanup.

2007-04-25 08:04:58  Rev 10721  pederb

	* data/shaders/vsm/VsmLookup.glsl, data/shaders/vsm:

	Added vsm lookup to the shaders data directory.

2007-04-24 15:41:38  Rev 10719  pederb

	* src/shadows/SoShadowGroup.cpp:

	support for a Gauss filter for soft shadows.

2007-04-24 15:23:50  Rev 10718  larsa

	* src/base/SbVec3f.cpp, include/Inventor/SbVec3d.h,
	include/Inventor/SbVec3f.h, src/base/SbVec3d.cpp:

	add _explicit_ copy constructors for SbVec3f/SbVec3d conversions

2007-04-24 12:32:31  Rev 10717  larsa

	* build/msvc7/data/draggerDefaults/rotateDiscDragger.h,
	build/msvc7/data/draggerDefaults/transformerDragger.h,
	build/msvc7/data/draggerDefaults/scale1Dragger.h,
	build/msvc7/coin3.sln,
	build/msvc7/data/draggerDefaults/scale2UniformDragger.h,
	build/msvc8/coin3.sln, build/msvc6/include/setup.h,
	build/msvc7/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc8/include/setup.h,
	build/msvc7/data/draggerDefaults/translate2Dragger.h,
	build/msvc7/data/draggerDefaults/tabBoxDragger.h,
	build/msvc8/coin3.vcproj, build/msvc6/include/Inventor/C/basic.h,
	build/msvc7/include/Inventor/system/inttypes.h,
	build/msvc8/include/Inventor/C/basic.h,
	build/msvc7/data/draggerDefaults/transformBoxDragger.h, build/msvc7
	/install-headers.bat,
	build/msvc7/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc7/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc6/include/config-release.h, build/msvc8/include/config-
	release.h, build/msvc7/data/draggerDefaults/trackballDragger.h,
	build/msvc6/coin3.dsp, build/msvc6/include/config-debug.h,
	build/msvc7/data/draggerDefaults/handleBoxDragger.h,
	build/msvc8/include/config-debug.h,
	build/msvc7/data/draggerDefaults/jackDragger.h,
	build/msvc7/data/draggerDefaults/scale2Dragger.h,
	build/msvc7/data/draggerDefaults/centerballDragger.h,
	build/msvc7/data/draggerDefaults/spotLightDragger.h,
	build/msvc7/data/draggerDefaults/translate1Dragger.h,
	build/msvc7/include/Inventor/system/gl-headers.h,
	build/msvc7/coin3.vcproj,
	build/msvc6/include/Inventor/system/inttypes.h,
	build/msvc7/data/draggerDefaults/pointLightDragger.h,
	build/msvc7/include/Inventor/C/basic.h,
	build/msvc8/include/Inventor/system/inttypes.h,
	build/msvc7/data/draggerDefaults/directionalLightDragger.h,
	build/msvc7/data/draggerDefaults/dragPointDragger.h,
	build/msvc7/data/draggerDefaults/rotateSphericalDragger.h:

	updated build files

2007-04-24 08:32:49  Rev 10714  pederb

	* src/shadows/SoShadowGroup.cpp:

	Bugfix. Only set a new shader program if the program has actually changed.

2007-04-23 15:46:05  Rev 10711  pederb

	* src/shadows/SoShadowGroup.cpp:

	Also support for IN_PATH rendering.

2007-04-23 15:37:38  Rev 10710  pederb

	* src/shadows/SoShadowGroup.cpp:

	Use SoShaderProgramCache to detect state changes (needed to regenerate shaders
	based on the Coin state).

2007-04-23 12:56:18  Rev 10709  pederb

	* src/caches/SoShaderProgramCache.cpp,
	include/Inventor/caches/SoShaderProgramCache.h:

	SoShaderProgramCache implementation.

2007-04-23 12:46:10  Rev 10708  pederb

	* include/Inventor/caches/Makefile.in, src/caches/Makefile.in,
	src/caches/SoShaderProgramCache.cpp,
	include/Inventor/caches/Makefile.am, src/caches/Makefile.am,
	include/Inventor/caches/SoShaderProgramCache.h, src/caches/all-
	caches-cpp.cpp:

	Add and build a new shader program cache (private class).

2007-04-23 11:01:37  Rev 10707  pederb

	* src/shadows/SoShadowGroup.cpp:

	support for local viewer (nicer specular highlights).

2007-04-23 09:55:34  Rev 10706  pederb

	* include/Inventor/annex/FXViz/nodes/SoShadowGroup.h:

	Support for per-pixel lighting even for non-SpotLights.

2007-04-23 09:54:46  Rev 10705  pederb

	* src/shadows/SoShadowGroup.cpp:

	Support for per-pixel lighting even for non-SpotLights.

2007-04-23 09:53:51  Rev 10704  pederb

	* src/shadows/SoShadowStyle.cpp:

	disable shadow shaders for non-shadowed parts of the scene graph.

2007-04-20 15:19:19  Rev 10702  pederb

	* src/shaders/SoGLShaderProgramElement.cpp,
	src/shaders/SoShaderProgram.cpp, src/shaders/SoGLShaderProgram.cpp,
	include/Inventor/nodes/SoShaderProgram.h,
	src/shaders/SoGLShaderProgram.h:

	Add a callback in SoShaderProgram to make it possible to detect when a shader
	is enabled/disabled in the state.

2007-04-20 13:11:13  Rev 10699  larsa

	* src/io/SoOutput.cpp, src/misc/SoPath.cpp:

	doc tweaks

2007-04-20 11:36:10  Rev 10698  larsa

	* build/msvc8:

	ignore .ilk-files

2007-04-20 11:34:42  Rev 10697  larsa

	* build/msvc6/data/draggerDefaults/transformerDragger.h,
	build/msvc8/data/draggerDefaults/transformerDragger.h,
	build/msvc6/data/draggerDefaults/jackDragger.h,
	build/msvc6/data/draggerDefaults/scale2Dragger.h,
	build/msvc6/data/draggerDefaults/scale2UniformDragger.h,
	build/msvc8/coin3.sln,
	build/msvc8/data/draggerDefaults/jackDragger.h,
	build/msvc6/data/draggerDefaults/centerballDragger.h,
	build/msvc8/data/draggerDefaults/scale2Dragger.h,
	build/msvc8/data/draggerDefaults/scale2UniformDragger.h,
	build/msvc6/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc8/data/draggerDefaults/centerballDragger.h,
	build/msvc6/include/Inventor/system/gl-headers.h,
	build/msvc6/data/draggerDefaults/translate1Dragger.h,
	build/msvc8/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc8/include/Inventor/system/gl-headers.h,
	build/msvc8/data/draggerDefaults/translate1Dragger.h,
	build/msvc6/data/draggerDefaults/pointLightDragger.h,
	build/msvc8/coin3.vcproj, build/msvc6/include/Inventor/C/basic.h,
	build/msvc8/data/draggerDefaults/pointLightDragger.h,
	build/msvc8/include/Inventor/C/basic.h,
	build/msvc6/data/draggerDefaults/directionalLightDragger.h,
	build/msvc6/install-headers.bat,
	build/msvc8/data/draggerDefaults/directionalLightDragger.h,
	build/msvc8/install-headers.bat,
	build/msvc6/data/draggerDefaults/trackballDragger.h,
	build/msvc8/data/draggerDefaults/trackballDragger.h,
	build/msvc6/data/draggerDefaults/rotateDiscDragger.h,
	build/msvc6/coin3.dsp, build/misc/generate.sh,
	build/msvc8/data/draggerDefaults/rotateDiscDragger.h,
	build/msvc6/data/draggerDefaults/handleBoxDragger.h,
	build/msvc8/data/draggerDefaults/handleBoxDragger.h,
	build/msvc6/data/draggerDefaults/scale1Dragger.h,
	build/msvc8/data/draggerDefaults/scale1Dragger.h,
	build/msvc6/data/draggerDefaults/spotLightDragger.h,
	build/msvc6/data/draggerDefaults/translate2Dragger.h,
	build/msvc6/data/draggerDefaults/tabBoxDragger.h,
	build/msvc8/data/draggerDefaults/spotLightDragger.h,
	build/msvc8/data/draggerDefaults/tabBoxDragger.h,
	build/msvc8/data/draggerDefaults/translate2Dragger.h,
	build/msvc6/include/Inventor/system/inttypes.h,
	build/msvc6/data/draggerDefaults/transformBoxDragger.h,
	build/msvc8/include/Inventor/system/inttypes.h,
	build/msvc6/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc8/data/draggerDefaults/transformBoxDragger.h,
	build/msvc6/data/draggerDefaults/dragPointDragger.h,
	build/msvc6/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc8/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc8/data/draggerDefaults/dragPointDragger.h,
	build/msvc6/data/draggerDefaults/rotateSphericalDragger.h,
	build/msvc8/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc8/data/draggerDefaults/rotateSphericalDragger.h:

	updated build files

2007-04-19 16:15:53  Rev 10692  larsa

	* aclocal.m4, bootstrap, cfg/gendsp.pl.in, configure,
	include/Inventor/nodes/Makefile.in, src/nodes/Makefile.in,
	src/shaders/Makefile.in:

	bootstrap

2007-04-19 16:12:22  Rev 10691  larsa

	* include/Inventor/nodes/SoShader.h, src/shaders/SoShader.h,
	src/misc/SoShaderGenerator.cpp, src/shaders/SoGLShaderParameter.h,
	src/shadows/SoShadowGroup.cpp, include/Inventor/nodes/Makefile.am,
	src/shaders/SoGLShaderObject.h, src/shaders/Makefile.am,
	src/shaders/SoShader.cpp, src/misc/SoDB.cpp:

	move internal non-node SoShader from include/nodes to src/shaders

2007-04-19 14:21:24  Rev 10690  larsa

	* src/fonts/common.h, src/shapenodes/SoAsciiText.cpp,
	include/Inventor/fields/SoMFBool.h, src/base/dict.c,
	src/fields/SoMFMatrix.cpp,
	include/Inventor/manips/SoSpotLightManip.h,
	src/vrml97/CylinderSensor.cpp,
	include/Inventor/collision/SoIntersectionDetectionAction.h,
	src/nodes/SoTextureCombine.cpp, src/errors/SoError.cpp,
	src/engines/SoCounter.cpp, include/Inventor/SbXfBox3f.h,
	include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h,
	include/Inventor/C/threads/rwmutexp.h, src/threads/fifo.c,
	include/Inventor/nodes/SoShaderProgram.h,
	src/shapenodes/soshape_bumprender.cpp,
	include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	src/nodes/SoCoordinate3.cpp, include/Inventor/SoInteraction.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/fields/SoSFUShort.h, src/3ds/SoStream.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/C/threads/condvarp.h, src/lists/SoDetailList.cpp,
	include/Inventor/fields/SoSFBitMask.h, src/shapenodes/SoPointSet.cpp,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/fields/SoSFBox3s.h,
	src/projectors/SbCylinderSectionProjector.cpp,
	include/Inventor/fields/SoSFShort.h, src/actions/SoToVRML2Action.cpp,
	src/threads/condvar_pthread.ic, src/fields/SoSFString.cpp,
	include/Inventor/C/base/string.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	src/vrml97/SpotLight.cpp, src/sensors/SoNodeSensor.cpp,
	include/Inventor/SbDict.h, src/elements/SoTextureMatrixElement.cpp,
	include/Inventor/elements/SoShapeStyleElement.h,
	src/base/SbXfBox3f.cpp, src/nodes/SoUnknownNode.cpp,
	src/engines/SoComposeRotation.cpp, src/upgraders/SoPackedColorV20.h,
	include/Inventor/sensors/SoNodeSensor.h,
	src/lists/SoEnabledElementsList.cpp,
	include/Inventor/elements/SoGLTextureImageElement.h,
	src/sensors/SoAlarmSensor.cpp,
	include/Inventor/misc/SoContextHandler.h, src/fields/SoSFUInt32.cpp,
	src/shaders/SoShaderObject.cpp,
	include/Inventor/C/threads/threadsutilp.h,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	include/Inventor/nodes/SoNonIndexedShape.h,
	src/nodes/SoVertexProperty.cpp, src/nodekits/SoNodeKitPath.cpp,
	include/Inventor/lock/SoLockMgr.h, src/shapenodes/SoLineSet.cpp,
	include/Inventor/C/base/heapp.h, src/caches/SoGlyphCache.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/io/all-io-c.c,
	src/fields/SoSFMatrix.cpp, src/nodes/SoLinearProfile.cpp,
	src/threads/sync.c, src/vrml97/ScalarInterpolator.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/elements/SoMultiTextureImageElement.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/sensors/SoTimerSensor.h,
	src/nodes/SoBumpMapCoordinate.cpp, src/glue/cg.c,
	include/Inventor/nodes/SoText3.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	src/nodes/SoResetTransform.cpp, include/SoDebug.h,
	include/Inventor/misc/SoGenerate.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/actions/SoWriteAction.h, include/Inventor/SbVec2f.h,
	include/Inventor/elements/SoElements.h, src/fields/SoMFEnum.cpp,
	src/manips/SoTransformBoxManip.cpp,
	include/Inventor/nodes/SoPackedColor.h,
	src/misc/SoGLqmeshTemplate.icc, include/Inventor/nodes/SoScale.h,
	src/shaders/SoGLARBShaderProgram.h,
	src/draggers/SoCenterballDragger.cpp, src/details/SoFaceDetail.cpp,
	src/engines/SoOneShot.cpp, src/base/all-base-cpp.cpp, src/base/all-
	base-c.c, include/Inventor/VRMLnodes/SoVRMLParent.h,
	include/Inventor/draggers/SoScale2Dragger.h, src/nodes/SoTexture.cpp,
	src/vrml97/Fog.cpp, src/base/SbColor.cpp,
	include/Inventor/caches/SoConvexDataCache.h,
	src/misc/SoGLnonindexedFaceSetTemplate.icc,
	src/manips/SoHandleBoxManip.cpp, src/engines/SoComposeVec2f.cpp,
	src/elements/SoCullElement.cpp,
	include/Inventor/annex/HardCopy/SoHPGLVectorOutput.h,
	src/elements/SoViewVolumeElement.cpp,
	src/sensors/SoDelayQueueSensor.cpp,
	include/Inventor/elements/SoTextureUnitElement.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/elements/SoEnvironmentElement.h, src/caches/all-
	caches-cpp.cpp, include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/fields/SoMFVec3d.h, src/sensors/SoOneShotSensor.cpp,
	include/Inventor/engines/SoComputeBoundingBox.h,
	src/nodes/SoTextureUnit.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	include/Inventor/elements/SoOverrideElement.h,
	src/sensors/SoTimerQueueSensor.cpp,
	src/foreignfiles/SoForeignFileKit.cpp,
	src/nodes/SoSoundElementHelper.h, src/vrml97/VisibilitySensor.cpp,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	src/nodes/SoCoordinate4.cpp,
	include/Inventor/nodes/SoShaderParameter.h,
	include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/nodes/SoLevelOfDetail.cpp, src/shaders/SoGLCgShaderObject.h,
	src/elements/SoUnitsElement.cpp,
	include/Inventor/fields/SoMFBitMask.h,
	src/misc/SoNormalGenerator.cpp,
	include/Inventor/elements/SoBumpMapElement.h,
	include/Inventor/SbVec4d.h, src/elements/SoClipPlaneElement.cpp,
	include/Inventor/engines/SoDecomposeVec3f.h,
	src/caches/SoGLCacheList.cpp, src/shaders/SoGLShaderObject.cpp,
	include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoProfile.h, src/misc/SoLockManager.cpp,
	include/Inventor/lists/SbPList.h, include/Inventor/C/base/dict.h,
	src/base/SbClip.cpp, src/fields/SoMFTime.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	include/Inventor/SbOctTree.h,
	include/Inventor/elements/SoWindowElement.h,
	src/hardcopy/VectorizeActionP.h,
	include/Inventor/actions/SoReorganizeAction.h,
	src/vrml97/NavigationInfo.cpp, src/upgraders/SoPackedColorV20.cpp,
	src/fonts/freetype.c, src/fields/SoGlobalField.cpp,
	include/Inventor/VRMLnodes/SoVRMLNormalInterpolator.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	src/fonts/freetype.h, include/Inventor/elements/SoCacheHintElement.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/fields/SoSFBox3f.h,
	include/Inventor/C/threads/barrierp.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/annex/ForeignFiles/SoForeignFileKit.h,
	include/Inventor/nodes/SoLOD.h,
	include/Inventor/VRMLnodes/SoVRMLLOD.h, src/fields/SoSFShort.cpp,
	src/vrml97/Switch.cpp, include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/SoPath.h, include/Inventor/lists/SbList.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h,
	src/glue/spidermonkey.c, src/nodes/all-nodes-cpp.cpp,
	include/Inventor/elements/SoBumpMapCoordinateElement.h,
	include/Inventor/C/threads/barrier.h,
	src/elements/SoReplacedElement.cpp,
	include/Inventor/details/SoSubDetail.h,
	src/nodes/SoLocateHighlight.cpp,
	include/Inventor/VRMLnodes/SoVRMLTimeSensor.h,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/misc/SoInteraction.cpp, src/elements/SoDiffuseColorElement.cpp,
	src/actions/SoGlobalSimplifyAction.cpp, src/lists/SbPList.cpp,
	src/glue/freetype.c, src/projectors/SbCylinderProjector.cpp,
	src/misc/SoOffscreenWGLData.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	src/hardcopy/VectorizeAction.cpp,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/VRMLnodes/SoVRMLCylinderSensor.h,
	src/vrml97/VertexLine.cpp, include/Inventor/bundles/SoNormalBundle.h,
	include/Inventor/nodes/SoPickStyle.h,
	src/elements/GL/SoGLTextureEnabledElement.cpp, src/vrml97/Parent.cpp,
	src/nodes/SoWWWAnchor.cpp, examples/bindings/CoinQtWidget.h,
	include/Inventor/elements/SoTexture3EnabledElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/VRMLnodes/SoVRMLAnchor.h, src/fields/SoSFBool.cpp,
	src/vrml97/VertexShape.cpp,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	src/vrml97/WorldInfo.cpp,
	include/Inventor/nodes/SoDirectionalLight.h,
	src/draggers/SoScale1Dragger.cpp, include/Inventor/C/glue/glp.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/C/threads/common.h, src/3ds/3dsLoader.cpp,
	src/nodes/SoSeparator.cpp, src/manips/commoncode.cpp,
	src/collision/SbTri3f.h, include/Inventor/SbDPRotation.h,
	include/Inventor/engines/SoSubEngine.h,
	include/Inventor/nodes/SoTextureCoordinateObject.h,
	src/elements/SoCacheHintElement.cpp,
	include/Inventor/elements/SoLightAttenuationElement.h,
	src/shaders/SoGLShaderProgram.h, src/threads/common.c,
	include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	src/fields/SoSFNode.cpp, src/engines/SoComposeVec3f.cpp,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/events/SoButtonEvent.h, src/vrml97/PlaneSensor.cpp,
	src/fonts/default3dfont.c, src/misc/SoOffscreenRenderer.cpp,
	src/lists/SbList.cpp, include/Inventor/SbVec4f.h,
	src/fonts/glyph3d.c, include/Inventor/nodes/SoListener.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	src/details/SoNodeKitDetail.cpp, src/fonts/glyph3d.h,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/nodes/SoRotation.cpp,
	include/Inventor/elements/SoDecimationTypeElement.h,
	src/threads/mutex_pthread.ic,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	include/Inventor/nodes/SoTexture.h, src/nodes/SoColorIndex.cpp,
	src/nodes/SoShapeHints.cpp,
	include/Inventor/VRMLnodes/SoVRMLExtrusion.h, src/nodes/SoLight.cpp,
	include/Inventor/manips/SoTrackballManip.h,
	src/elements/GL/SoGLClipPlaneElement.cpp,
	include/Inventor/nodes/SoRotor.h,
	include/Inventor/fields/SoMFULong.h, src/threads/condvar.c,
	include/Inventor/nodes/SoCylinder.h, include/Inventor/SoType.h,
	src/nodes/SoTexture3Transform.cpp,
	include/Inventor/elements/SoComplexityElement.h,
	src/fields/SoMFRotation.cpp, include/Inventor/nodes/SoFile.h,
	examples/bindings/glutiv.cpp,
	include/Inventor/elements/SoViewVolumeElement.h,
	src/elements/GL/SoGLEmissiveColorElement.cpp,
	include/Inventor/nodes/SoImage.h, src/actions/SoRayPickAction.cpp,
	src/glue/gl_wgl.c, include/Inventor/nodes/SoMaterialBinding.h,
	src/nodes/SoPolygonOffset.cpp,
	include/Inventor/engines/SoFieldConverter.h,
	src/nodekits/SoNodekitCatalog.cpp, src/threads/mutex_win32mutex.ic,
	include/Inventor/elements/SoTextureScaleQualityElement.h,
	src/elements/SoCoordinateElement.cpp,
	include/Inventor/nodes/SoTextureUnit.h,
	include/Inventor/C/base/namemap.h,
	include/Inventor/threads/SbCondVar.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/annex/HardCopy/SoVectorizeGDIAction.h,
	src/nodes/SoTransform.cpp, src/shaders/SoFragmentShader.cpp,
	include/Inventor/SbDPLinear.h, include/Inventor/lists/SbVec3fList.h,
	src/fields/SoMFShort.cpp,
	include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	src/projectors/SbSphereProjector.cpp,
	include/Inventor/elements/SoFontSizeElement.h,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/hardcopy/PSVectorOutput.cpp, include/Inventor/caches/SoCache.h,
	src/details/SoLineDetail.cpp, src/nodes/SoScale.cpp,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/nodes/SoFragmentShader.h,
	include/Inventor/nodekits/SoBaseKit.h,
	src/nodekits/SoInteractionKit.cpp,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/actions/SoAction.h,
	src/shaders/SoGLShaderParameter.cpp,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/SbBox2s.h,
	src/elements/SoMultiTextureMatrixElement.cpp,
	src/lists/SoCallbackList.cpp,
	src/shapenodes/soshape_trianglesort.cpp,
	src/elements/SoShininessElement.cpp, include/coindefs.h,
	src/base/hash.c, include/Inventor/events/SoSpaceballButtonEvent.h,
	src/base/SbViewVolume.cpp, include/Inventor/engines/SoOnOff.h,
	src/fields/SoSFImage3.cpp, include/Inventor/nodes/SoNormal.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/nodes/SoTextureCombine.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/system/inttypes.h.in, src/misc/AudioTools.cpp,
	src/bundles/all-bundles-cpp.cpp, src/misc/SoGlyph.cpp,
	src/nodes/SoFont.cpp, src/threads/sched.c,
	include/Inventor/VRMLnodes/SoVRMLIndexedShape.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	src/engines/SoOutputData.cpp, src/glue/GLUWrapper.c,
	include/Inventor/fields/SoMFNode.h, src/bundles/SoMaterialBundle.cpp,
	src/nodekits/SoAppearanceKit.cpp,
	src/vrml97/CoordinateInterpolator.cpp,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	src/elements/SoProfileCoordinateElement.cpp,
	include/Inventor/nodes/SoGeometryShader.h,
	include/Inventor/C/errors/debugerror.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/SbBox2d.h, include/Inventor/system/gl-headers.h.in,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	src/shaders/SoGLShaderProgram.cpp,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	src/vrml97/Color.cpp, src/engines/SoEngineOutput.cpp,
	src/misc/SoDebug.cpp, src/vrml97/Cone.cpp,
	include/Inventor/nodes/SoTransformation.h,
	src/misc/SoOffscreenAGLData.cpp, src/misc/SoSceneManager.cpp,
	src/shaders/SoGLCgShaderProgram.cpp, src/threads/recmutex.c,
	src/engines/SoComposeVec4f.cpp, include/Inventor/SbPlane.h,
	include/Inventor/nodes/SoTransparencyType.h,
	include/Inventor/nodes/SoArray.h, include/Inventor/fields/SoMFTime.h,
	include/Inventor/VRMLnodes/SoVRMLSphere.h,
	include/Inventor/nodes/SoSurroundScale.h, src/vrml97/Anchor.cpp,
	src/fields/SoSField.cpp, src/elements/SoLineWidthElement.cpp,
	include/Inventor/nodes/SoSeparator.h, src/fields/SoSFColor.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/caches/SoPrimitiveVertexCache.cpp, src/base/SbTesselator.cpp,
	include/Inventor/So.h, src/base/SbBox2i32.cpp,
	src/vrml97/Coordinate.cpp, include/Inventor/C/glue/simage_wrapper.h,
	include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/elements/SoProfileElement.h,
	src/shapenodes/SoIndexedLineSet.cpp,
	include/Inventor/VRMLnodes/SoVRMLBackground.h,
	include/Inventor/SbString.h,
	src/elements/SoBumpMapCoordinateElement.cpp,
	src/elements/SoTransparencyElement.cpp,
	src/shaders/SoShaderParameter.cpp,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/fields/SoSFLong.h, src/engines/SoNodeEngine.cpp,
	src/vrml97/PositionInterpolator.cpp,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	src/vrml97/AudioClip.cpp, src/draggers/SoTranslate1Dragger.cpp,
	src/nodes/SoMatrixTransform.cpp,
	include/Inventor/draggers/SoCenterballDragger.h,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/caches/SoGLRenderCache.cpp,
	include/Inventor/elements/SoGLShaderProgramElement.h,
	src/actions/SoAction.cpp, src/vrml97/Background.cpp,
	include/Inventor/fields/SoMFName.h,
	include/Inventor/nodes/SoNurbsSurface.h, src/misc/SoVBO.cpp,
	src/manips/SoJackManip.cpp, include/Inventor/fields/SoSFVec2s.h,
	include/Inventor/C/threads/thread.h, src/lists/SoPathList.cpp,
	include/Inventor/VRMLnodes/SoVRMLScalarInterpolator.h,
	include/Inventor/C/threads/worker.h, src/fields/SoField.cpp,
	src/glue/dl.c, include/Inventor/nodes/SoWWWAnchor.h,
	src/shapenodes/SoTriangleStripSet.cpp,
	include/Inventor/elements/SoShininessElement.h,
	src/lists/SoEngineList.cpp, src/threads/thread.c,
	src/threads/worker.c,
	include/Inventor/elements/SoTextureQualityElement.h,
	src/nodes/SoCallback.cpp,
	include/Inventor/elements/SoGLDisplayList.h, src/nodes/SoBumpMap.cpp,
	src/misc/cppmangle.icc, include/Inventor/nodekits/SoNodekitCatalog.h,
	src/hardcopy/GDIVectorOutput.cpp, src/base/SbVec2s.cpp,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	src/elements/SoSwitchElement.cpp,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/misc/SoGLBigImage.h, src/nodes/SoTexture2.cpp,
	include/Inventor/fields/SoMFShort.h, src/vrml97/JS_VRMLClasses.h,
	src/elements/SoTextureCoordinateElement.cpp,
	src/nodes/SoAnnoText3Property.cpp,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/actions/SoGLRenderAction.h,
	src/sensors/SoSensor.cpp, src/glue/gl_glx.c,
	include/Inventor/SbBox2f.h, include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoTextureCoordinateCylinder.h,
	include/Inventor/VRMLnodes/SoVRMLTexture.h, src/misc/SoPick.cpp,
	include/Inventor/C/base/hash.h, include/Inventor/misc/SoLightPath.h,
	src/fields/SoMFBool.cpp, include/Inventor/lists/SbStringList.h,
	include/Inventor/fields/SoSFUInt32.h,
	src/hardcopy/VectorizeHPGLAction.cpp,
	include/Inventor/nodes/SoTexture3Transform.h,
	src/shaders/SoGLARBShaderProgram.cpp,
	include/Inventor/VRMLnodes/SoVRMLPointLight.h,
	include/Inventor/C/base/dictp.h, include/Inventor/fields/SoSFInt32.h,
	src/io/SoOutput_Writer.cpp, src/base/SbColor4f.cpp,
	include/Inventor/misc/SoGLImage.h, src/vrml97/Light.cpp, src/hardcopy
	/all-hardcopy-cpp.cpp, src/io/SoInput.cpp,
	include/Inventor/VRMLnodes/SoVRMLNormal.h, src/fields/SoMFColor.cpp,
	src/misc/SoTempPath.cpp, src/fields/SoMFNode.cpp,
	include/Inventor/SbClip.h, src/misc/SoOffscreenGLXData.h,
	src/vrml97/Interpolator.cpp,
	src/elements/GL/SoGLRenderPassElement.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	include/Inventor/details/SoDetail.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodes/SoTextureCoordinateReflectionMap.h,
	include/Inventor/nodes/SoTexture2.h,
	src/elements/GL/SoGLLineWidthElement.cpp,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/fields/SoSFFloat.h, src/vrml97/IndexedFaceSet.cpp,
	include/Inventor/nodes/SoAsciiText.h, include/Inventor/SbImage.h,
	include/Inventor/elements/SoReplacedElement.h,
	src/draggers/SoPointLightDragger.cpp,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolator.h,
	src/threads/mutex_win32cs.ic,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	src/misc/SoNotification.cpp, include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/VRMLnodes/SoVRMLWorldInfo.h,
	include/Inventor/threads/SbMutex.h,
	include/Inventor/VRMLnodes/SoVRMLSensor.h,
	include/Inventor/VRMLnodes/SoVRMLCylinder.h,
	src/draggers/SoTrackballDragger.cpp, include/Inventor/SbBSPTree.h,
	include/Inventor/SbMatrix.h, src/vrml97/Appearance.cpp,
	include/Inventor/VRMLnodes/SoVRMLInline.h, src/engines/SoOnOff.cpp,
	src/base/SbVec2d.cpp, include/Inventor/elements/SoFontNameElement.h,
	src/sensors/SoIdleSensor.cpp, src/base/SbString.cpp,
	src/lists/SoBaseList.cpp, include/Inventor/Sb.h,
	src/nodes/SoSceneTexture2.cpp, src/base/SbVec2i32.cpp,
	include/Inventor/nodes/SoPolygonOffset.h,
	src/events/SoButtonEvent.cpp, src/hardcopy/VectorizePSAction.cpp,
	src/fields/SoMFBitMask.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/shaders/SoGLShaderParameter.h,
	include/Inventor/nodes/SoCoordinate4.h,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	src/elements/SoTextureImageElement.cpp, src/base/SbBox2s.cpp,
	src/nodes/SoTexture3.cpp, src/shaders/SoGLARBShaderObject.cpp,
	include/Inventor/annex/HardCopy/SoGDIVectorOutput.h,
	src/hardcopy/VectorizeActionP.cpp, src/glue/simage_wrapper.c,
	src/base/SbMatrix.cpp, src/vrml97/Script.cpp,
	src/shaders/SoGLCgShaderParameter.h, src/errors/error.c,
	include/Inventor/C/glue/freetype.h, src/nodes/SoTextureCubeMap.cpp,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h, src/errors/all-
	errors-c.c, include/Inventor/VRMLnodes/SoVRMLVertexShape.h,
	include/Inventor/nodes/SoMatrixTransform.h, src/threads/barrier.c,
	include/Inventor/elements/SoEmissiveColorElement.h,
	src/base/SbVec3s.cpp, include/Inventor/nodes/SoPointSet.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	include/Inventor/lists/SoNodeList.h, src/misc/SoNotRec.cpp,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	src/vrml97/IndexedLine.cpp,
	include/Inventor/lists/SoEnabledElementsList.h,
	src/shapenodes/SoVertexShape.cpp,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	src/io/SoInput_Reader.cpp, src/caches/SoBoundingBoxCache.cpp,
	src/vrml97/Collision.cpp, src/fonts/win32.c,
	src/threads/wrappers.cpp,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	include/Inventor/lists/SoCallbackList.h,
	src/vrml97/OrientationInterpolator.cpp, src/nodes/SoNode.cpp,
	src/fonts/win32.h, src/nodes/SoNormal.cpp,
	src/nodes/SoMaterialBinding.cpp, src/engines/SoConvertAll.cpp,
	include/Inventor/caches/SoNormalCache.h,
	src/misc/SoShaderGenerator.cpp, src/base/SbHeap.cpp,
	include/Inventor/actions/SoSubActionP.h, src/lists/SoFieldList.cpp,
	src/vrml97/PointLight.cpp, src/lists/SoEngineOutputList.cpp,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/VRMLnodes/SoVRMLPositionInterpolator.h,
	include/Inventor/nodes/SoBumpMapCoordinate.h,
	src/shaders/SoShaderProgram.cpp, src/misc/SoOffscreenAGLData.h,
	include/Inventor/engines/SoComposeVec3f.h,
	src/misc/SoCompactPathList.cpp, src/engines/SoDecomposeMatrix.cpp,
	include/Inventor/errors/SoErrors.h,
	include/Inventor/events/SoMouseButtonEvent.h,
	src/misc/CoinOffscreenGLCanvas.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/manips/SoTabBoxManip.h,
	src/misc/SoGLqmeshpreciselightingTemplate.icc,
	include/Inventor/SoOutput.h, include/Inventor/SbVec2i32.h,
	include/Inventor/threads/SbBarrier.h, include/Inventor/SbBasic.h,
	src/misc/SoOffscreenGLXData.cpp, include/Inventor/SbViewportRegion.h,
	include/Inventor/C/basic.h.in,
	include/Inventor/VRMLnodes/SoVRMLElevationGrid.h,
	src/elements/SoLinePatternElement.cpp, src/misc/SoAudioDevice.cpp,
	src/nodekits/SoNodeKit.cpp, src/base/string.c,
	include/Inventor/errors/SoDebugError.h, src/vrml97/Text.cpp,
	src/foreignfiles/steel.c,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/C/tidbits.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	src/foreignfiles/steel.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolatorP.h,
	src/vrml97/Extrusion.cpp,
	src/misc/SoGLnonindexedTristripSetTemplate.icc,
	src/fields/SoSFRotation.cpp, src/fields/SoSFInt32.cpp,
	include/Inventor/draggers/SoTrackballDragger.h,
	src/draggers/SoHandleBoxDragger.cpp, src/foreignfiles/steel.l,
	src/nodes/SoShuttle.cpp,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	src/manips/SoDirectionalLightManip.cpp, src/lists/SoAuditorList.cpp,
	include/Inventor/nodes/SoLightModel.h, src/shaders/all-shaders-
	cpp.cpp, src/fields/SoMField.cpp,
	include/Inventor/elements/SoSpecularColorElement.h,
	src/base/SbDPLine.cpp, src/base/SbBox2d.cpp,
	include/Inventor/VRMLnodes/SoVRMLProximitySensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	src/nodes/SoTextureCoordinateCube.cpp,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h, src/base/list.c,
	src/engines/SoTimeCounter.cpp, include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/SoDB.h, src/shapenodes/SoNurbsSurface.cpp,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	src/vrml97/IndexedShape.cpp, src/nodes/SoFontStyle.cpp,
	include/Inventor/misc/SoCompactPathList.h,
	include/Inventor/nodes/SoCone.h, src/base/SbVec3d.cpp,
	src/nodekits/SoBaseKit.cpp, include/Inventor/SoLists.h,
	src/caches/SoConvexDataCache.cpp, src/io/SoOutput.cpp,
	src/fonts/fontspec.c,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	src/nodes/SoUnits.cpp, src/projectors/SbSpherePlaneProjector.cpp,
	src/errors/SoDebugError.cpp, src/elements/all-elements-cpp.cpp,
	src/shaders/SoGLARBShaderParameter.h, src/fonts/fontspec.h,
	include/Inventor/engines/SoGate.h,
	src/actions/SoBoxHighlightRenderAction.cpp, src/misc/SoLightPath.cpp,
	src/nodes/SoNurbsProfile.cpp,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	src/elements/SoComplexityElement.cpp, src/projectors/SbProjector.cpp,
	include/Inventor/SoFullPath.h, src/3ds/SoStream.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoTexture3EnabledElement.cpp,
	src/elements/SoTextureUnitElement.cpp, src/hardcopy/VectorizeItems.h,
	src/io/SoInputP.h, include/Inventor/lists/SoPathList.h,
	src/base/SbBox3s.cpp, include/Inventor/SoSceneManager.h,
	include/Inventor/threads/SbRWMutex.h,
	src/elements/GL/SoGLTextureMatrixElement.cpp,
	src/nodes/SoSurroundScale.cpp,
	include/Inventor/annex/HardCopy/SoCGMVectorOutput.h,
	src/elements/GL/SoGLVBOElement.cpp,
	src/elements/SoTextureEnabledElement.cpp,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/C/threads/sched.h,
	src/shaders/SoGLARBShaderParameter.cpp,
	include/Inventor/fields/SoSFImage3.h, src/upgraders/SoUpgrader.h,
	include/Inventor/fields/SoMFColor.h,
	src/shaders/SoGLSLShaderObject.h,
	include/Inventor/nodes/SoSceneTexture2.h,
	include/Inventor/SoNodeKitPath.h, include/Inventor/C/glue/gl.h,
	include/Inventor/VRMLnodes/SoVRMLScript.h, src/nodes/SoPattern.cpp,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	src/misc/SoVertexArrayIndexer.h, src/vrml97/ProximitySensor.cpp,
	src/base/SbPlane.cpp, src/upgraders/SoShapeHintsV10.h,
	src/fields/SoMFEngine.cpp, src/sensors/SoSensorManager.cpp,
	src/actions/SoGLRenderAction.cpp,
	include/Inventor/VRMLnodes/SoVRMLCone.h,
	include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	src/elements/SoDecimationTypeElement.cpp,
	include/Inventor/C/glue/gl_agl.h, src/base/SbGLUTessellator.cpp,
	include/Inventor/draggers/SoJackDragger.h,
	src/shaders/SoGLSLShaderObject.cpp,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/SbDPViewVolume.h,
	include/Inventor/misc/SoChildList.h,
	include/Inventor/nodes/SoUnits.h, include/Inventor/SbBox2i32.h,
	src/fields/SoSFVec2s.cpp, include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	src/manips/SoTransformManip.cpp, src/fields/SoMFInt32.cpp,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	src/threads/mutex.c, src/actions/SoSimplifyAction.cpp,
	src/nodes/SoWWWInline.cpp,
	include/Inventor/nodes/SoTextureMatrixTransform.h,
	src/misc/SoGLImage.cpp, include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/C/threads/fifo.h, src/base/SbVec2f.cpp,
	src/lists/SoPickedPointList.cpp,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/actions/SoAudioRenderAction.h,
	src/vrml97/TextureCoordinate.cpp,
	include/Inventor/SoOffscreenRenderer.h,
	src/shadows/SoShadowGroup.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/misc/SoState.cpp, include/Inventor/misc/SoState.h,
	src/draggers/SoDragPointDragger.cpp, src/nodes/SoLOD.cpp,
	src/misc/SoVBO.h, src/engines/SoDecomposeRotation.cpp,
	include/Inventor/elements/SoTextureCombineElement.h,
	src/actions/SoWriteAction.cpp, src/fields/SoSFBitMask.cpp,
	include/Inventor/C/glue/spidermonkey.h,
	include/Inventor/threads/SbTypedStorage.h,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	src/nodes/SoProfileCoordinate2.cpp, src/actions/SoSearchAction.cpp,
	src/fields/SoSFEngine.cpp, include/Inventor/events/SoSubEvent.h,
	src/nodes/SoComplexity.cpp,
	include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/sensors/SoSensor.h, src/base/rbptree.c,
	src/base/SbBox3d.cpp, include/Inventor/VRMLnodes/SoVRMLMaterial.h,
	src/lists/SoNodeList.cpp, src/hardcopy/HardCopy.cpp,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/nodes/SoUnknownNode.h,
	src/nodes/SoTransparencyType.cpp,
	include/Inventor/elements/SoSoundElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/annex/HardCopy/SoVectorizeCGMAction.h,
	include/Inventor/VRMLnodes/SoVRMLTextureCoordinate.h,
	src/vrml97/Geometry.cpp, src/upgraders/SoShapeHintsV10.cpp,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/manips/SoJackManip.h,
	src/misc/CoinOffscreenGLCanvas.cpp,
	include/Inventor/C/threads/sync.h, src/details/SoConeDetail.cpp,
	include/Inventor/actions/SoSimplifyAction.h,
	src/caches/SoVBOCache.cpp, include/Inventor/engines/SoCompose.h,
	include/Inventor/C/base/hashp.h, src/base/SbVec4d.cpp,
	include/Inventor/C/base/list.h,
	include/Inventor/nodes/SoShaderObject.h,
	include/Inventor/SbDPPlane.h, src/base/SbGLUTessellator.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	include/Inventor/nodes/SoVertexShader.h, src/misc/SoGLBigImage.cpp,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/engines/SoOutputData.h,
	src/shadows/SoShadowStyleElement.cpp,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	src/fields/SoSFPath.cpp, src/bundles/SoTextureCoordinateBundle.cpp,
	src/elements/GL/SoGLViewportRegionElement.cpp,
	src/sensors/SoDataSensor.cpp, include/Inventor/fields/SoSFPath.h,
	src/base/SbBSPTree.cpp, src/elements/GL/SoGLDisplayList.cpp,
	src/nodes/SoInfo.cpp, include/Inventor/misc/SoTranSender.h,
	include/Inventor/VRMLnodes/SoVRMLVertexPoint.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	src/elements/SoNormalElement.cpp, src/vrml97/ColorInterpolator.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	include/Inventor/VRMLnodes/SoVRMLPointSet.h, src/base/SbLine.cpp,
	include/Inventor/engines/SoComposeMatrix.h,
	src/nodes/SoPointLight.cpp, src/shaders/SoGLCgShaderParameter.cpp,
	src/details/all-details-cpp.cpp, src/shapenodes/SoQuadMesh.cpp,
	include/Inventor/fields/SoSFPlane.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/nodes/SoTextureScalePolicy.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/C/threads/threadp.h, src/vrml97/Cylinder.cpp,
	src/nodes/SoTextureCoordinateObject.cpp, src/projectors/all-
	projectors-cpp.cpp, include/Inventor/SbVec3s.h,
	include/Inventor/MPEG/SoMPEGRenderer.h,
	include/Inventor/events/SoEvents.h, src/base/SbBox2f.cpp,
	src/nodes/SoExtSelection.cpp,
	include/Inventor/elements/SoListenerGainElement.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	src/draggers/SoTabPlaneDragger.cpp, examples/misc/ivcp.cpp,
	src/fields/SoSFVec3s.cpp, include/Inventor/nodes/SoText2.h,
	src/nodes/SoSpotLight.cpp, src/misc/SoGLLineSetTemplate.icc,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/fonts/defaultfonts.h, include/Inventor/actions/SoSubAction.h,
	include/Inventor/nodes/SoTextureCoordinateNormalMap.h,
	src/nodes/SoCacheHint.cpp,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	src/nodes/SoTextureCoordinate2.cpp, src/manips/all-manips-cpp.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/base/SbVec3f.cpp,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/elements/SoListenerDopplerElement.h,
	include/Inventor/C/glue/bzip2.h, src/nodekits/SoWrapperKit.cpp,
	include/Inventor/nodes/SoTextureCubeMap.h,
	include/Inventor/projectors/SbProjectors.h, src/fields/SoSFName.cpp,
	include/Inventor/elements/SoTextureMatrixElement.h,
	src/sensors/SoPathSensor.cpp, src/lists/SbStringList.cpp,
	include/Inventor/projectors/SbCylinderProjector.h,
	src/base/SbSphere.cpp, include/Inventor/nodes/SoLight.h,
	include/SoWinEnterScope.h, src/details/SoCubeDetail.cpp,
	src/elements/GL/SoGLUpdateAreaElement.cpp, src/nodes/SoFile.cpp,
	include/Inventor/nodes/SoRotationXYZ.h, src/fonts/default2dfont.c,
	src/shapenodes/SoIndexedShape.cpp, src/hardcopy/VectorOutput.cpp,
	include/Inventor/misc/SoNotRec.h,
	src/elements/SoEnvironmentElement.cpp,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/SbVec3d.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/fields/SoMFInt32.h, src/nodes/SoBlinker.cpp,
	src/engines/SoInterpolateRotation.cpp, src/nodes/SoLightModel.cpp,
	include/Inventor/engines/SoDecomposeVec2f.h,
	src/actions/SoGetMatrixAction.cpp, src/nodes/SoGroup.cpp,
	include/Inventor/VRMLnodes/SoVRMLDirectionalLight.h,
	src/hardcopy/HPGLVectorOutput.cpp,
	src/elements/SoTextureScaleQualityElement.cpp, src/threads/all-
	threads-c.c, src/misc/CoinStaticObjectInDLL.h,
	include/Inventor/C/threads/workerp.h,
	src/shaders/SoGLSLShaderProgram.cpp,
	include/Inventor/fields/SoMField.h, src/vrml97/Inline.cpp,
	src/shaders/SoGLShaderObject.h,
	src/shaders/SoGLShaderProgramElement.cpp,
	include/Inventor/engines/SoCalculator.h,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/details/SoLineDetail.h,
	src/nodes/SoBumpMapTransform.cpp, include/Inventor/threads/SbFifo.h,
	src/bundles/SoBundle.cpp, src/collision/SbTri3f.cpp,
	include/Inventor/nodes/SoTransformSeparator.h,
	src/draggers/SoDragger.cpp, include/Inventor/misc/SoBase.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/SbTesselator.h, src/elements/SoSoundElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp, src/fields/shared.h,
	src/caches/SoTextureCoordinateCache.cpp,
	src/manips/SoClipPlaneManip.cpp,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoShader.h,
	include/Inventor/nodes/SoShapeHints.h, src/vrml97/VertexPoint.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoLabel.cpp,
	include/Inventor/threads/SbThreadAutoLock.h,
	src/engines/SoDecomposeVec2f.cpp,
	include/Inventor/manips/SoTransformManip.h,
	src/actions/SoAudioRenderAction.cpp, src/nodes/SoPendulum.cpp,
	src/caches/SoNormalCache.cpp,
	src/elements/GL/SoGLCoordinateElement.cpp, src/vrml97/PointSet.cpp,
	src/fields/SoSFVec3d.cpp, src/engines/SoTriggerAny.cpp, src/mpeg/all-
	mpeg-cpp.cpp, include/Inventor/annex/ForeignFiles/SoSTLFileKit.h,
	include/Inventor/sensors/SoIdleSensor.h,
	include/Inventor/C/glue/cg.h, src/glue/all-glue-c.c,
	src/vrml97/Viewpoint.cpp, src/elements/SoInt32Element.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoProfileElement.cpp,
	include/Inventor/misc/SoProtoInstance.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/nodes/SoDrawStyle.h,
	src/elements/SoShapeHintsElement.cpp, src/fields/SoSFBox3s.cpp,
	include/Inventor/fields/SoMFLong.h, src/errors/SoReadError.cpp,
	src/shapenodes/SoFaceSet.cpp, src/nodes/SoTextureCoordinate3.cpp,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/VRMLnodes/SoVRMLText.h,
	src/elements/GL/SoGLNormalElement.cpp,
	src/projectors/SbPlaneProjector.cpp, src/fields/SoSFFloat.cpp,
	src/vrml97/DragSensor.cpp, src/nodes/SoEventCallback.cpp,
	include/Inventor/engines/SoInterpolateVec4f.h, src/errors/all-errors-
	cpp.cpp, src/misc/SoContextHandler.cpp, src/base/SbBox3f.cpp,
	src/misc/AudioTools.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	src/glue/win32api.c, include/Inventor/fields/SoSFImage.h,
	include/Inventor/VRMLnodes/SoVRMLLight.h,
	include/Inventor/misc/SoPick.h,
	src/events/SoSpaceballButtonEvent.cpp,
